package com.huatek.busi.controller;

import java.util.Map;

import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.alibaba.dubbo.config.annotation.Reference;
import com.github.pagehelper.PageInfo;
import com.huatek.busi.dto.ReadTableVisualization;
import com.huatek.busi.service.ReadTableVisualizationService;
import com.huatek.busi.vo.ReadTableVisualizationVo;
import com.huatek.torch.frame.tools.ConstantUtil;
import com.huatek.torch.frame.tools.ResultUtil;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

/**
 * 读表、拍照数据
 * 
 * @author buck_guo
 * @date 2019/09/10
 */
@Api(tags = {"可视化图片信息查询"})
@RestController
@RequestMapping("/api/ReadTableVisualization")
public class ReadTableVisualizationController {
    
    @Reference(check = false)
    private ReadTableVisualizationService ReadTableVisualizationService;

    @ApiOperation(value = "列表分页查询", response = ReadTableVisualizationVo.class)
    @PostMapping(value = "/queryList", produces = {"application/json;charset=utf-8"})
    public Map<String, Object> queryList(@RequestBody ReadTableVisualization readTableVisualization) {
        PageInfo<ReadTableVisualizationVo> pageInfo =
            ReadTableVisualizationService.findReadTableVisualizationPageData(readTableVisualization);
        return ResultUtil.put(ConstantUtil.REQUEST_SUCCESS, pageInfo.getTotal(), "", pageInfo.getList());
    }
}
