package com.huatek.busi.dto;

import com.huatek.torch.sql.beans.PageBean;
import io.swagger.annotations.*;
import lombok.*;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.*;

@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value = "algorithmBasicDataDto", description = "算法实体类出参")
public class AlgorithmBasicDataDto extends PageBean implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "编号", name = "id")
    private String id;

    @ApiModelProperty(value = "算法名称", name = "algorithm")
    private String algorithm;

    @ApiModelProperty(value = "父编号", name = "parentId")
    private String parentId;

    @ApiModelProperty(value = "所有父级编号", name = "parentIds")
    private String parentIds;

    @ApiModelProperty(value = "父名称", name = "parentName")
    private String parentName;

    @ApiModelProperty(value = "创建者", name = "createUser")
    private String createUser;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "创建时间", name = "createTime")
    private LocalDateTime createTime;

    @ApiModelProperty(value = "更新者", name = "updateUser")
    private String updateUser;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "更新时间", name = "updateTime")
    private LocalDateTime updateTime;

    @ApiModelProperty(value = "是否删除 0否 1是", name = "deleted")
    private String deleted;
}
