package com.huatek.busi.dto;

import java.io.Serializable;
import java.time.LocalDate;
import java.time.LocalDateTime;
import java.util.Date;

import org.springframework.format.annotation.DateTimeFormat;

import com.huatek.torch.sql.beans.PageBean;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 避雷器离线实验报告
 * 
 * @author buck_guo
 * @date 2019/08/23
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class ArresterOfflineExperimentReportDto extends PageBean implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 
     */
    private String id;

    /**
     * 站点id
     */
    private String siteId;

    /**
     * 设备编码
     */
    private String siteEqmCode;

    /**
     * 实验日期
     */
    private Date experimentDate;
    /**
     * 环境温度
     */
    private String ambientTemperature;
    /**
     * 相对湿度
     */
    private String relativeHumidity;
    
    /**
     * 测量绝缘电阻（MΩ）
     */
    private String insulationResistance;

    /**
     * 直流参考电压UDJM\及175%UDJM测量
     */
    private String dcReferenceVoltage;

    /**
     * 放电计数器动作情况
     */
    private String dischargeCountingAction;

    /**
     * 结论及备注
     */
    private String conclusionNotes;

    /**
     * 校核者
     */
    private String checker;

    /**
     * 校核者
     */
    private String experimenter;

    /**
     * 签名1
     */
    private String signature1;

    /**
     * 签名2
     */
    private String signature2;

    /**
     * 创建人ID
     */
    private String createUser;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 创建人名称
     */
    private String createName;

    /**
     * 修改人ID
     */
    private String modifiedUser;

    /**
     * 修改时间
     */
    private LocalDateTime modifiedTime;

    /**
     * 修改人名称
     */
    private String modifiedName;
    
    /**
     * 查询开始时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private LocalDate startDate;

    /**
     * 查询结束时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private LocalDate endDate;
}