package com.huatek.busi.dto;

import com.huatek.torch.sql.beans.PageBean;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.time.LocalDate;
import java.time.LocalDateTime;

/**
 * 故障单
 * @author buck_guo
 * @date 2019/09/17
 */
@ApiModel(value = "BusiDrivepipeEvaluationResultsDto", description = "套管算法 Dto", parent = PageBean.class)
@Data
@EqualsAndHashCode(callSuper = false)
public class BusiDrivepipeEvaluationResultsDto extends PageBean implements Serializable{
    /**
     *
     */
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "id", value = "主键ID")
    private String id;

    /**
     * 站点ID
     */
    @ApiModelProperty(name = "siteId", value = "站点ID")
    private String siteId;

    /**
     * 站点树ID
     */
    @ApiModelProperty(name = "main_tree_id", value = "站点树ID")
    private String mainTreeId;

    /**
     * 套管（H2/C2H2/CH4，绝缘)含量
     */
    @ApiModelProperty(name = "health_score_insulate", value = "套管（H2/C2H2/CH4，绝缘)含量")
    private String casingDielectricLoss;

    /**
     * 套管（H2/C2H2/CH4，绝缘)含量
     */
    @ApiModelProperty(name = "health_score_h2", value = "套管（H2/C2H2/CH4，绝缘)含量")
    private String casingH2;

    /**
     * 套管（H2/C2H2/CH4，绝缘)含量
     */
    @ApiModelProperty(name = "health_score_ch4", value = "套管（H2/C2H2/CH4，绝缘)含量")
    private String casingCh4;

    /**
     * 套管（H2/C2H2/CH4，绝缘)含量
     */
    @ApiModelProperty(name = "health_score_c2h2", value = "套管（H2/C2H2/CH4，绝缘)含量")
    private String casingC2h2;

}
