package com.huatek.busi.dto;

import java.io.Serializable;
import java.time.LocalDateTime;

import com.huatek.torch.sql.beans.PageBean;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
/**
 * 设备预警表 Dto
 *
 * @author anker_cheng
 * @date Jul 18, 2019 2:45:20 PM
 */
@ApiModel(value = "BusiEqmWarningDto", description = "设备预警表 Dto", parent = PageBean.class)
@Data
@EqualsAndHashCode(callSuper = false)
public class BusiEqmWarningDto extends PageBean implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 主键ID
     */
    @ApiModelProperty(name = "id", value = "主键ID")
    private String id;

    /**
     * 故障大类1：变压器，2：gis，3：避雷器，4：测温柜
     */
    @ApiModelProperty(name = "eqType", value = "故障大类1：变压器，2：gis，3：避雷器，4：测温柜")
    private String eqType;

    /**
     * 故障小类
     */
    @ApiModelProperty(name = "gzType", value = "故障小类")
    private String gzType;

    /**
     * 预警类别编码
     */
    @ApiModelProperty(name = "warningTypeCode", value = "预警类别编码")
    private String warningTypeCode;

    /**
     * 预警信息
     */
    @ApiModelProperty(name = "warningMsg", value = "预警信息")
    private String warningMsg;

    /**
     * 预警时间
     */
    @ApiModelProperty(name = "warningTime", value = "预警时间")
    private LocalDateTime warningTime;

    /**
     * 预警时间截止
     */
    @ApiModelProperty(name = "warningTimeEnd", value = "预警时间截止")
    private LocalDateTime warningTimeEnd;

    /**
     * 创建时间
     */
    @ApiModelProperty(name = "createTime", value = "创建时间")
    private LocalDateTime createTime;

    /**
     * 删除标识0:未处理 1：已处理
     */
    @ApiModelProperty(name = "delFlag", value = "删除标识0:未处理 1：已处理")
    private String delFlag;

    /**
     * 处理状态:0——未处理、1——已处理
     */
    @ApiModelProperty(name = "dealStatus", value = "处理状态:0——未处理、1——已处理")
    private String dealStatus;

    /**
     * 处理结果
     */
    @ApiModelProperty(name = "dealMsg", value = "处理结果")
    private String dealMsg;

    /**
     * 故障类型 1：故障 2：误报
     */
    @ApiModelProperty(name = "warningType", value = "故障类型 1：故障 2：误报")
    private String warningType;

    /**
     * 站点Id
     */
    @ApiModelProperty(name = "siteId", value = "站点Id")
    private String siteId;

    /**
     * 主设备ID
     */
    @ApiModelProperty(name = "mainEquipmentId", value = "主设备ID")
    private String mainEquipmentId;

    /**
     * 外挂设备ID
     */
    @ApiModelProperty(name = "subEquipmentId", value = "外挂设备ID")
    private String subEquipmentId;

    /**
     * 传感器id
     */
    @ApiModelProperty(name = "sensorId", value = "传感器id")
    private String sensorId;

    /**
     * 处理时间
     */
    @ApiModelProperty(name = "processingTime", value = "处理时间")
    private LocalDateTime processingTime;

    /**
     * 处理人
     */
    @ApiModelProperty(name = "processingUser", value = "处理人")
    private String processingUser;

    /**
     * 外挂设备安装位置
     */
    @ApiModelProperty(name = "subEquipmentInstallLocation", value = "外挂设备安装位置")
    private String subEquipmentInstallLocation;

    /**
     * 外挂设标牌
     */
    @ApiModelProperty(name = "subEquipmentBrand", value = "外挂设标牌")
    private String subEquipmentBrand;

    /**
     * 外挂设备生产厂家
     */
    @ApiModelProperty(name = "subEquipmentManufactor", value = "外挂设备生产厂家")
    private String subEquipmentManufactor;

    /**
     * 传感器安装位置
     */
    @ApiModelProperty(name = "sensorInstallLocation", value = "传感器安装位置")
    private String sensorInstallLocation;

    /**
     * 传感器标牌
     */
    @ApiModelProperty(name = "sensorBrand", value = "传感器标牌")
    private String sensorBrand;

    /**
     * 传感器生产厂家
     */
    @ApiModelProperty(name = "sensorManufactor", value = "传感器生产厂家")
    private String sensorManufactor;

    /**
     * 外挂设备名称
     */
    @ApiModelProperty(name = "subEquipmentName", value = "外挂设备名称")
    private String subEquipmentName;

    /**
     * 传感器名称
     */
    @ApiModelProperty(name = "sensorName", value = "传感器名称")
    private String sensorName;

    /**
     * 设备状态
     */
    @ApiModelProperty(name = "runState", value = "设备状态")
    private String runState;
    
    /**
     * 主设备名称
     */
    @ApiModelProperty(name = "mainEquipmentName", value = "主设备名称")
    private String mainEquipmentName;
    
    /**
     * 被监测设备
     */
    @ApiModelProperty(name = "equipmentType", value = "被监测设备:111-变压器，211-GIS,411-避雷器，311-测温柜，511-其它")
    private String equipmentType;
    
    /**
     * 监测装置类型
     */
    @ApiModelProperty(name = "subEquipmentType", value = "监测装置类型")
    private String subEquipmentType;
}