package com.huatek.busi.dto;

import java.io.Serializable;
import java.time.LocalDate;
import java.time.LocalDateTime;

import com.huatek.torch.sql.beans.PageBean;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
/**
 * 考评指标配置 Dto
 *
 * @author anker_cheng
 * @date Jul 23, 2019 2:06:06 PM
 */
@ApiModel(value = "BusiEvaMonitorConfigDto", description = "考评指标配置 Dto", parent = PageBean.class)
@Data
@EqualsAndHashCode(callSuper = false)
public class BusiEvaMonitorConfigDto extends PageBean implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @ApiModelProperty(name = "id", value = "主键ID")
    private String id;

    /**
     * 监测设备(类型ID)
     */
    @ApiModelProperty(name = "monitorTypeId", value = "监测设备(类型ID)")
    private String monitorTypeId;

    /**
     * 监测单元
     */
    @ApiModelProperty(name = "monitorUnitId", value = "监测单元")
    private String monitorUnitId;

    /**
     * sensor id
     */
    @ApiModelProperty(name = "sensorId", value = "sensor id")
    private String sensorId;

    /**
     * 单元考核指标
     */
    @ApiModelProperty(name = "indicatorsId", value = "单元考核指标")
    private String indicatorsId;

    /**
     * 安装位置
     */
    @ApiModelProperty(name = "installLocation", value = "安装位置")
    private String installLocation;
    
    
    /**
     * 传感器名称
     */
    @ApiModelProperty(name = "sensorName", value = "传感器名称")
    private String sensorName;
    
    /**
     * 标牌
     */
    @ApiModelProperty(name = "brandName", value = "标牌")
    private String brandName;

    /**
     * 采集频率:d——每天；m——每月；y——每年；hy——每半年
     */
    @ApiModelProperty(name = "sampleFrequency", value = "采集频率:d——每天；m——每月；y——每年；hy——每半年")
    private String sampleFrequency;

    /**
     * 备注
     */
    @ApiModelProperty(name = "mark", value = "备注")
    private String mark;

    /**
     * 说明:告警
     */
    @ApiModelProperty(name = "description", value = "说明:告警")
    private String description;

    /**
     * 考核频率从
     */
    @ApiModelProperty(name = "evaFrom", value = "考核频率从")
    private LocalDate evaFrom;

    /**
     * 考核频率至
     */
    @ApiModelProperty(name = "evaTo", value = "考核频率至")
    private LocalDate evaTo;

    /**
     * 状态：1——可用；2——不可用
     */
    @ApiModelProperty(name = "status", value = "状态：1——可用；2——不可用")
    private String status;

    /**
     * 创建人ID
     */
    @ApiModelProperty(name = "creator", value = "创建人ID")
    private String creator;

    /**
     * 创建时间
     */
    @ApiModelProperty(name = "createdTime", value = "创建时间")
    private LocalDateTime createdTime;

    /**
     * 修改人
     */
    @ApiModelProperty(name = "modifier", value = "修改人")
    private String modifier;

    /**
     * 修改时间
     */
    @ApiModelProperty(name = "modifiedTime", value = "修改时间")
    private LocalDateTime modifiedTime;

    @ApiModelProperty(name = "type", value = "大类;1：变压器   2:GIS  3:测温   4：避雷器")
    private String type;

    @ApiModelProperty(name = "equipmentType", value = "外挂设备类型")
    private String equipmentType;
}