package com.huatek.busi.dto;

import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.beans.PageBean;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * 发电机局放
 */
@ApiModel(value = "BusiGeneratorPdDto", description = "发电机局放dto", parent = PageBean.class)
@Data
@EqualsAndHashCode(callSuper = false)
public class BusiGeneratorPdDto extends PageBean implements Serializable {

    private static final long serialVersionUID = 1L;

    /** master key */
    @FieldName("id")
    private String id;

    /** 监测时间 */
    @FieldName("d_time")
    private LocalDateTime dTime;

    /** 站点ID */
    @FieldName("site_id")
    private String siteId;

    /** 站点设备树ID */
    @FieldName("main_tree_id")
    private String mainTreeId;

    /** 传感器设备编码 */
    @FieldName("sensor_id")
    private String sensorId;

    /** 外挂设备树ID */
    @FieldName("sub_tree_id")
    private String subTreeId;

    /** 数据报文编码 */
    @FieldName("sensor_code")
    private String sensorCode;

    /** 装置类型,源自busi_genereator_ampl_type.id自段 */
    @FieldName("type_id")
    private Long typeId;

    /** 放电量 */
    @FieldName("discharge_capacity")
    private String dischargeCapacity;

    /** 放电位置 */
    @FieldName("discharge_position")
    private String dischargePosition;

    /** 放电次数 */
    @FieldName("pulse_count")
    private String pulseCount;

    /** 放电类型 0 正常；1 尖端放电；2 悬浮放电；3 沿面放电；4 内部放电；5 颗粒放电；6 外部干扰；7 其它 */
    @FieldName("dsch_type")
    private String dschType;

    /** 放电波形 */
    @FieldName("discharge_waveform")
    private String dischargeWaveform;

    /** 局部放电告警（0:正常,1:告警） */
    @FieldName("pa_dsch_alm")
    private String paDschAlm;
}