package com.huatek.busi.dto;

import java.io.Serializable;
import java.time.LocalDateTime;

import com.huatek.torch.sql.beans.PageBean;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 其它检修记录 Dto
 *
 * @author anker_cheng
 * @date Jul 26, 2019 5:21:27 PM
 */
@ApiModel(value = "BusiOfflineCableRepairDto", description = "电缆检修记录 Dto", parent = PageBean.class)
@Data
@EqualsAndHashCode(callSuper = false)
public class BusiOfflineCableRepairDto extends PageBean implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @ApiModelProperty(name = "id", value = "主键")
    private String id;

    /**
     * 站点ID
     */
    @ApiModelProperty(name = "siteId", value = "站点ID")
    private String siteId;

    /**
     * 主设备ID
     */
    @ApiModelProperty(name = "mainEquipmentId", value = "主设备ID")
    private String mainEquipmentId;

    /**
     * 外挂设备ID
     */
    @ApiModelProperty(name = "subEquipmentId", value = "外挂设备ID")
    private String subEquipmentId;

    /**
     * 告警ID
     */
    @ApiModelProperty(name = "warningId", value = "告警ID")
    private String warningId;

    @ApiModelProperty(name = "warningCode", value = "告警单编号")
    private String warningCode;

    /**
     * 传感器编码
     */
    @ApiModelProperty(name = "sensorCode", value = "传感器编码")
    private String sensorCode;

    /**
     * 传感器名
     */
    @ApiModelProperty(name = "sensorName", value = "传感器名")
    private String sensorName;

    /**
     * 标牌
     */
    @ApiModelProperty(name = "signage", value = "标牌")
    private String signage;

    /**
     * 安装位置
     */
    @ApiModelProperty(name = "installLocation", value = "安装位置")
    private String installLocation;

    /**
     * 发现时间
     */
    @ApiModelProperty(name = "discoveryTime", value = "发现时间")
    private LocalDateTime discoveryTime;

    @ApiModelProperty(name = "discoveryTimeEnd", value = "发现时间截止")
    private LocalDateTime discoveryTimeEnd;

    /**
     * 缺陷内容
     */
    @ApiModelProperty(name = "defectContent", value = "缺陷内容")
    private String defectContent;

    /**
     * 缺陷类别：1-严重、2-轻微、3-一般
     */
    @ApiModelProperty(name = "defectCategory", value = "缺陷类别：1-严重、2-轻微、3-一般")
    private String defectCategory;

    /**
     * 清除时间
     */
    @ApiModelProperty(name = "clearTime", value = "清除时间")
    private LocalDateTime clearTime;

    /**
     * 检修结果：1-正常、2-未完成
     */
    @ApiModelProperty(name = "repairResult", value = "检修结果：1-正常、2-未完成")
    private String repairResult;

    /**
     * 修复时间等级:1 - 24小时之内即可完全修复；
     */
    @ApiModelProperty(name = "repairLevel", value = "修复时间等级:1 - 24小时之内即可完全修复；")
    private String repairLevel;

    /**
     * 对GIS影响等级:1-严重、2-轻微、3-无影响
     */
    @ApiModelProperty(name = "effectLevel", value = "对GIS影响等级:1-严重、2-轻微、3-无影响")
    private String effectLevel;

    /**
     *
     */
    @ApiModelProperty(name = "createUser", value = "")
    private String createUser;

    /**
     *
     */
    @ApiModelProperty(name = "createTime", value = "")
    private LocalDateTime createTime;

    /**
     *
     */
    @ApiModelProperty(name = "createName", value = "")
    private String createName;

    /**
     * 操作机构润滑（完好为1，有缺陷为0）
     */
    @ApiModelProperty(name = "czjgLubrication", value = "操作机构润滑（完好为1，有缺陷为0）")
    private String czjgLubrication;

    /**
     * 主体、机构外观（完好为0，有缺陷为1）
     */
    @ApiModelProperty(name = "ztjgAppearance", value = "主体、机构外观（完好为0，有缺陷为1）")
    private String ztjgAppearance;

    /**
     * 支持绝缘部分（完好为0，有缺陷为1）
     */
    @ApiModelProperty(name = "supportInsulation", value = "支持绝缘部分（完好为0，有缺陷为1）")
    private String supportInsulation;

    /**
     * 主回路端子（完好为0，有缺陷为1）
     */
    @ApiModelProperty(name = "mainLoopTerminal", value = "主回路端子（完好为0，有缺陷为1）")
    private String mainLoopTerminal;

    /**
     * 同类电缆维护次数
     */
    @ApiModelProperty(name = "tldlqMaintain", value = "同类断路器维护次数")
    private String tldlqMaintain;

    /**
     * 断路器维护（完好为0，有缺陷为1）
     */
    @ApiModelProperty(name = "dlqMaintenance", value = "断路器维护（完好为0，有缺陷为1）")
    private String dlqMaintenance;

    /**
     * 环境系数（空气质量：优秀/良好1、轻度污染1.05、中度污染1.15、重度污染1.3）
     */
    @ApiModelProperty(name = "dustCorrosion", value = "环境系数（空气质量：优秀/良好1、轻度污染1.05、中度污染1.15、重度污染1.3）")
    private String dustCorrosion;

    /**
     * 缺陷性质:5级 5 4级 4 3级 3 2级 2 1级 1
     */
    @ApiModelProperty(name = "qxXz", value = "5级  5  4级  4   3级  3   2级  2  1级  1")
    private String qxXz;

    /**
     * 故障描述
     */
    @ApiModelProperty(name = "failDescription", value = "故障描述")
    private String failDescription;

    /**
     * 处理状态（0未处理，1处理）
     */
    @ApiModelProperty(name = "dealStatus", value = "处理状态（0未处理，1处理）")
    private String dealStatus;

    /**
     * 处理结果
     */
    @ApiModelProperty(name = "dealResult", value = "处理结果")
    private String dealResult;

    /**
     * 是否删除:1——正常；2——删除
     */
    @ApiModelProperty(name = "isDelete", value = "是否删除:1——正常；2——删除")
    private String isDelete;

    /**
     * 被监测设备
     */
    @ApiModelProperty(name = "equipmentType", value = "被监测设备:111-变压器，211-GIS,411-避雷器，311-测温柜，511-其它")
    private String equipmentType;

    /**
     * 监测装置类型
     */
    @ApiModelProperty(name = "subEquipmentType", value = "监测装置类型")
    private String subEquipmentType;

    /**
     * 主设备名称
     */
    @ApiModelProperty(name = "mainEquipmentName", value = "主设备名称")
    private String mainEquipmentName;

    /**
     * 传感器生产厂家
     */
    @ApiModelProperty(name = "sensor_manufactor", value = "传感器生产厂家")
    private String sensorManufactor;


    /**
     * 查询告警开始时间
     */
    private LocalDateTime warnStartTime;

    /**
     * 查询告警结束时间
     */
    private LocalDateTime warnEndTime;
}
