package com.huatek.busi.dto;

import java.io.Serializable;
import java.time.LocalDate;
import java.time.LocalDateTime;

import com.huatek.torch.sql.beans.PageBean;

import lombok.Data;
import lombok.EqualsAndHashCode;
/**
 * 离线数据--GIS开关试验数据 Dto
 *
 * @author anker_cheng
 * @date Jul 4, 2019 2:00:02 PM
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class BusiOutlineGisExperimentDataDto extends PageBean implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 
     */
    private String id;
    /**
     * GIS设备ID
     */
    private String equipmentId;
    /**
     * 站点ID
     */
    private String siteId;
    /**
     * 实验类型:1:断路器实验   2：其他实验
     */
    private String type;
    /**
     * 试验时间
     */
    private LocalDateTime experimentDateTime;
    /**
     * 试验起始时间
     */
    private LocalDate startTime;
    /**
     * 试验结束时间
     */
    private LocalDate endTime;
    /**
     * 创建时间
     */
    private LocalDateTime createTime;
    /**
     * A相压力(其他)
     */
    private String aPressure;
    /**
     * b相压力(其他)
     */
    private String bPressure;
    /**
     * c相压力(其他)
     */
    private String cPressure;
    /**
     * A相水(其他)
     */
    private String aWater;
    /**
     * b相水(其他)
     */
    private String bWater;
    /**
     * c相水(其他)
     */
    private String cWater;
    /**
     * A相温度(其他)
     */
    private String aTemperature;
    /**
     * B相温度(其他)
     */
    private String bTemperature;
    /**
     * C相温度(其他)
     */
    private String cTemperature;
    /**
     * A相导电回路电阻(其他)
     */
    private String aDdhlResistance;
    /**
     * B相导电回路电阻(其他)
     */
    private String bDdhlResistance;
    /**
     * C相导电回路电阻(其他)
     */
    private String cDdhlResistance;
    /**
     * A相压力(断路器)
     */
    private String aPressureDlq;
    /**
     * b相压力(断路器)
     */
    private String bPressureDlq;
    /**
     * c相压力(断路器)
     */
    private String cPressureDlq;
    /**
     * A相水(断路器)
     */
    private String aWaterDlq;
    /**
     * b相水(断路器)
     */
    private String bWaterDlq;
    /**
     * c相水(断路器)
     */
    private String cWaterDlq;
    /**
     * A相温度(断路器)
     */
    private String aTemperatureDlq;
    /**
     * B相温度(断路器)
     */
    private String bTemperatureDlq;
    /**
     * C相温度(断路器)
     */
    private String cTemperatureDlq;
    /**
     * A相导电回路电阻(断路器)
     */
    private String aDdhlResistanceDlq;
    /**
     * B相导电回路电阻(断路器)
     */
    private String bDdhlResistanceDlq;
    /**
     * C相导电回路电阻(断路器)
     */
    private String cDdhlResistanceDlq;
}