package com.huatek.busi.dto;

import com.huatek.torch.frame.validate.KerCheck;
import com.huatek.torch.frame.validate.KerMode;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;


/**
 * @description BusiSemiAutomaticEvaluateConfigDto
 *
 * @author Kavon
 * @date 2023/11/28 20:03
 */
@ApiModel(value = "BusiSemiAutomaticEvaluateConfigDto", description = "半自动评估配置Dto")
@Data
@EqualsAndHashCode(callSuper = false)
public class BusiSemiAutomaticEvaluateConfigDto implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @KerCheck(rule = KerMode.NOT_BLANK)
    @ApiModelProperty(value = "主键ID", name = "id")
    private String id;

    /**
     * 半自动评估标记（1是半自动，0是自动）
     */
    @KerCheck(rule = KerMode.NOT_BLANK)
    @ApiModelProperty(value = "半自动评估标记（1是半自动，0是自动）", name = "mark")
    private String mark;


}
