package com.huatek.busi.dto;

import com.huatek.torch.frame.validate.KerCheck;
import com.huatek.torch.frame.validate.KerMode;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.math.BigDecimal;

@ApiModel(value = "BusiSemiAutomaticEvaluateDataDto", description = "半自动评估录入数据 Dto")
@Data
@EqualsAndHashCode(callSuper = false)
public class BusiSemiAutomaticEvaluateDataDto implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 站点Id
     */
    @KerCheck(rule = KerMode.NOT_BLANK)
    @ApiModelProperty(name = "siteId", value = "站点Id")
    private String siteId;

    /**
     * 主设备ID
     */
    @KerCheck(rule = KerMode.NOT_BLANK)
    @ApiModelProperty(name = "mainEquipmentId", value = "主设备ID")
    private String mainEquipmentId;


    /**
     * 主设备类型
     */
    @KerCheck(rule = KerMode.NOT_BLANK)
    @ApiModelProperty(name = "equipmentType", value = "主设备类型")
    private String equipmentType;

    /**
     * 电流(A)
     */
    @KerCheck(rule = KerMode.NOT_BLANK)
    @ApiModelProperty(name = "current", value = "电流(A)")
    private String current;


    /**
     * 电压（V）
     */
    @ApiModelProperty(name = "voltage", value = "电压（V）")
    private String voltage;


    /**
     * 时长（S）
     */
    @ApiModelProperty(name = "duration", value = "时长（h）")
    private BigDecimal duration;

    /**
     * 断开次数
     */
    @ApiModelProperty(name = "breakTimes", value = "断开次数")
    private BigDecimal breakTimes;
}
