package com.huatek.busi.dto;

import java.io.Serializable;
import java.time.LocalDateTime;

import com.huatek.torch.frame.validate.KerCheck;
import com.huatek.torch.frame.validate.KerMode;
import com.huatek.torch.sql.beans.PageBean;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 站点表 Dto
 *
 * @author anker_cheng
 * @date Jul 2, 2019 2:22:15 PM
 */
@ApiModel(value = "BusiSiteDto", description = "站点表 Dto")
@Data
@EqualsAndHashCode(callSuper = false)
public class BusiSiteDto extends PageBean implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 
     */
    private String id;
    /**
     * 站点名称
     */
    @KerCheck(rule = KerMode.NOT_BLANK)
    @ApiModelProperty(name = "siteName", value = "站点名称", required = true)
    private String siteName;
    /**
     * 站点地址
     */
    @KerCheck(rule = KerMode.NOT_BLANK)
    @ApiModelProperty(name = "siteAddress", value = "站点地址", required = true)
    private String siteAddress;
    /**
     * 经度
     */
    @KerCheck(rule = KerMode.NOT_BLANK)
    @ApiModelProperty(name = "longitude", value = "经度", required = true)
    private String longitude;
    /**
     * 纬度
     */
    @KerCheck(rule = KerMode.NOT_BLANK)
    @ApiModelProperty(name = "latitude", value = "纬度", required = true)
    private String latitude;
    /**
     * 创建时间
     */
    private LocalDateTime createTime;
    /**
     * 
     */
    @KerCheck(rule = KerMode.NOT_BLANK)
    @ApiModelProperty(name = "status", value = "状态", required = true, allowableValues = "1——正常；2——删除")
    private String status;
    /**
     * 
     */
    private String createUser;
    /**
     * 
     */
    private String createName;
    /**
     * 机构
     */
    private String orgCode;
}