package com.huatek.busi.dto;

import java.io.Serializable;
import com.huatek.torch.sql.beans.PageBean;
import java.time.LocalDateTime;

import lombok.Data;
import lombok.EqualsAndHashCode;
/**
 * 站点树 Dto
 *
 * @author walker_wang
 * @date Jul 8, 2019 5:47:09 PM
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class BusiSiteTreeDto extends PageBean implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 主键ID
     */
    private String id;
    /**
     * 父类别 id 当id=0时说明是根节点
     */
    private String parentId;
    /**
     *  类别名称
     */
    private String name;
    /**
     * 类别状态 1-正常 ， 2-删除
     */
    private String status;
    /**
     * 站点id
     */
    private String siteId;
    /**
     *  1：变压器   2:GIS  3:测温   4：避雷器   21:GIS回路；31:测温柜回路  41：避雷器回路  111: 变压器设备  211：GIS设备 311：测温设备  411：避雷器设备
     */
    private String equipmentType;
    /**
     * 系统编码
     */
    private String systemCode;
    /**
     * 创建时间
     */
    private LocalDateTime createTime;
}