package com.huatek.busi.dto;

import java.io.Serializable;
import com.huatek.torch.sql.beans.PageBean;
import java.time.LocalDateTime;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
/**
 * 稳定性指标 Dto
 *
 * @author anker_cheng
 * @date Jul 29, 2019 2:13:44 PM
 */
@ApiModel(value = "BusiStabilityDto", description = "稳定性指标 Dto", parent = PageBean.class)
@Data
@EqualsAndHashCode(callSuper = false)
public class BusiStabilityDto extends PageBean implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 
     */
    @ApiModelProperty(name = "id", value = "")
    private String id;

    /**
     * 站点树ID
     */
    @ApiModelProperty(name = "mainTreeId", value = "站点树ID")
    private String mainTreeId;

    /**
     * 外挂设备树ID
     */
    @ApiModelProperty(name = "subTreeId", value = "外挂设备树ID")
    private String subTreeId;

    /**
     * 外挂设备ID
     */
    @ApiModelProperty(name = "equipmenId", value = "外挂设备ID")
    private String equipmenId;

    /**
     * 稳定性指标值
     */
    @ApiModelProperty(name = "stabilityIndex", value = "稳定性指标值")
    private String stabilityIndex;

    /**
     * 指标状态  1-发电  2-抽水  3-空闲  
     */
    @ApiModelProperty(name = "indexType", value = "指标状态  1-发电  2-抽水  3-空闲  ")
    private String indexType;

    /**
     * 创建时间
     */
    @ApiModelProperty(name = "createTime", value = "创建时间")
    private LocalDateTime createTime;
}