package com.huatek.busi.dto;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

import com.huatek.torch.sql.beans.PageBean;

import lombok.Data;
import lombok.EqualsAndHashCode;
/**
 * 电容型设备——绝缘监测：022001 Dto
 *
 * @author anker_cheng
 * @date Aug 2, 2019 2:12:55 PM
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class CapacitanceEquipmentImDto extends PageBean implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    private String id;

    /**
     * CAC 的唯一标识（17 位码）
     */
    private String cacId;

    /**
     * 监测数据组的数目
     */
    private BigDecimal dataNodeNum;

    /**
     * 在线监测装置的唯一标识（17 位码）
     */
    private String sensorId;

    /**
     * 监测类型编码
     */
    private String cacMonitorTypeCode;

    /**
     * 在线监测装置对应的被监测设备的 唯一标识（17 位码）
     */
    private String equipmentId;

    /**
     * 数据采集时间，格式为：yyyy-MM-dd HH:mm:ss
     */
    private LocalDateTime timeStamp;

    /**
     * 主设备编号
     */
    private String equipmentCode;

    /**
     * 外挂设备编号
     */
    private String extEquipmentCode;

    /**
     * 站点ID
     */
    private String siteId;

    /**
     * 被监测设备相别
     */
    private String phase;

    /**
     * 电容量(pF)
     */
    private String capacitance;

    /**
     * 介质损耗因数
     */
    private String lossFactor;

    /**
     * 三相不平衡电流
     */
    private String unbalanceCurrent;

    /**
     * 三相不平衡电压
     */
    private String unbalanceVoltage;

    /**
     * 泄露电流(mA)
     */
    private String totalCurrent;

    /**
     * 系统电压(V)
     */
    private String systemVoltage;

    /**
     * 主设备ID
     */
    private String mainEquipmentId;

    /**
     * 外挂设备ID
     */
    private String subEquipmentId;

    /**
     * 站点设备树ID
     */
    private String mainTreeId;

    /**
     * 外挂设备树ID
     */
    private String subTreeId;

    /**
     * 传感器编码
     */
    private String sensorCode;

    private String type;
}