package com.huatek.busi.dto;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDate;

import com.huatek.torch.sql.beans.PageBean;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * sensor曲线图，一天一个点 Dto
 *
 * @author anker_cheng
 * @date Aug 30, 2019 1:43:14 PM
 */
@ApiModel(value = "CurveSensorEntityDto", description = "sensor曲线图，一天一个点 Dto", parent = PageBean.class)
@Data
@EqualsAndHashCode(callSuper = false)
public class CurveSensorEntityDto extends PageBean implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @ApiModelProperty(name = "id", value = "主键ID")
    private String id;

    @ApiModelProperty(name = "mainTreeId", value = "站点设备树ID")
    private String mainTreeId;

    /**
     * 传感器编码sensorCode
     */
    @ApiModelProperty(name = "sensorCode", value = "传感器编码sensorCode")
    private String sensorCode;

    /**
     * 子类型，比如油色谱一个sensor含有多种气体，每个气体每天一个点
     */
    @ApiModelProperty(name = "subType", value = "子类型，比如油色谱一个sensor含有多种气体，每个气体每天一个点")
    private String subType;

    /**
     * 日期
     */
    @ApiModelProperty(name = "day", value = "日期")
    private LocalDate day;

    /**
     * 点的值
     */
    @ApiModelProperty(name = "val", value = "点的值")
    private BigDecimal val;
}