package com.huatek.busi.dto;

import java.io.Serializable;
import java.time.LocalDate;

import org.springframework.format.annotation.DateTimeFormat;

import com.huatek.torch.sql.beans.PageBean;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 数据输出记录 Dto
 *
 * @author anker_cheng
 * @date Oct 12, 2019 9:57:49 AM
 */
@ApiModel(value = "DataOutputEntityDto", description = "数据输出记录 Dto", parent = PageBean.class)
@Data
@EqualsAndHashCode(callSuper = false)
public class DataOutputEntityDto extends PageBean implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @ApiModelProperty(name = "id", value = "主键ID")
    private String id;

    @ApiModelProperty(name = "siteId", value = "站点ID")
    private String siteId;

    @ApiModelProperty(name = "siteName", value = "站点名称")
    private String siteName;

    /**
     * 站点设备树ID
     */
    @ApiModelProperty(name = "mainTreeId", value = "站点设备树ID")
    private String mainTreeId;

    @ApiModelProperty(name = "mainTreeName", value = "站点设备名")
    private String mainTreeName;

    /**
     * 外挂设备树ID
     */
    @ApiModelProperty(name = "subTreeId", value = "外挂设备树ID")
    private String subTreeId;
    @ApiModelProperty(name = "subTreeName", value = "外挂设备名")
    private String subTreeName;

    /**
     * 数据日期
     */
    @ApiModelProperty(name = "day", value = "数据日期")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private LocalDate day;
    @ApiModelProperty(name = "dayEnd", value = "数据日期截止")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private LocalDate dayEnd;

    /**
     * 数据描述
     */
    @ApiModelProperty(name = "dataDesc", value = "数据描述")
    private String dataDesc;

    // /**
    // * 文件路径(相对路径)
    // */
    // @ApiModelProperty(name = "filePath", value = "文件路径(相对路径)")
    // private String filePath;

    // /**
    // * 记录生成时间
    // */
    // @ApiModelProperty(name = "createdTime", value = "记录生成时间")
    // private LocalDateTime createdTime;

    // /**
    // * 下载次数
    // */
    // @ApiModelProperty(name = "downloadTimes", value = "下载次数")
    // private Integer downloadTimes;
}