package com.huatek.busi.dto;

import java.io.Serializable;
import java.time.LocalDate;
import java.time.LocalDateTime;

import com.huatek.busi.vo.routinetest.gis.ActionFeaturePart;
import com.huatek.busi.vo.routinetest.gis.DcResistorPart;
import com.huatek.busi.vo.routinetest.gis.LowVoltageActionPart;
import com.huatek.busi.vo.routinetest.gis.Sf6GasWaterContentPart;
import com.huatek.busi.vo.routinetest.gis.Sf6RelayAccuracyPart;
import com.huatek.torch.sql.beans.PageBean;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * Gis离线试验报告Dto
 * 
 * @author anker_cheng
 * @date 2019/08/24
 */
@ApiModel(value = "GisOfflineExperimentReportDto", description = "Gis离线试验报告Dto", parent = PageBean.class)
@Data
@EqualsAndHashCode(callSuper = false)
public class GisOfflineExperimentReportDto extends PageBean implements Serializable {
    private static final long serialVersionUID = -2625517816359063816L;

    /** 主键ID */
    @ApiModelProperty(name = "id", value = "主键ID")
    private String id;

    /** 站点ID */
    @ApiModelProperty(name = "siteId", value = "站点ID")
    private String siteId;

    /** GIS设备ID */
    @ApiModelProperty(name = "gisId", value = "GIS设备ID")
    private String gisId;
    private String gisName;
    

    @ApiModelProperty(name = "lowVoltageActionPart", value = "测量低电压动作值")
    private LowVoltageActionPart lowVoltageActionPart;

    @ApiModelProperty(name = "dcResistorPart", value = "测量导电回路的直流电阻")
    private DcResistorPart dcResistorPart;

    @ApiModelProperty(name = "actionFeaturePart", value = "动作特性试验（单位：ms 操作电压110V DC）")
    private ActionFeaturePart actionFeaturePart;

    @ApiModelProperty(name = "sf6RelayAccuracyPart", value = "SF6气体密度继电器精度测试报告")
    private Sf6RelayAccuracyPart sf6RelayAccuracyPart;

    @ApiModelProperty(name = "sf6GasWaterContentPart", value = "SF6气体微水含量测试报告")
    private Sf6GasWaterContentPart sf6GasWaterContentPart;

    /** 创建时间 */
    @ApiModelProperty(name = "createdTime", value = "创建时间")
    private LocalDateTime createdTime;

    /** 修改时间 */
    @ApiModelProperty(name = "modifiedTime", value = "修改时间")
    private LocalDateTime modifiedTime;

    /** 创建人 */
    @ApiModelProperty(name = "creator", value = "创建人")
    private String creator;

    /** 修改人 */
    @ApiModelProperty(name = "modifier", value = "修改人")
    private String modifier;
    
    /**
     * 创建起始时间
     */
    private LocalDate checkDate;
    
    /**
     * 创建截止时间
     */
    private LocalDate endCheckDate;
}
