package com.huatek.busi.dto;

import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.annotation.TableName;
import com.huatek.torch.sql.beans.Pojo;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 *      热点温度计算结果表
 *  </p>
 *
 * @author dong
 * @since 2023-07-19
 */
@Data
public class HotSpotTemperatureResultDto extends Pojo implements Serializable{

    private static final long serialVersionUID = 1L;



    /**
     * 站点id
     */
    @ApiModelProperty(value = "站点id",  name="siteId")

    private String siteId;

    /**
     * 站点设备树ID
     */
    @ApiModelProperty(value = "站点设备树ID",  name="mainTreeId")
    @FieldName("main_tree_id")
    private String mainTreeId;


    /**
     * 环境温度
     */
    @ApiModelProperty(value = "环境温度",  name="environmentTemperature")
    @FieldName("environment_temperature")
    private String environmentTemperature;

    /**
     * 额定电流下的顶层油温升
     */
    @ApiModelProperty(value = "额定电流下的顶层油温升",  name="topOilTemperature")
    @FieldName("top_oil_temperature")
    private String topOilTemperature;

    /**
     * 额定电流下的负载损耗和空载损耗之比
     */
    @ApiModelProperty(value = "额定电流下的负载损耗和空载损耗之比",  name="lossRatio")
    @FieldName("loss_ratio")
    private String lossRatio;

    /**
     * 负载系数，负载电流/额定电流
     */
    @ApiModelProperty(value = "负载系数，负载电流/额定电流",  name="loadCoefficient")
    @FieldName("load_coefficient")
    private String loadCoefficient;

    /**
     * 油的指数
     */
    @ApiModelProperty(value = "油的指数",  name="indexOfOil")
    @FieldName("Index_of_oil")
    private String indexOfOil;

    /**
     * 绕组测温最高点温度
     */
    @ApiModelProperty(value = "绕组测温最高点温度",  name="windingTemperature")
    @FieldName("winding_temperature")
    private String windingTemperature;

    /**
     * 绕组指数
     */
    @ApiModelProperty(value = "绕组指数",  name="windingIndex")
    @FieldName("winding_index")
    private String windingIndex;



}
