package com.huatek.busi.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.time.LocalDate;
import java.time.LocalDateTime;

@Data
@ApiModel("离线实验报告基础数据出参")
public class LabReportBasisDataDto implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "id", name = "唯一主键标识")
    private String id;

    @ApiModelProperty(value = "refId", name = "关联附件编号")
    private String refId;

    @ApiModelProperty(value = "mId", name = "主报告编号")
    private String mId;

    @ApiModelProperty(value = "mainEquId", name = "主设备编号")
    private String mainEquId;

    @ApiModelProperty(value = "mainEquName", name = "主设备名称")
    private String mainEquName;

    @ApiModelProperty(value = "equName", name = "设备名称")
    private String equName;

    @ApiModelProperty(value = "testItem", name = "试验项目")
    private String testItem;

    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @ApiModelProperty(value = "testDate", name = "试验日期")
    private LocalDate testDate;

    @ApiModelProperty(value = "testStaff", name = "试验人员")
    private String testStaff;

    @ApiModelProperty(value = "maintenanceUnit", name = "检修单位")
    private String maintenanceUnit;

    @ApiModelProperty(value = "createUser", name = "创建者")
    private String createUser;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "createTime", name = "创建时间")
    private LocalDateTime createTime;

    @ApiModelProperty(value = "updateUser", name = "更新者")
    private String updateUser;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "updateTime", name = "更新时间")
    private LocalDateTime updateTime;

    @ApiModelProperty(value = "deleted", name = "是否删除 0否 1是")
    private String deleted;

    @ApiModelProperty(value = "fileName", name = "文件名称")
    private String fileName;

    @ApiModelProperty(value = "filePath", name = "文件路径")
    private String filePath;

    @ApiModelProperty(value = "name", name = "间隔名称")
    private String gapName;

    @ApiModelProperty(value = "sheetName", name = "sheet页名称")
    private String sheetName;

    @ApiModelProperty(value = "offlineParam", name = "离线参数")
    private String offlineParam;

    @ApiModelProperty(value = "markId", name = "参数对应系统中固定id")
    private String markId;

    @ApiModelProperty(value = "valueRange", name = "取值范围")
    private String valueRange;

    @ApiModelProperty(value = "value", name = "当前值")
    private String value;

    @ApiModelProperty(value = "unit", name = "单位")
    private String unit;

    @ApiModelProperty(value = "rule", name = "打标规则")
    private String rule;

    @ApiModelProperty(value = "markType", name = "是否打标")
    private String markType;

    @ApiModelProperty(value = "result", name = "试验结果")
    private String result;

    @ApiModelProperty(value = "remark", name = "备注")
    private String remark;
}
