package com.huatek.busi.dto;

import com.huatek.busi.dto.cable.BusiCableCirculationStatisticsDto;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.time.LocalDate;
import java.time.LocalDateTime;

@Data
@ApiModel("离线实验报告基础数据出参")
public class LabReportMarkDto implements Serializable {

    private static final long serialVersionUID = 1L;
    private static final int DEFAULT_DAYS = 15;

    @ApiModelProperty(value = "fileName", name = "文件名称")
    private String fileName;

    @ApiModelProperty(value = "equipmentName", name = "设备名称")
    private String equipmentName;

    @ApiModelProperty(value = "sheetName", name = "设备小类")
    private String sheetName;

    @ApiModelProperty(value = "testItem", name = "试验项目")
    private String testItem;

    @ApiModelProperty(value = "testEquipment", name = "试验设备")
    private String testEquipment;

    @ApiModelProperty(value = "checker", name = "校核者")
    private String checker;

    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @ApiModelProperty(value = "testDate", name = "试验日期")
    private LocalDate testDate;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "createTime", name = "创建日期")
    private LocalDate createTime;

    @ApiModelProperty(value = "maintenance", name = "检修单位")
    private String maintenance;

    @ApiModelProperty(value = "testStaff", name = "试验人员")
    private String testStaff;

    @ApiModelProperty(value = "testInterval", name = "试验次数、位置、间隔")
    private String testInterval;

    @ApiModelProperty(value = "testType", name = "试验类别")
    private String testType;

    @ApiModelProperty(value = "offlineParam", name = "试验参数")
    private String offlineParam;

    @ApiModelProperty(value = "valueRange", name = "有效值范围")
    private String valueRange;

    @ApiModelProperty(value = "currentValue", name = "当前值")
    private String currentValue;

    @ApiModelProperty(value = "unit", name = "unit")
    private String unit;

    @ApiModelProperty(value = "param", name = "评估参数")
    private String param;

    @ApiModelProperty(value = "testResult", name = "试验结果")
    private String testResult;

    @ApiModelProperty(value = "remark", name = "备注")
    private String remark;

    @ApiModelProperty(value = "absRate", name = "绝对增长率")
    private String absRate;

    @ApiModelProperty(value = "relRate", name = "相对增长率")
    private String relRate;

    @ApiModelProperty(value = "devRate", name = "偏差率")
    private String devRate;
}
