package com.huatek.busi.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.time.LocalDate;
import java.time.LocalDateTime;

@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value = "labReportMarkStatisticDto", description = "统计实验报告打标、报告数量及可信度出参")
public class LabReportMarkStatisticDto implements Serializable {

    @ApiModelProperty(value = "id", name = "唯一主键标识", required = true)
    private String id;

    @ApiModelProperty(value = "refId", name = "关联附件编号")
    private String refId;

    @ApiModelProperty(value = "reportId", name = "报告编号")
    private String reportId;

    @ApiModelProperty(value = "mark", name = "打标字段")
    private String mark;

    @ApiModelProperty(value = "validValueRange", name = "有效值范围")
    private String validValueRange;

    @ApiModelProperty(value = "currentValue", name = "当前值")
    private String currentValue;

    @ApiModelProperty(value = "unit", name = "单位")
    private String unit;

    @ApiModelProperty(value = "testResult", name = "试验结果")
    private String testResult;

    @ApiModelProperty(value = "equTypeRule", name = "设备类型规则")
    private String equTypeRule;

    @ApiModelProperty(value = "eRule", name = "评估字段规则")
    private String eRule;

    @ApiModelProperty(value = "eCalculateRule", name = "评估字段计算规则")
    private String eCalculateRule;

    @ApiModelProperty(value = "timeRule", name = "时间规则")
    private String timeRule;

    @ApiModelProperty(value = "testInterval", name = "试验次数/位置/间隔时间")
    private String testInterval;

    @ApiModelProperty(value = "testType", name = "试验类别")
    private String testType;

    @ApiModelProperty(value = "eParam", name = "评估参数")
    private String eParam;

    @ApiModelProperty(value = "remark", name = "备注(油温、环境温度、湿度、精度)")
    private String remark;

    @ApiModelProperty(value = "mainEquipmentId", name = "主设备编号")
    private String mainEquipmentId;

    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @ApiModelProperty(value = "testDate", name = "试验日期")
    private LocalDate testDate;

    @ApiModelProperty(value = "createUser", name = "创建者")
    private String createUser;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "createTime", name = "创建时间")
    private LocalDateTime createTime;

    @ApiModelProperty(value = "updateUser", name = "更新者")
    private String updateUser;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "updateTime", name = "更新时间")
    private LocalDateTime updateTime;

    @ApiModelProperty(value = "deleted", name = "是否删除 0否 1是")
    private String deleted;
}
