package com.huatek.busi.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.time.LocalDateTime;

@Data
@ApiModel(value = "rMasterDataRecordDto", description = "离线报告主数据记录出参")
public class RMasterDataRecordDto implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "id", name = "唯一主键标识", required = true)
    private String id;

    @ApiModelProperty(value = "equipmentType", name = "设备标识")
    private String equipmentType;

    @ApiModelProperty(value = "siteId", name = "站点编号")
    private String siteId;

    @ApiModelProperty(value = "mainEquId", name = "主设备编号")
    private String mainEquId;

    @ApiModelProperty(value = "equLittleType", name = "设备小类")
    private String equLittleType;

    @ApiModelProperty(value = "equLittleId", name = "小设备编号")
    private String equLittleId;

    @ApiModelProperty(value = "refId", name = "附件关联编号")
    private String refId;

    @ApiModelProperty(value = "testItem", name = "试验项目")
    private String testItem;

    @ApiModelProperty(value = "testDate", name = "试验日期")
    private String testDate;

    @ApiModelProperty(value = "createUser", name = "创建者")
    private String createUser;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "createTime", name = "创建时间")
    private LocalDateTime createTime;
}
