package com.huatek.busi.dto;

import java.io.Serializable;
import java.time.LocalDateTime;

import org.springframework.format.annotation.DateTimeFormat;

import com.huatek.torch.sql.beans.PageBean;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 读表、拍照数据 entity
 * @author buck_guo
 * @date 2019/09/10
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class ReadTableVisualization extends PageBean implements Serializable  {
    private static final long serialVersionUID = 1L;

    /**
     * 
     */
    private String id;

    /**
     * 设备名称
     */
    private String eqmName;


    /**
     * 安装位置
     */
    private String position;
    
    /**
     * 传感器名称
     */
    private String sensorName;

    /**
     * 监测时间 
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime timeStamp;
    
    /**
     * 查询开始时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private LocalDateTime startDate;
    
    /**
     * 查询结束时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private LocalDateTime endDate;

    /**
     * 表数据
     */
    private String dataval;
    
    /**
     * 状态
     */
    private String workState;
    
    /**
     * 图片路径及文件名
     */
    private String picpath;   
    
    /**
     * 监测时间
     */
    @ApiModelProperty(name = "dTime", value = "监测时间 ")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime dTime;

    @ApiModelProperty(name = "dTimeEnd", value = "监测时间截止 ")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime dTimeEnd;

    @ApiModelProperty(name = "equipmentName", value = "设备名称")
    private String equipmentName;
}