package com.huatek.busi.dto;

import io.swagger.annotations.*;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.time.LocalDateTime;

@Data
@ApiModel(value = "reportTemplateDto", description = "报告模板信息出参")
public class ReportTemplateDto implements Serializable {

    @ApiModelProperty(value = "id", name = "唯一主键标识")
    private String id;

    @ApiModelProperty(value = "siteId", name = "站点编号")
    private String siteId;

    @ApiModelProperty(value = "mainEquId", name = "主设备编号")
    private String mainEquId;

    @ApiModelProperty(value = "tName", name = "模板名称")
    private String tName;

    @ApiModelProperty(value = "createUser", name = "创建者")
    private String createUser;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "createTime", name = "创建时间")
    private LocalDateTime createTime;

    @ApiModelProperty(value = "updateUser", name = "更新者")
    private String updateUser;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "updateTime", name = "更新时间")
    private LocalDateTime updateTime;

    @ApiModelProperty(value = "deleted", name = "是否删除 0否 1是")
    private String deleted;

    @ApiModelProperty(value = "fileName", name = "文件名称")
    private String fileName;

    @ApiModelProperty(value = "filePath", name = "文件路径")
    private String filePath;

    @ApiModelProperty(value = "suffixName", name = "后缀名称")
    private String suffixName;

    @ApiModelProperty(value = "fileSize", name = "文件大小")
    private Long fileSize;

    @ApiModelProperty(value = "fileType", name = "文件类型")
    private String fileType;
}
