package com.huatek.busi.dto;

import java.io.Serializable;
import java.time.LocalDateTime;

import org.springframework.format.annotation.DateTimeFormat;

import com.huatek.torch.sql.beans.PageBean;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * GIS开关-SF6压力微水温度--实时界面数据 Dto
 *
 * @author anker_cheng
 * @date Oct 21, 2019 2:53:17 PM
 */
@ApiModel(value = "RptGisMonitorSf6Dto", description = "GIS开关-SF6压力微水温度--实时界面数据 Dto", parent = PageBean.class)
@Data
@EqualsAndHashCode(callSuper = false)
public class RptGisMonitorSf6Dto extends PageBean implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 
     */
    @ApiModelProperty(name = "id", value = "")
    private String id;

    /**
     * 站点Id
     */
    @ApiModelProperty(name = "siteId", value = "站点Id")
    private String siteId;

    /**
     * 设备ID
     */
    @ApiModelProperty(name = "eqmId", value = "设备ID")
    private String eqmId;

    /**
     * 设备code
     */
    @ApiModelProperty(name = "eqmCode", value = "设备code")
    private String eqmCode;

    /**
     * 区域id
     */
    @ApiModelProperty(name = "ararId", value = "区域id")
    private String ararId;

    /**
     * sersorid
     */
    @ApiModelProperty(name = "sensorId", value = "sersorid")
    private String sensorId;

    /**
     * 相位:A/B/C
     */
    @ApiModelProperty(name = "phase", value = "相位:A/B/C")
    private String phase;

    /**
     * 温度
     */
    @ApiModelProperty(name = "temper", value = "温度")
    private String temper;

    /**
     * 微水
     */
    @ApiModelProperty(name = "moisture", value = "微水")
    private String moisture;

    /**
     * 压力
     */
    @ApiModelProperty(name = "pressure", value = "压力")
    private String pressure;

    /**
     * 创建时间
     */
    @ApiModelProperty(name = "createTime", value = "创建时间")
    private LocalDateTime createTime;

    /**
     * 状态：A:可用 D：不可用
     */
    @ApiModelProperty(name = "status", value = "状态：A:可用  D：不可用")
    private String status;

    /**
     * 站点设备树ID
     */
    @ApiModelProperty(name = "mainTreeId", value = "站点设备树ID")
    private String mainTreeId;

    /**
     * 外挂设备树ID
     */
    @ApiModelProperty(name = "subTreeId", value = "外挂设备树ID")
    private String subTreeId;

    /**
     * 修改时间
     */
    @ApiModelProperty(name = "modifiedTime", value = "修改时间")
    private LocalDateTime modifiedTime;

    /**
     * 修改时间截止
     */
    @ApiModelProperty(name = "modifiedTimeEnd", value = "修改时间截止")
    private LocalDateTime modifiedTimeEnd;

    @ApiModelProperty(name = "equipmentName", value = "设备名称")
    private String equipmentName;

    @ApiModelProperty(name = "equipmentBrand", value = "设备标牌")
    private String equipmentBrand;
    
    /**
     * 监测时间
     */
    @ApiModelProperty(name = "dTime", value = "监测时间 ")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime dTime;

    @ApiModelProperty(name = "dTimeEnd", value = "监测时间截止 ")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime dTimeEnd;
}