package com.huatek.busi.dto;

import java.io.Serializable;
import java.time.LocalDateTime;

import org.springframework.format.annotation.DateTimeFormat;

import com.huatek.torch.sql.beans.PageBean;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 定时任务 Dto
 *
 * @author edward_luo
 * @date Jul 15, 2019 09:56:02 AM
 */
@ApiModel(value = "ScheduleJobDto", description = "定时任务Dto", parent = PageBean.class)
@Data
@EqualsAndHashCode(callSuper = false)
public class ScheduleJobDto extends PageBean implements Serializable{

	private static final long serialVersionUID = 1L;
	
	@ApiModelProperty(name = "id", value = "任务id")
	private String id;

	@ApiModelProperty(name = "id", value = "bean名称")
	private String beanName;

	@ApiModelProperty(name = "id", value = "方法名")
	private String methodName;

	@ApiModelProperty(name = "id", value = "参数")
	private String params;

	@ApiModelProperty(name = "id", value = "cron表达式")
	private String cronExpression;

	@ApiModelProperty(name = "id", value = "任务状态 0：正常 1：暂停")
	private Integer status;

	@ApiModelProperty(name = "id", value = "备注")
	private String remark;

	@ApiModelProperty(name = "id", value = "创建时间")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private LocalDateTime createTime;

}
