package com.huatek.busi.dto;

import java.io.Serializable;
import java.time.LocalDateTime;

import org.springframework.format.annotation.DateTimeFormat;

import com.huatek.torch.sql.beans.PageBean;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 定时任务日志 Dto
 *
 * @author edward_luo
 * @date Jul 16, 2019 14:26:02 PM
 */
@ApiModel(value = "ScheduleJobLogDto", description = "定时任务日志Dto", parent = PageBean.class)
@Data
@EqualsAndHashCode(callSuper = false)
public class ScheduleJobLogDto  extends PageBean implements Serializable{
	
	private static final long serialVersionUID = 1L;
	
	/** @Fields logId : 志id*/ 
	@ApiModelProperty(name = "id", value = "主键id")
	private String id;
	
	/** @Fields jobId : 任务id*/
	@ApiModelProperty(name = "jobId", value = "任务id")
	private String jobId;
	
	/** @Fields beanName : bean名称*/
	@ApiModelProperty(name = "beanName", value = "bean名称")
	private String beanName;
	
	/** @Fields methodName :方法名*/
	@ApiModelProperty(name = "methodName", value = "方法名")
	private String methodName;
	
	/** @Fields params : 参数*/
	@ApiModelProperty(name = "params", value = "参数")
	private String params;
	
	/** @Fields status : 任务状态    0：成功    1：失败*/
	@ApiModelProperty(name = "status", value = "任务状态    0：成功    1：失败")
	private Integer status;
	
	
	/** @Fields error : 失败信息*/
	@ApiModelProperty(name = "error", value = "失败信息")
	private String error;
	
	/** @Fields times : 耗时(单位：毫秒)*/
	@ApiModelProperty(name = "times", value = "耗时(单位：毫秒)")
	private Integer times;
	
	/** @Fields createTime : 创建时间 */
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@ApiModelProperty(name = "createTime", value = "创建时间")
	private LocalDateTime createTime;
}
