package com.huatek.busi.dto;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

import com.huatek.torch.sql.beans.PageBean;

import lombok.Data;
import lombok.EqualsAndHashCode;
/**
 * 变电站微气象暂存数据 Dto
 *
 * @author anker_cheng
 * @date Jun 28, 2019 4:19:32 PM
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class SubstationMicCacheDto extends PageBean implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 
     */
    private String id;
    /**
     * 变电站标识(17 位设备编码)
     */
    private String substationId;
    /**
     * 监测时间 
     */
    private LocalDateTime dTime;
    /**
     * 气温(℃)
     */
    private BigDecimal airTemperature;
    /**
     * 气压
     */
    private BigDecimal airPressure;
    /**
     * 湿度
     */
    private BigDecimal humidity;
    /**
     * 降雨量 
     */
    private BigDecimal precipitation;
    /**
     * 降水强度
     */
    private BigDecimal precipitationIntensity;
    /**
     * 光辐射强度
     */
    private BigDecimal radiationIntensity;
    /**
     * 站点Id
     */
    private String siteId;
}