package com.huatek.busi.dto;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

import com.huatek.torch.sql.beans.PageBean;

import lombok.Data;
import lombok.EqualsAndHashCode;
/**
 * 变电站微气象日统计 Dto
 *
 * @author anker_cheng
 * @date Jul 17, 2019 10:21:29 AM
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class SubstationMicStatisticsDto extends PageBean implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 
     */
    private String id;
    /**
     * 统计时间 
     */
    private LocalDateTime dTime;
    /**
     * 气温(℃)
     */
    private BigDecimal airTemperature;
    /**
     * 气压
     */
    private BigDecimal airPressure;
    /**
     * 湿度
     */
    private BigDecimal humidity;
    /**
     * 负荷率
     */
    private BigDecimal loadRate;
    /**
     * 站点id
     */
    private String siteId;
    /**
     * 变电站标识(17 位设备编码)
     */
    private String equipmentId;
    /**
     * 主设备编码
     */
    private String mainEquipmentId;
    /**
     * 外挂设备编码
     */
    private String subEquipmentId;
    /**
     * 主设备编号
     */
    private String mainEquipmentCode;
    /**
     * 外挂设备编号
     */
    private String subEquipmentCode;
}