package com.huatek.busi.dto;

import java.io.Serializable;
import com.huatek.torch.sql.beans.PageBean;
import java.time.LocalDateTime;

import org.springframework.format.annotation.DateTimeFormat;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
/**
 * 变压器油色谱暂存数据（类型编码 ：021002） Dto
 *
 * @author anker_cheng
 * @date Aug 5, 2019 5:29:11 PM
 */
@ApiModel(value = "TransformerEpaDataCacheDto", description = "变压器油色谱暂存数据（类型编码 ：021002） Dto", parent = PageBean.class)
@Data
@EqualsAndHashCode(callSuper = false)
public class TransformerEpaDataCacheDto extends PageBean implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 
     */
    @ApiModelProperty(name = "id", value = "")
    private String id;

    
    /**
     * 监测时间
     */
    @ApiModelProperty(name = "dTime", value = "监测时间 ")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime dTime;

    @ApiModelProperty(name = "dTimeEnd", value = "监测时间截止 ")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime dTimeEnd;

    /**
     * 被监测设备相别
     */
    @ApiModelProperty(name = "phase", value = "被监测设备相别")
    private String phase;

    /**
     * 氢气含量(μL/L)
     */
    @ApiModelProperty(name = "h2", value = "氢气含量(μL/L)")
    private String h2;

    /**
     * 甲烷含量(μL/L)
     */
    @ApiModelProperty(name = "ch4", value = "甲烷含量(μL/L)")
    private String ch4;

    /**
     * 乙烷含量(μL/L)
     */
    @ApiModelProperty(name = "c2h6", value = "乙烷含量(μL/L)")
    private String c2h6;

    /**
     * 乙烯含量(μL/L)
     */
    @ApiModelProperty(name = "c2h4", value = "乙烯含量(μL/L)")
    private String c2h4;

    /**
     * 乙炔含量(μL/L)
     */
    @ApiModelProperty(name = "c2h2", value = "乙炔含量(μL/L)")
    private String c2h2;

    /**
     * 一氧化碳含量(μL/L)
     */
    @ApiModelProperty(name = "co", value = "一氧化碳含量(μL/L)")
    private String co;

    /**
     * 二氧化碳含量(μL/L)
     */
    @ApiModelProperty(name = "co2", value = "二氧化碳含量(μL/L)")
    private String co2;

    /**
     * 氧气含量(μL/L)
     */
    @ApiModelProperty(name = "o2", value = "氧气含量(μL/L)")
    private String o2;

    /**
     * 水分含量(μL/L)
     */
    @ApiModelProperty(name = "n2", value = "水分含量(μL/L)")
    private String n2;

    /**
     * 水分
     */
    @ApiModelProperty(name = "h2o", value = "水分")
    private String h2o;

    /**
     * 总烃(μL/L)
     */
    @ApiModelProperty(name = "totalHydrocarbon", value = "总烃(μL/L)")
    private String totalHydrocarbon;

    /**
     * 载气状态（1：正常，2：异常）
     */
    @ApiModelProperty(name = "gasPressStatus", value = "载气状态（1：正常，2：异常）")
    private String gasPressStatus;

    /**
     * CAC 唯一标识
     */
    @ApiModelProperty(name = "cacId", value = "CAC 唯一标识")
    private String cacId;

    /**
     * 设备编码
     */
    @ApiModelProperty(name = "sensorId", value = "设备编码")
    private String sensorId;

    /**
     * 站点Id
     */
    @ApiModelProperty(name = "siteId", value = "站点Id")
    private String siteId;

    /**
     * 被检测设备id(17 位设备编码CAC同步的数据)
     */
    @ApiModelProperty(name = "equipmentId", value = "被检测设备id(17 位设备编码CAC同步的数据)")
    private String equipmentId;

    /**
     * 外挂设备ID
     */
    @ApiModelProperty(name = "subEquipmentId", value = "外挂设备ID")
    private String subEquipmentId;

    /**
     * 主设备ID
     */
    @ApiModelProperty(name = "mainEquipmentId", value = "主设备ID")
    private String mainEquipmentId;

    /**
     * 氢气含量增长率
     */
    @ApiModelProperty(name = "h2IncreaseRate", value = "氢气含量增长率")
    private String h2IncreaseRate;

    /**
     * 甲烷含量增长率
     */
    @ApiModelProperty(name = "ch4IncreaseRate", value = "甲烷含量增长率")
    private String ch4IncreaseRate;

    /**
     * 乙烷含量增长率
     */
    @ApiModelProperty(name = "c2h6IncreaseRate", value = "乙烷含量增长率")
    private String c2h6IncreaseRate;

    /**
     * 乙烯含量增长率
     */
    @ApiModelProperty(name = "c2h4IncreaseRate", value = "乙烯含量增长率")
    private String c2h4IncreaseRate;

    /**
     * 乙炔含量增长率
     */
    @ApiModelProperty(name = "c2h2IncreaseRate", value = "乙炔含量增长率")
    private String c2h2IncreaseRate;

    /**
     * 一氧化碳含量增长率
     */
    @ApiModelProperty(name = "coIncreaseRate", value = "一氧化碳含量增长率")
    private String coIncreaseRate;

    /**
     * 二氧化碳含量增长率
     */
    @ApiModelProperty(name = "co2IncreaseRate", value = "二氧化碳含量增长率")
    private String co2IncreaseRate;

    /**
     * 氧气含量增长率
     */
    @ApiModelProperty(name = "o2IncreaseRate", value = "氧气含量增长率")
    private String o2IncreaseRate;

    /**
     * 水分含量增长率
     */
    @ApiModelProperty(name = "n2IncreaseRate", value = "水分含量增长率")
    private String n2IncreaseRate;

    /**
     * 水分增长率
     */
    @ApiModelProperty(name = "h2oIncreaseRate", value = "水分增长率")
    private String h2oIncreaseRate;

    /**
     * 总烃增长率
     */
    @ApiModelProperty(name = "totalHydrocarbonIncreaseRate", value = "总烃增长率")
    private String totalHydrocarbonIncreaseRate;

    /**
     * 氢气含量偏差率
     */
    @ApiModelProperty(name = "h2DeviationRate", value = "氢气含量偏差率")
    private String h2DeviationRate;

    /**
     * 甲烷含量偏差率
     */
    @ApiModelProperty(name = "ch4DeviationRate", value = "甲烷含量偏差率")
    private String ch4DeviationRate;

    /**
     * 乙烷含量偏差率
     */
    @ApiModelProperty(name = "c2h6DeviationRate", value = "乙烷含量偏差率")
    private String c2h6DeviationRate;

    /**
     * 乙烯含量偏差率
     */
    @ApiModelProperty(name = "c2h4DeviationRate", value = "乙烯含量偏差率")
    private String c2h4DeviationRate;

    /**
     * 乙炔含量偏差率
     */
    @ApiModelProperty(name = "c2h2DeviationRate", value = "乙炔含量偏差率")
    private String c2h2DeviationRate;

    /**
     * 一氧化碳含量偏差率
     */
    @ApiModelProperty(name = "coDeviationRate", value = "一氧化碳含量偏差率")
    private String coDeviationRate;

    /**
     * 二氧化碳含量偏差率
     */
    @ApiModelProperty(name = "co2DeviationRate", value = "二氧化碳含量偏差率")
    private String co2DeviationRate;

    /**
     * 氧气含量偏差率
     */
    @ApiModelProperty(name = "o2DeviationRate", value = "氧气含量偏差率")
    private String o2DeviationRate;

    /**
     * 水分含量偏差率
     */
    @ApiModelProperty(name = "n2DeviationRate", value = "水分含量偏差率")
    private String n2DeviationRate;

    /**
     * 水分偏差率
     */
    @ApiModelProperty(name = "h2oDeviationRate", value = "水分偏差率")
    private String h2oDeviationRate;

    /**
     * 总烃偏差率
     */
    @ApiModelProperty(name = "totalHydrocarbonDeviationRate", value = "总烃偏差率")
    private String totalHydrocarbonDeviationRate;

    /**
     * 氢气含量(μL/L)告警值
     */
    @ApiModelProperty(name = "h2Warning", value = "氢气含量(μL/L)告警值")
    private String h2Warning;

    /**
     * 甲烷含量(μL/L)告警值
     */
    @ApiModelProperty(name = "ch4Warning", value = "甲烷含量(μL/L)告警值")
    private String ch4Warning;

    /**
     * 乙烷含量(μL/L)告警值
     */
    @ApiModelProperty(name = "c2h6Warning", value = "乙烷含量(μL/L)告警值")
    private String c2h6Warning;

    /**
     * 乙烯含量(μL/L)告警值
     */
    @ApiModelProperty(name = "c2h4Warning", value = "乙烯含量(μL/L)告警值")
    private String c2h4Warning;

    /**
     * 乙炔含量(μL/L)
     */
    @ApiModelProperty(name = "c2h2Warning", value = "乙炔含量(μL/L)")
    private String c2h2Warning;

    /**
     * 一氧化碳含量(μL/L)告警值
     */
    @ApiModelProperty(name = "coWarning", value = "一氧化碳含量(μL/L)告警值")
    private String coWarning;

    /**
     * 二氧化碳含量(μL/L)告警值
     */
    @ApiModelProperty(name = "co2Warning", value = "二氧化碳含量(μL/L)告警值")
    private String co2Warning;

    /**
     * 氧气含量(μL/L)告警值
     */
    @ApiModelProperty(name = "o2Warning", value = "氧气含量(μL/L)告警值")
    private String o2Warning;

    /**
     * 水分含量告警值
     */
    @ApiModelProperty(name = "n2Warning", value = "水分含量告警值")
    private String n2Warning;

    /**
     * 水分告警值
     */
    @ApiModelProperty(name = "h2oWarning", value = "水分告警值")
    private String h2oWarning;

    /**
     * 总烃告警值
     */
    @ApiModelProperty(name = "totalHydrocarbonWarning", value = "总烃告警值")
    private String totalHydrocarbonWarning;
}