package com.huatek.busi.dto;

import java.io.Serializable;
import com.huatek.torch.sql.beans.PageBean;
import java.math.BigDecimal;
import java.time.LocalDateTime;

import lombok.Data;
import lombok.EqualsAndHashCode;
/**
 * 变压器/电抗器——油中溶解气体：021002 Dto
 *
 * @author anker_cheng
 * @date Aug 2, 2019 2:12:55 PM
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class TransformerEpaDataDto extends PageBean implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    private String id;

    /**
     * CAC 的唯一标识（17 位码）
     */
    private String cacId;

    /**
     * 监测数据组的数目
     */
    private BigDecimal dataNodeNum;

    /**
     * 在线监测装置的唯一标识（17 位码）
     */
    private String sensorId;

    /**
     * 监测类型编码
     */
    private String cacMonitorTypeCode;

    /**
     * 在线监测装置对应的被监测设备的 唯一标识（17 位码）
     */
    private String equipmentId;

    /**
     * 数据采集时间，格式为：yyyy-MM-dd HH:mm:ss
     */
    private LocalDateTime timeStamp;

    /**
     * 主设备编号
     */
    private String equipmentCode;

    /**
     * 外挂设备编号
     */
    private String extEquipmentCode;

    /**
     * 站点ID
     */
    private String siteId;

    /**
     * 被监测设备相别
     */
    private String phase;

    /**
     * 氢气（μL/L）
     */
    private String h2;

    /**
     * 甲烷（μL/L）
     */
    private String ch4;

    /**
     * 乙烷（μL/L）
     */
    private String c2h6;

    /**
     * 乙烯（μL/L）
     */
    private String c2h4;

    /**
     * 乙炔（μL/L）
     */
    private String c2h2;

    /**
     * 一氧化碳（μL/L）
     */
    private String co;

    /**
     * 二氧化碳（μL/L）
     */
    private String co2;

    /**
     * 氧气（μL/L）
     */
    private String o2;

    /**
     * 氮气（μL/L）
     */
    private String n2;

    /**
     * 总烃（μL/L）
     */
    private String totalHydrocarbon;

    /**
     * 载气压力(KPa)
     */
    private String gasPress;

    /**
     * 水分
     */
    private String h2o;

    /**
     * 主设备ID
     */
    private String mainEquipmentId;

    /**
     * 外挂设备ID
     */
    private String subEquipmentId;

    /**
     * 站点设备树ID
     */
    private String mainTreeId;

    /**
     * 外挂设备树ID
     */
    private String subTreeId;
}