package com.huatek.busi.dto;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

import com.huatek.torch.sql.beans.PageBean;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
/**
 * 铁芯接地日统计表 Dto
 *
 * @author anker_cheng
 * @date Jul 29, 2019 3:40:19 PM
 */
@ApiModel(value = "TransformerIcgeStatisticsDto", description = "铁芯接地日统计表 Dto", parent = PageBean.class)
@Data
@EqualsAndHashCode(callSuper = false)
public class TransformerIcgeStatisticsDto extends PageBean implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @ApiModelProperty(name = "id", value = "主键ID")
    private String id;

    /**
     * 站点ID
     */
    @ApiModelProperty(name = "siteId", value = "站点ID")
    private String siteId;

    /**
     * 外挂设备ID
     */
    @ApiModelProperty(name = "subEquipmentId", value = "外挂设备ID")
    private String subEquipmentId;

    /**
     * 主设备ID
     */
    @ApiModelProperty(name = "mainEquipmentId", value = "主设备ID")
    private String mainEquipmentId;

    /**
     * 统计时间
     */
    @ApiModelProperty(name = "dTime", value = "统计时间")
    private LocalDateTime dTime;

    /**
     * 铁芯全电流(mA)
     */
    @ApiModelProperty(name = "totalCoreCurrent", value = "铁芯全电流(mA)")
    private BigDecimal totalCoreCurrent;

    /**
     * 创建时间
     */
    @ApiModelProperty(name = "createTime", value = "创建时间")
    private LocalDateTime createTime;

    /**
     * 类别: 1铁芯；2夹件
     */
    @ApiModelProperty(name = "type", value = "类别: 1铁芯；2夹件")
    private String type;
}