package com.huatek.busi.dto;

import java.io.Serializable;
import java.time.LocalDate;
import java.time.LocalDateTime;

import com.huatek.torch.sql.beans.PageBean;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
/**
 * 局部放电统计 Dto
 *
 * @author anker_cheng
 * @date Oct 25, 2019 2:48:38 PM
 */
@ApiModel(value = "TransformerPdStatisticsDto", description = "局部放电统计 Dto", parent = PageBean.class)
@Data
@EqualsAndHashCode(callSuper = false)
public class TransformerPdStatisticsDto extends PageBean implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 
     */
    @ApiModelProperty(name = "id", value = "")
    private String id;

    /**
     * 站点Id
     */
    @ApiModelProperty(name = "siteId", value = "站点Id")
    private String siteId;

    /**
     * sensor编码
     */
    @ApiModelProperty(name = "sensorId", value = "sensor编码")
    private String sensorId;

    /**
     * 站点设备树ID
     */
    @ApiModelProperty(name = "mainTreeId", value = "站点设备树ID")
    private String mainTreeId;

    /**
     * 外挂设备树ID
     */
    @ApiModelProperty(name = "subTreeId", value = "外挂设备树ID")
    private String subTreeId;

    /**
     * 局放类型:cac类型编码
     */
    @ApiModelProperty(name = "pdType", value = "局放类型:cac类型编码")
    private String pdType;

    /**
     * 统计时间
     */
    @ApiModelProperty(name = "dTime", value = "统计时间")
    private LocalDate dTime;

    /**
     * 放电次数
     */
    @ApiModelProperty(name = "count", value = "放电次数")
    private Integer count;

    /**
     * 放电量
     */
    @ApiModelProperty(name = "electricQuantity", value = "放电量")
    private String electricQuantity;

    /**
     * 创建时间
     */
    @ApiModelProperty(name = "cratetime", value = "创建时间")
    private LocalDateTime cratetime;
}