package com.huatek.busi.dto;

import java.io.Serializable;
import java.time.LocalDate;
import java.time.LocalDateTime;

import org.springframework.format.annotation.DateTimeFormat;

import com.huatek.torch.sql.beans.PageBean;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
@Data
@EqualsAndHashCode(callSuper = false)
public class TransformerRunStatusDto  extends PageBean implements Serializable{
    private static final long serialVersionUID = 1L;

    /**
     * 
     */
    private String id;

    /**
     * 站点ID
     */
    private String siteId;

    /**
     * 站点设备树ID（主设备ID）
     */
    private String mainTreeId;
    /**
     * 站点设备树名称
     */
    private String mainTreeName;

    /**
     * 工作状态（1：发电、2：抽水、3：空闲）
     */
    private String workStatus;

    /**
     * 监测时间
     */
    private LocalDateTime dTime;

    /**
     * 油温
     */
    private String oilTemperature;

    /**
     * 油位
     */
    private String oilPosition;
    
    /**
     * 变压器油进口油压力(MPa)
     */
    private String  coolingwaterInletTemperature;
    
    
    /**
     * 变压器油出口油压力(MPa)
     */
    private String  coolingwaterOutletTemperature;

    /**
     * 冷却进口压力
     */
    private String coolingEntryPressure;

    /**
     * 冷却出口压力
     */
    private String coolingExitPressure;
    
    /**
     * 查询开始时间
     */
    private LocalDate timeStamp;

    /**
     * 查询结束时间
     */
    private LocalDate timeStampEnd;
    

    @ApiModelProperty(name = "dTimeEnd", value = "监测时间截止 ")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime dTimeEnd;

    @ApiModelProperty(name = "equipmentName", value = "设备名称")
    private String equipmentName;
}