package com.huatek.busi.dto;

import java.io.Serializable;
import java.time.LocalDateTime;

import com.huatek.torch.sql.beans.Pojo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 变压器运行工况阈值
 * 
 * @author buck_guo
 * @date 2019/08/07
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class TransformerRunStatusThresholdDto extends Pojo implements Serializable {
    /**
     *
     */
    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
 
    private String id;

    /**
     * 站点ID
     */
    @ApiModelProperty(name = "siteId", value = "站点id")
    private String siteId;

    /**
     * 站点设备数ID
     */
    @ApiModelProperty(name = "mainTreeId", value = "站点设备数ID")
    private String mainTreeId;
    
    /**
     * 工作状态（1：发电、2：抽水、3：空闲）
     */
    @ApiModelProperty(name = "mainTreeId", value = "工作状态（1：发电、2：抽水、3：空闲）")
    private String workStatus;

    /**
     * 冷却水进口压力
     */
    @ApiModelProperty(name = "coolingwaterInletPressure", value = "冷却水进口压力")
    private String coolingwaterInletPressure;

    /**
     * 冷却水出口压力
     */
    @ApiModelProperty(name = "coolingwaterOutletPressure", value = "冷却水出口压力")
    private String coolingwaterOutletPressure;

    /**
     * 冷却水进口温度
     */
    @ApiModelProperty(name = "coolingwaterInletTemperature", value = "冷却水进口温度")
    private String coolingwaterInletTemperature;

    /**
     * 冷却水出口温度
     */
    @ApiModelProperty(name = "coolingwaterOutletTemperature", value = "冷却水出口温度")
    private String coolingwaterOutletTemperature;

    /**
     * 绕组温度
     */
    @ApiModelProperty(name = "windingTemperature", value = "绕组温度")
    private String windingTemperature;

    /**
     * 循环油进口压力
     */
    @ApiModelProperty(name = "circulatingOilInletPressure", value = " 循环油进口压力")
    private String circulatingOilInletPressure;
    
    /**
     * 变压器油出口油压力(MPa)
     */
    @ApiModelProperty(name = "circulatingOilOutletPressure", value = "变压器油出口油压力(MPa)")
    private String circulatingOilOutletPressure;
    
    /**
     * 变压器油进口油温度(℃)
     */
    @ApiModelProperty(name = "circulatingOilInletTemperature", value = "变压器油进口油温度(℃)")
    private String circulatingOilInletTemperature;
    
    /**
     * 变压器油出口油温度(℃)
     */
    @ApiModelProperty(name = "circulatingOilOutletTemperature", value = "变压器油出口油温度(℃)")
    private String circulatingOilOutletTemperature;

    /**
     * 油枕油位
     */
    @ApiModelProperty(name = "oilpillowOillevel", value = "油枕油位")
    private String oilpillowOillevel;

    /**
     * 变压器本体油位
     */
    @ApiModelProperty(name = "transformerOntologyOillevel", value = "变压器本体油位")
    private String transformerOntologyOillevel;

    /**
     * 油温
     */
    @ApiModelProperty(name = "oilTemperature", value = "油温")
    private String oilTemperature;

    /**
     * 顶层油温
     */
    @ApiModelProperty(name = "topOilTemperature", value = "顶层油温")
    private String topOilTemperature;

    /**
     * 创建时间
     */
    @ApiModelProperty(name = "createdTime", value = "创建时间")
    private LocalDateTime createdTime;

    /**
     * 创建人ID
     */
    @ApiModelProperty(name = "creator", value = "创建人ID")
    private String creator;

    /**
     * 修改时间
     */
    @ApiModelProperty(name = "modifiedTime", value = "修改时间")
    private LocalDateTime modifiedTime;

    /**
     * 修改人ID
     */
    @ApiModelProperty(name = "modifier", value = "修改人ID")
    private String modifier;
}