package com.huatek.busi.dto.cable;

import com.huatek.torch.sql.beans.PageBean;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * @author Bobi_huo
 * @date 2020-11-24 11:09
 */
@ApiModel(value = "BusiCableCirculationCacheDto", description = "电缆环流缓存数据 Dto")
@Data
@EqualsAndHashCode(callSuper = false)
public class BusiCableCirculationCacheDto extends PageBean implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    @ApiModelProperty(name = "id", value = "主键ID")
    private String id;

    /**
     * dTime : 监测时间，格式为：yyyy-MM-dd HH:mm:ss
     */
    @ApiModelProperty(name = "dTime", value = "主键ID")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime dTime;

    /**
     * phase :被监测设备相别
     */
    @ApiModelProperty(name = "phase", value = "被监测设备相别")
    private String phase;

    /**
     * totalCoreCurrent :电流（mA）
     */
    @ApiModelProperty(name = "totalCoreCurrent", value = "电流（mA）")
    private String totalCoreCurrent;

    /**
     * sensorId : 在线监测装置的唯一标识（17 位码）
     */
    @ApiModelProperty(name = "sensorId", value = "在线监测装置的唯一标识（17 位码）")
    private String sensorId;

    /**
     * siteId : 站点ID
     */
    @ApiModelProperty(name = "siteId", value = "站点ID")
    private String siteId;

    /**
     * mainTreeId :站点设备树ID
     */
    @ApiModelProperty(name = "mainTreeId", value = "站点设备树ID")
    private String mainTreeId;

    /**
     * subTreeId :外挂设备树ID
     */
    @ApiModelProperty(name = "subTreeId", value = "外挂设备树ID")
    private String subTreeId;

    /**
     * runState :设备运行状态：0-无  1-发电  2-抽水  3-空闲
     */
    @ApiModelProperty(name = "runState", value = "设备运行状态：0-无  1-发电  2-抽水  3-空闲")
    private String runState;
}
