package com.huatek.busi.dto.cablecurrent;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.math.BigDecimal;

@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value = "cableCurrentResultDto", description = "电缆载流能力入参")
public class CableCurrentResultDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 电缆光纤测温温度
     */
    @ApiModelProperty(name = "meaTemp", value = "电缆光纤测温温度")
    private BigDecimal meaTemp;

    /**
     * 电缆环境温度
     */
    @ApiModelProperty(name = "ambientTemp", value = "电缆环境温度")
    private BigDecimal ambientTemp;

    /**
     * 电缆通过的额定电压
     */
    @ApiModelProperty(name = "ratedVoltage", value = "电缆通过的额定电压")
    private BigDecimal ratedVoltage;

    /**
     * 电缆绝缘层外径
     */
    @ApiModelProperty(name = "externalDiameterCI", value = "电缆绝缘层外径")
    private BigDecimal externalDiameterCI;


    /**
     * 电缆线芯外径
     */
    @ApiModelProperty(name = "externalDiameterCC", value = "电缆线芯外径")
    private BigDecimal externalDiameterCC;


    /**
     * 电缆铜芯导体直径
     */
    @ApiModelProperty(name = "diameter", value = "电缆铜芯导体直径")
    private BigDecimal diameter;

    /**
     * 导体和金属间绝缘厚度
     */
    @ApiModelProperty(name = "insulationThick", value = "导体和金属间绝缘厚度")
    private BigDecimal insulationThick;

    /**
     * 电缆根数
     */
    @ApiModelProperty(name = "cablesNumber", value = "电缆根数")
    private BigDecimal cablesNumber;


    /**
     * 铜导体常温电导率ρ
     */
    @ApiModelProperty(name = "conductivity", value = "铜导体常温电导率ρ")
    private BigDecimal conductivity;

    /**
     * 线芯的电阻温度系数
     */
    @ApiModelProperty(name = "resistanceTempCoefficient", value = "线芯的电阻温度系数")
    private BigDecimal resistanceTempCoefficient;

    /**
     * 介质损耗因数
     */
    @ApiModelProperty(name = "dielectricLossFactor", value = "介质损耗因数")
    private BigDecimal dielectricLossFactor;


    /**
     * 绝缘材料的介电常数
     */
    @ApiModelProperty(name = "dielectricConstant", value = "绝缘材料的介电常数")
    private BigDecimal dielectricConstant;

    /**
     * 电缆外径(Dc)
     */
    @ApiModelProperty(name = "externalDiameterDC", value = "电缆外径(Dc)")
    private BigDecimal externalDiameterDC;


    /**
     * 抽水时长
     */
    @ApiModelProperty(name = "pumpingDuration", value = "抽水时长")
    private BigDecimal pumpingDuration;

    /**
     * 发电时长
     */
    @ApiModelProperty(name = "electricPowerDuration", value = "发电时长")
    private BigDecimal electricPowerDuration;

    /**
     * 发电/抽水
     */
    @ApiModelProperty(name = "flag", value = "发电/抽水 0--发电  1--抽水")
    private String flag;

    /**
     * t2
     */
    @ApiModelProperty(name = "t2", value = "t2")
    private BigDecimal t2;

    /**
     * t3
     */
    @ApiModelProperty(name = "t3", value = "t3")
    private BigDecimal t3;

    /**
     * t4
     */
    @ApiModelProperty(name = "t4", value = "t4")
    private String t4;

    @ApiModelProperty(name = "type", value = "1.手动 2.自动")
    private String type;

    @ApiModelProperty(name = "type", value = "1.手动 2.自动")
    private String name;
}
