package com.huatek.busi.dto.curve;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;
import org.springframework.util.StringUtils;

import java.io.Serializable;
import java.time.LocalDate;
import java.time.LocalDateTime;

/**
 * 二级告警界面曲线图请求参数Dto
 * 
 * @author anker_cheng
 * @date 2019/09/03
 */
@Data
@ApiModel(value = "CircleCurveSensorRequestDto", description = "二级告警界面发电机圆曲线图请求参数Dto")
public class CircleCurveSensorRequestDto implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "sensorCode", value = "传感器编码")
    private String sensorCode;

    @ApiModelProperty(name = "mainTreeId", value = "站点设备树ID")
    private String mainTreeId;

    @ApiModelProperty(name = "runState", value = "工作状态 1-发电状态 2：抽水状态 3：空闲状态")
    private String runState;

    @ApiModelProperty(name = "startTime", value = "开始时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime startTime;

    @ApiModelProperty(name = "endTime", value = "结束时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime endTime;
}
