package com.huatek.busi.dto.monitor;

import java.io.Serializable;
import java.time.LocalDate;

import com.huatek.torch.sql.beans.PageBean;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 在线监测——监测数据(每日统计) Dto
 *
 * @author anker_cheng
 * @date Sep 16, 2019 3:21:17 PM
 */
@ApiModel(value = "BusiOnlineMonitorDataDto", description = "在线监测——监测数据(每日统计) Dto", parent = PageBean.class)
@Data
@EqualsAndHashCode(callSuper = false)
public class BusiOnlineMonitorDataDto extends PageBean implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 传感器编码
     */
    @ApiModelProperty(name = "sensorCode", value = "传感器编码")
    private String sensorCode;

    /**
     * 主设备类型
     */
    @ApiModelProperty(name = "equipmentType", value = "主设备类型")
    private String equipmentType;

    /**
     * 外挂设备类型
     */
    @ApiModelProperty(name = "subEquipmentType", value = "外挂设备类型")
    private String subEquipmentType;
    
    @ApiModelProperty(name = "externalId", value = "外挂设备Id")
    private String externalId;

    /**
     * 日期
     */
    @ApiModelProperty(name = "day", value = "日期")
    private LocalDate day;

    @ApiModelProperty(name = "dayEnd", value = "日期截止")
    private LocalDate dayEnd;
    
    @ApiModelProperty(name = "subType", value = "检测装置类型")
    private String subType;
    
    @ApiModelProperty(name = "treeId", value = "主树ID")
    private String treeId;
}