package com.huatek.busi.entity;

import java.io.Serializable;
import java.time.LocalDateTime;

import org.springframework.format.annotation.DateTimeFormat;

import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.annotation.TableName;
import com.huatek.torch.sql.beans.Pojo;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 避雷器-绝缘监测-阈值表：023001 entity
 *
 * @author anker_cheng
 * @date Sep 6, 2019 2:40:56 PM
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("arrester_insulation_monitor_threshold")
public class ArresterInsulationMonitorThreshold extends Pojo implements Serializable  {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @FieldName("id")
    private String id;

    /**
     * 站点ID
     */
    @FieldName("site_id")
    private String siteId;

    /**
     * 站点设备树ID
     */
    @FieldName("main_tree_id")
    private String mainTreeId;

    /**
     * 传感器编码
     */
    @FieldName("sensor_code")
    private String sensorCode;

    /**
     * 设备运行状态：0-无  1-发电  2-抽水  3-空闲  
     */
    @FieldName("run_state")
    private String runState;

    /**
     * A相全电流预警值
     */
    @FieldName("a_full_current_warning")
    private String aFullCurrentWarning;

    /**
     * A相全电流阈值
     */
    @FieldName("a_full_current_threshold")
    private String aFullCurrentThreshold;

    /**
     * A相全电流增长率
     */
    @FieldName("a_full_current_growth_rate")
    private String aFullCurrentGrowthRate;

    /**
     * B相全电流预警值
     */
    @FieldName("b_full_current_warning")
    private String bFullCurrentWarning;

    /**
     * B相全电流阈值
     */
    @FieldName("b_full_current_threshold")
    private String bFullCurrentThreshold;

    /**
     * B相全电流增长率
     */
    @FieldName("b_full_current_growth_rate")
    private String bFullCurrentGrowthRate;

    /**
     * C相全电流预警值
     */
    @FieldName("c_full_current_warning")
    private String cFullCurrentWarning;

    /**
     * C相全电流阈值
     */
    @FieldName("c_full_current_threshold")
    private String cFullCurrentThreshold;

    /**
     * C相全电流增长率
     */
    @FieldName("c_full_current_growth_rate")
    private String cFullCurrentGrowthRate;

    /**
     * A相阻性电流预警值
     */
    @FieldName("a_resistive_current_warning")
    private String aResistiveCurrentWarning;

    /**
     * A相阻性电流阈值
     */
    @FieldName("a_resistive_current_threshold")
    private String aResistiveCurrentThreshold;

    /**
     * A相阻性电流增长率
     */
    @FieldName("a_resistive_current_growth_rate")
    private String aResistiveCurrentGrowthRate;

    /**
     * B相阻性电流预警值
     */
    @FieldName("b_resistive_current_warning")
    private String bResistiveCurrentWarning;

    /**
     * B相阻性电流阈值
     */
    @FieldName("b_resistive_current_threshold")
    private String bResistiveCurrentThreshold;

    /**
     * B相阻性电流增长率
     */
    @FieldName("b_resistive_current_growth_rate")
    private String bResistiveCurrentGrowthRate;

    /**
     * C相阻性电流预警值
     */
    @FieldName("c_resistive_current_warning")
    private String cResistiveCurrentWarning;

    /**
     * C相阻性电流阈值
     */
    @FieldName("c_resistive_current_threshold")
    private String cResistiveCurrentThreshold;

    /**
     * C相阻性电流增长率
     */
    @FieldName("c_resistive_current_growth_rate")
    private String cResistiveCurrentGrowthRate;

    /**
     * A相容性电流预警值
     */
    @FieldName("a_capacitance_current_warning")
    private String aCapacitanceCurrentWarning;

    /**
     * A相容性电流阈值
     */
    @FieldName("a_capacitance_current_threshold")
    private String aCapacitanceCurrentThreshold;

    /**
     * A相容性电流增长率
     */
    @FieldName("a_capacitance_current_growth_rate")
    private String aCapacitanceCurrentGrowthRate;

    /**
     * B相容性电流预警值
     */
    @FieldName("b_capacitance_current_warning")
    private String bCapacitanceCurrentWarning;

    /**
     * B相容性电流阈值
     */
    @FieldName("b_capacitance_current_threshold")
    private String bCapacitanceCurrentThreshold;

    /**
     * B相容性电流增长率
     */
    @FieldName("b_capacitance_current_growth_rate")
    private String bCapacitanceCurrentGrowthRate;

    /**
     * C相容性电流预警值
     */
    @FieldName("c_capacitance_current_warning")
    private String cCapacitanceCurrentWarning;

    /**
     * C相容性电流阈值
     */
    @FieldName("c_capacitance_current_threshold")
    private String cCapacitanceCurrentThreshold;

    /**
     * C相容性电流增长率
     */
    @FieldName("c_capacitance_current_growth_rate")
    private String cCapacitanceCurrentGrowthRate;

    /**
     * 创建时间
     */
    @FieldName("created_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createdTime;

    /**
     * 创建人
     */
    @FieldName("creator")
    private String creator;

    /**
     * 修改时间
     */
    @FieldName("modified_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime modifiedTime;

    /**
     * 修改人
     */
    @FieldName("modifier")
    private String modifier;
}