package com.huatek.busi.entity;

import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.annotation.Id;
import com.huatek.torch.sql.annotation.TableName;
import com.huatek.torch.sql.beans.Pojo;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.time.LocalDateTime;

@Data
@EqualsAndHashCode(callSuper = false)
@TableName("x_assess_input_data")
public class AssessInputData extends Pojo implements Serializable {
    /** @Fields serialVersionUID : */
    private static final long serialVersionUID = 1L;

    /** @Fields id : */
    @FieldName("id")
    @Id(value = "id")
    private String id;

    /** @Fields type : 部件（1：本体，2：弹簧机构，3：液压弹簧机构:4：并联电容器，5：合闸电阻） */
    @FieldName("type")
    private String type;

    /** @Fields name : 状态量 */
    @FieldName("name")
    private String name;

    /** @Fields name_id : 状态量id */
    @FieldName("name_id")
    private int nameId;

    /** @Fields status : 劣化程度 */
    @FieldName("status")
    private String status;

    /** @Fields name : 基本扣分 */
    @FieldName("basic_value")
    private String basicValue;

    /** @Fields name : 现场实际值 */
    @FieldName("real_value")
    private String realValue;

    /** @Fields name : 厂家要求值 */
    @FieldName("factory_value")
    private String factoryValue;

    /** @Fields name : 判断依据 */
    @FieldName("judgment")
    private String judgment;

    /** @Fields name : 权重系数 */
    @FieldName("weight")
    private String weight;

    /** @Fields name : 应扣分值 */
    @FieldName("value")
    private String value;

    /** @Fields name : 序号数 */
    @FieldName("num")
    private int num;

    @FieldName("create_user")
    @ApiModelProperty(name = "createUser", value = "创建人ID")
    private String createUser;

    @FieldName("create_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(name = "createTime", value = "创建时间")
    private LocalDateTime createTime;
}
