/**
 * 
 */
package com.huatek.busi.entity;

import java.io.Serializable;
import java.time.LocalDate;
import java.time.LocalDateTime;

import org.springframework.format.annotation.DateTimeFormat;

import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.annotation.Id;
import com.huatek.torch.sql.annotation.TableName;
import com.huatek.torch.sql.beans.Pojo;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @ClassName: BusiArresterSensor
 * @FullClassPath: com.huatek.busi.entity.BusiArresterSensor
 * @Description: Gis监测装置sersorid
 * @author: Arno
 * @date: Jun 26, 2019 6:26:59 PM
 * @version: 1.0
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("busi_arrester_sensor")
public class BusiArresterSensor extends Pojo implements Serializable {

	/** @Fields serialVersionUID : */
	private static final long serialVersionUID = 1L;

	/** @Fields id : */
	@FieldName("id")
	@Id(value = "id")
	private String id;

	/** @Fields sensorCode : 传感器系统编码 */
	@FieldName("sensor_code")
	private String sensorCode;
	
	/** @Fields sensorName : 传感器名称 */
	@FieldName("sensor_name")
	private String sensorName;

	/** @Fields sensoBrand : 传感器设备编码（标牌） */
	@FieldName("sensor_brand")
	private String sensorBrand;

	/** @Fields status :类别状态 1-正常 ， 2-删除 */
	@FieldName("status")
	private String status;

	/** @Fields position : 安装位置 0：全相  1:A相  2:B相  3:C相 */
	@FieldName("position")
	private String position;

	/** @Fields positionDes : 安装位置描述 */
	@FieldName("position_des")
	private String positionDes;

	/** @Fields equipmentId : 外挂设备id */
	@FieldName("equipment_id")
	private String equipmentId;
	
	/** @Fields manufactor : 生产厂家 */
	@FieldName("manufactor")
	private String manufactor;
	
	
	/** @Fields productionDate :设备生产时间 */
	@FieldName("production_date")
	@DateTimeFormat(pattern = "yyyy-MM-dd")
	private LocalDate productionDate;
	
	
	/** @Fields createTime :设备投运时间 */
	@FieldName("use_date")
	@DateTimeFormat(pattern = "yyyy-MM-dd")
	private LocalDate useDate;
	

	/**
	 * @Fields equipmentType : 设备类型 											
										 011：绝缘设备  
										 021：红外套管设备
										 031：容性设备设备
										 041：气象装置设备  
										 051： 图片数据设备 
	 */
	@FieldName("equipment_type")
	private String equipmentType;
	

	/** @Fields siteId : 站点id*/ 
	@FieldName("site_id")
	private String siteId;

	/** @Fields createTime :创建时间 */
	@FieldName("create_time")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private LocalDateTime createTime;
}
