package com.huatek.busi.entity;

import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.annotation.Id;
import com.huatek.torch.sql.annotation.TableName;
import com.huatek.torch.sql.beans.Pojo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.time.LocalDate;
import java.time.LocalDateTime;

@Data
@EqualsAndHashCode(callSuper = false)
@TableName("busi_cable_circulation_increase_rate_cache")
public class BusiCableCirculationIncreaseRateCache extends Pojo implements Serializable{
    private static final long serialVersionUID = -3234895593526266652L;
    /**
     * @Fields id
     */
    @FieldName("id")
    @Id(value = "id")
    private String id;

    /**
     * @Fields siteId : 站点ID
     */
    @FieldName("site_id")
    private String siteId;

    /**
     * 传感器编码
     */
    @FieldName("sensor_id")
    private String sensorId;

    /**
     * 外挂设备ID
     */
    @FieldName("sub_tree_id")
    private String subTreeId;

    /**
     * 主设备ID
     */
    @FieldName("main_tree_id")
    private String mainTreeId;

    /**
     * 统计时间
     */
    @FieldName("d_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private LocalDate dTime;

    /**
     * 电流平均值
     */
    @FieldName("average_current")
    private String averageCurrent;

    /**
     * 日增长率
     */
    @FieldName("daily_growth_rate")
    private String dailyGrowthRate;


    /**
     * 月增长率
     */
    @FieldName("monthly_growth_rate")
    private String monthlyGrowthRate;

    /**
     * 月平均电流
     */
    @FieldName("month_average_current")
    private String monthAverageCurrent;

    /**
     * 创建时间
     */
    @FieldName("create_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createTime;
}
