package com.huatek.busi.entity;

import java.io.Serializable;
import java.time.LocalDate;
import java.time.LocalDateTime;

import org.springframework.format.annotation.DateTimeFormat;

import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.annotation.TableName;
import com.huatek.torch.sql.beans.Pojo;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 考评指标配置 entity
 *
 * @author anker_cheng
 * @date Jul 23, 2019 2:06:09 PM
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("busi_eva_monitor_config")
public class BusiEvaMonitorConfig extends Pojo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @FieldName("id")
    private String id;

    /**
     * 监测设备(类型ID)
     */
    @FieldName("monitor_type_id")
    private String monitorTypeId;

    /**
     * 监测单元
     */
    @FieldName("monitor_unit_id")
    private String monitorUnitId;

    /**
     * sensor id
     */
    @FieldName("sensor_id")
    private String sensorId;

    /**
     * 单元考核指标
     */
    @FieldName("indicators_id")
    private String indicatorsId;
//
//    /**
//     * 安装位置
//     */
//    @FieldName("install_location")
//    private String installLocation;
//    
//    /**
//     * 传感器名称
//     */
//    @FieldName("sensor_name")
//    private String sensorName;
//    
//    /**
//     * 标牌
//     */
//    @FieldName("brand_name")
//    private String brandName;

    /**
     * 采集频率:d——每天；m——每月；y——每年；hy——每半年
     */
    @FieldName("sample_frequency")
    private String sampleFrequency;

    /**
     * 备注
     */
    @FieldName("mark")
    private String mark;

    /**
     * 说明:告警
     */
    @FieldName("description")
    private String description;

    /**
     * 考核频率从
     */
    @FieldName("eva_from")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private LocalDate evaFrom;

    /**
     * 考核频率至
     */
    @FieldName("eva_to")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private LocalDate evaTo;

    /**
     * 状态：1——可用；2——不可用
     */
    @FieldName("status")
    private String status;

    /**
     * 创建人ID
     */
    @FieldName("creator")
    private String creator;

    /**
     * 创建时间
     */
    @FieldName("created_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createdTime;

    /**
     * 修改人
     */
    @FieldName("modifier")
    private String modifier;

    /**
     * 修改时间
     */
    @FieldName("modified_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime modifiedTime;

    @FieldName("type")
    private String type;

    @FieldName("equipment_type")
    private String equipmentType;
}