/**
 * 
 */
package com.huatek.busi.entity;

import java.io.Serializable;
import java.time.LocalDate;

import org.springframework.format.annotation.DateTimeFormat;

import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.annotation.Id;
import com.huatek.torch.sql.annotation.TableName;
import com.huatek.torch.sql.beans.Pojo;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
  * @ClassName: BusExternalEquipment
  * @FullClassPath: com.huatek.busi.entity.BusExternalEquipment
  * @Description: 站点外挂设备信息
  * @author: Arno
  * @date: Jul 1, 2019 3:15:34 PM
  * @version: 1.0
  */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("busi_external_equipment")
public class BusiExternalEquipment extends Pojo implements Serializable{
	
	/** @Fields serialVersionUID : */ 
	private static final long serialVersionUID = 4212308558439176946L;

	/** @Fields id : */
	@FieldName("id")
	@Id(value = "id")
	private String id;

	/** @Fields equipmentName : 设备名称 */
	@FieldName("equipment_name")
	private String equipmentName;
	
	
	/** @Fields equipmentType : 设备型号（标牌） */
	@FieldName("equipment_brand")
	private String equipmentBrand;
	
	/** @Fields manufactor : 生产厂家 */
	@FieldName("manufactor")
	private String manufactor;
	
	
	/** @Fields productionDate :设备生产时间 */
	@FieldName("production_date")
	@DateTimeFormat(pattern = "yyyy-MM-dd")
	private LocalDate productionDate;
	
	
	/** @Fields createTime :设备投运时间 */
	@FieldName("use_date")
	@DateTimeFormat(pattern = "yyyy-MM-dd")
	private LocalDate useDate;
	
	/** @Fields installLocation : 安装位置 */
	@FieldName("install_location")
	private String installLocation;
	
	/** @Fields mark : 备注（其他信息） */
	@FieldName("mark")
	private String mark;
	
	/** @Fields equipmentId : 外挂设备树id */
	@FieldName("equipment_id")
	private String equipmentId;
	
	/** @Fields siteId : 站点id */
	@FieldName("site_id")
	private String siteId;
	
	/** @Fields externalType : 外挂设备所属类型   1：变压器   2:GIS  3:测温   4：避雷器  */
	@FieldName("external_type")
	private String externalType;
}