package com.huatek.busi.entity;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.Date;

import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.annotation.TableName;
import com.huatek.torch.sql.beans.Pojo;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 发电机压力监测实时数据表
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("busi_generator_pressure")
public class BusiGeneratorPressure extends Pojo implements Serializable
{
    private static final long serialVersionUID = 1L;

    /** master key */
    private String id;

    /** 监测时间 */
    @FieldName("d_time")
    private LocalDateTime dTime;

    /** 站点ID */
    @FieldName("site_id")
    private String siteId;

    /** 站点设备树ID */
    @FieldName("main_tree_id")
    private String mainTreeId;

    /** 传感器设备编码 */
    @FieldName("sensor_id")
    private String sensorId;

    /** 外挂设备树ID */
    @FieldName("sub_tree_id")
    private String subTreeId;

    /** 数据报文编码 */
    @FieldName("sensor_code")
    private String sensorCode;

    /** 装置类型,源自busi_genereator_ampl_type.id自段 */
    @FieldName("type_id")
    private Long typeId;

    /** 压力1 */
    @FieldName("pv_a")
    private String pvA;

    /** 压力2 */
    @FieldName("pv_b")
    private String pvB;

    /** 预留字段 */
    @FieldName("pv_c")
    private String pvC;

    /** 预留字段 */
    @FieldName("pv_d")
    private String pvD;

    /** hbase中的rowkey */
    @FieldName("hbase_rowkey")
    private String hbaseRowkey;

    /*工作状态 1-发电状态 2：抽水状态 3：空闲状态*/
    @FieldName("run_state")
    private String runState;
}
