package com.huatek.busi.entity;

import java.io.Serializable;
import java.time.LocalDateTime;

import org.springframework.format.annotation.DateTimeFormat;

import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.annotation.TableName;
import com.huatek.torch.sql.beans.Pojo;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 出场线（避雷器）——检修单 entity
 *
 * @author anker_cheng
 * @date Jul 26, 2019 5:21:30 PM
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("busi_offline_arrester_repair")
public class BusiOfflineArresterRepair extends Pojo implements Serializable  {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @FieldName("id")
    private String id;

    /**
     * 站点ID
     */
    @FieldName("site_id")
    private String siteId;

    /**
     * 主设备ID
     */
    @FieldName("main_equipment_id")
    private String mainEquipmentId;

    /**
     * 外挂设备ID
     */
    @FieldName("sub_equipment_id")
    private String subEquipmentId;

    /**
     * 告警ID
     */
    @FieldName("warning_id")
    private String warningId;

    /**
     * sensor_id
     */
    @FieldName("sensor_code")
    private String sensorCode;

    /**
     * 传感器名
     */
    @FieldName("sensor_name")
    private String sensorName;

    /**
     * 标牌
     */
    @FieldName("signage")
    private String signage;

    /**
     * 安装位置
     */
    @FieldName("install_location")
    private String installLocation;

    /**
     * 发现时间
     */
    @FieldName("discovery_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime discoveryTime;

    /**
     * 清除时间
     */
    @FieldName("clear_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime clearTime;

    /**
     * 缺陷类别：1-一般、2-重大、3-紧急
     */
    @FieldName("defect_category")
    private String defectCategory;

    /**
     * 检修结果：1-正常、2-未完成
     */
    @FieldName("repair_result")
    private String repairResult;

    /**
     * 缺陷内容
     */
    @FieldName("defect_content")
    private String defectContent;

    /**
     * 泄漏电流(mA)
     */
    @FieldName("leakage_current")
    private String leakageCurrent;

    /**
     * 电容量(pF)
     */
    @FieldName("capacitance")
    private String capacitance;

    /**
     * 介质损耗因数(tg)
     */
    @FieldName("loss_factor")
    private String lossFactor;

    /**
     * 全电流 (mA)
     */
    @FieldName("total_current")
    private String totalCurrent;

    /**
     * 阻性电流 (mA)
     */
    @FieldName("resistive_current")
    private String resistiveCurrent;

    /**
     * 创建人ID
     */
    @FieldName("create_user")
    private String createUser;

    /**
     * 创建时间
     */
    @FieldName("create_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createTime;

    /**
     * 创建人名称
     */
    @FieldName("create_name")
    private String createName;

    /**
     * 修改人ID
     */
    @FieldName("modified_user")
    private String modifiedUser;

    /**
     * 修改时间
     */
    @FieldName("modified_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime modifiedTime;

    /**
     * 修改人名称
     */
    @FieldName("modified_name")
    private String modifiedName;

    /**
     * 故障描述
     */
    @FieldName("fail_description")
    private String failDescription;

    /**
     * 处理状态（0未处理，1处理）
     */
    @FieldName("deal_status")
    private String dealStatus;

    /**
     * 处理结果
     */
    @FieldName("deal_result")
    private String dealResult;

    /**
     * 是否删除:1——正常；2——删除
     */
    @FieldName("is_delete")
    private String isDelete;
    
    /**
     * 处理人ID
     */
    @FieldName("handle_user")
    private String handleUser;

    /**
     * 处理时间
     */
    @FieldName("handle_time")
    private LocalDateTime handleTime;

    /**
     * 处理人姓名
     */
    @FieldName("handle_name")
    private String handleName;
}