package com.huatek.busi.entity;

import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.annotation.TableName;
import com.huatek.torch.sql.beans.Pojo;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * 发电机检修记录 entity
 *
 * @author anker_cheng
 * @date Jul 26, 2019 5:21:30 PM
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("busi_offline_generator_repair")
public class BusiOfflineGeneratorRepair extends Pojo implements Serializable  {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @FieldName("id")
    private String id;

    /**
     * 站点ID
     */
    @FieldName("site_id")
    private String siteId;

    /**
     * 主设备ID
     */
    @FieldName("main_equipment_id")
    private String mainEquipmentId;

    /**
     * 外挂设备编码
     */
    @FieldName("sub_equipment_id")
    private String subEquipmentId;

    /**
     * 告警ID
     */
    @FieldName("warning_id")
    private String warningId;


    /**
     * 维护次数
     */
    @ApiModelProperty(name = "维护次数", value = "维护次数")
    @FieldName("tldlq_Maintain")
    private String tldlqMaintain;
    /**
     * 传感器编码
     */
    @FieldName("sensor_code")
    private String sensorCode;

    /**
     * 传感器名
     */
    @FieldName("sensor_name")
    private String sensorName;

    /**
     * 标牌
     */
    @FieldName("signage")
    private String signage;

    /**
     * 安装位置
     */
    @FieldName("install_location")
    private String installLocation;

    /**
     * 发现时间
     */
    @FieldName("discovery_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime discoveryTime;

    /**
     * 缺陷内容
     */
    @FieldName("defect_content")
    private String defectContent;

    /**
     * 缺陷类别：1-一般、2-重大、3-紧急
     */
    @FieldName("defect_category")
    private String defectCategory;

    /**
     * 清除时间
     */
    @FieldName("clear_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime clearTime;

    /**
     * 检修结果：1-正常、2-未完成
     */
    @FieldName("repai_result")
    private String repaiResult;

    /**
     * 修复时间等级:1 - 24小时之内即可完全修复；
2 .    7天以内可以完全修复
3.     需要七天以上才能完全修复
     */
    @FieldName("repair_level")
    private String repairLevel;

    /**
     * 对变压器影响等级:1-严重、2-轻微、3-无影响
     */
    @FieldName("effect_level")
    private String effectLevel;

    /**
     * 
     */
    @FieldName("create_user")
    private String createUser;

    /**
     * 
     */
    @FieldName("create_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createTime;

    /**
     * 
     */
    @FieldName("create_name")
    private String createName;
    
    
    /**
     * 修改人ID
     */
    @FieldName("modified_user")
    private String modifiedUser;

    /**
     * 修改时间
     */
    @FieldName("modified_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime modifiedTime;

    /**
     * 修改人姓名
     */
    @FieldName("modified_name")
    private String modifiedName;

    /**
     * 缺陷部件：1(本体) 2:冷却系统、3:分接开关、4:非电量保护装置、5:套管
     */
    @FieldName("defect_parts")
    private String defectParts;

    /**
     * 维修时间
     */
    @FieldName("defect_repair")
    private String defectRepair;

    /**
     * 缺陷系数R2（正常1、一般0.95、注意0.9、异常0.7、严重0.6）
     */
    @FieldName("defect_coefficient")
    private String defectCoefficient;

    /**
     * 缺陷小类
     */
    @FieldName("sub_type")
    private String subType;

    /**
     * 故障表现形式
     */
    @FieldName("fault_shows")
    private String faultShows;

    /**
     * 故障原因
     */
    @FieldName("fault_cause")
    private String faultCause;

    /**
     * 故障检测方法方法
     */
    @FieldName("check_meth")
    private String checkMeth;

    /**
     * 建议措施
     */
    @FieldName("sug_measures")
    private String sugMeasures;

    /**
     * 故障描述
     */
    @FieldName("fail_description")
    private String failDescription;

    /**
     * 处理状态（0未处理，1处理）
     */
    @FieldName("deal_status")
    private String dealStatus;

    /**
     * 处理结果
     */
    @FieldName("deal_result")
    private String dealResult;

    /**
     * 是否删除:1——正常；2——删除
     */
    @FieldName("is_delete")
    private String isDelete;
    
    /**
     * 处理人ID
     */
    @FieldName("handle_user")
    private String handleUser;

    /**
     * 处理时间
     */
    @FieldName("handle_time")
    private LocalDateTime handleTime;

    /**
     * 处理人姓名
     */
    @FieldName("handle_name")
    private String handleName;
    
    /**
     * 故障编码
     */
    @FieldName("fault_fcode")
    private String faultFcode;
    /**
     * 故障类型
     */
    @FieldName("fault_ftype")
    private String faultFtype;
    /**
     * 故障表现现象
     */
    @FieldName("fault_fshow")
    private String faultFshow;
    /**
     * 故障可能原因
     */
    @FieldName("fault_possible_reasons")
    private String faultPossibleReasons;
    /**
     * 故障部位
     */
    @FieldName("fault_position")
    private String faultPosition;
    /**
     * 故障备注
     */
    @FieldName("fault_notes")
    private String faultNotes;
}