package com.huatek.busi.entity;

import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.annotation.TableName;
import com.huatek.torch.sql.beans.Pojo;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * GIS标牌信息表 entity
 *
 * @author anker_cheng
 * @date Jul 17, 2019 4:45:59 PM
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("busi_offline_gis_brand")
public class  BusiOfflineGisBrand extends Pojo implements Serializable  {
    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @FieldName("id")
    private String id;
    /**
     * 站点Id
     */
    @FieldName("site_id")
    private String siteId;
    /**
     * 主设备ID
     */
    @FieldName("main_equipment_id")
    private String mainEquipmentId;
    /**
     * 开关名称
     */
    @FieldName("gis_name")
    private String gisName;
    /**
     * 系统设备编号
     */
    @FieldName("equipment_code")
    private String equipmentCode;
    /**
     * 站点设备编号
     */
    @FieldName("site_code")
    private String siteCode;
    /**
     * 制造厂家
     */
    @FieldName("manufactor")
    private String manufactor;
    /**
     * 额定电压(KV)
     */
    @FieldName("nominal_voltage")
    private String nominalVoltage;
    /**
     * 额定电流(KA)
     */
    @FieldName("rated_frequency")
    private String ratedFrequency;
    /**
     * 额定断开电流KA)
     */
    @FieldName("electric_current")
    private String electricCurrent;
    /**
     * 额定断开次数
     */
    @FieldName("break_time")
    private String breakTime;
    /**
     * 健康评估起始时间
     */
    @FieldName("evaluate_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime evaluateTime;
    /**
     * 设备投运时间
     */
    @FieldName("transport_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime transportTime;
    /**
     * GIS资产价值（万元）
     */
    @FieldName("asset_value")
    private String assetValue;
    /**
     * 设备型号
     */
    @FieldName("equipment_model")
    private String equipmentModel;
    /**
     * 产品成熟度(套数）
     */
    @FieldName("product_maturity")
    private String productMaturity;
    /**
     * 知名度知名度(一类厂家=1,2类厂家=0.95，,3类厂家=0.7，,类厂家=0.5）
     */
    @FieldName("popularity")
    private String popularity;
    /**
     * 出厂年月
     */
    @FieldName("factory_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime factoryTime;
    /**
     * 海拔;1——1000米以下，0.98——1000~2000米，0.80——2000~4000米，0.75——4000米以上
     */
    @FieldName("yx_environment")
    private String yxEnvironment;
    /**
     * 设计使用年限（年）
     */
    @FieldName("service_time")
    private String serviceTime;
    /**
     * 创建人ID
     */
    @FieldName("create_user")
    private String createUser;
    /**
     * 创建时间
     */
    @FieldName("create_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createTime;
    /**
     * 状态：A:可用   D:不可用
     */
    @FieldName("status")
    private String status;

    /**
     * 01(断路器)，02(开关),03(快速接地刀闸),04(pt),05(ct)
     */
    @FieldName("gis_type")
    private String gisType;
}