package com.huatek.busi.entity;

import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.annotation.TableName;
import com.huatek.torch.sql.beans.Pojo;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * 开关柜标牌信息表 entity
 *
 * @author anker_cheng
 * @date Jul 17, 2019 4:45:59 PM
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("busi_offline_switchgear_brand")
public class BusiOfflineSwitchgearBrand extends Pojo implements Serializable  {
    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @FieldName("id")
    private String id;
    /**
     * 站点Id
     */
    @FieldName("site_id")
    private String siteId;
    /**
     * 主设备ID
     */
    @FieldName("main_equipment_id")
    private String mainEquipmentId;
    /**
     * 开关名称
     */
    @FieldName("switchgear_name")
    private String switchgearName;
    /**
     * 系统设备编号
     */
    @FieldName("equipment_code")
    private String equipmentCode;
    /**
     * 站点设备编号
     */
    @FieldName("site_code")
    private String siteCode;
    /**
     * 制造厂家
     */
    @FieldName("manufactor")
    private String manufactor;
    /**
     * 健康评估起始时间
     */
    @FieldName("evaluate_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime evaluateTime;
    /**
     * 设备投运时间
     */
    @FieldName("transport_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime transportTime;
    /**
     * 出厂年月
     */
    @FieldName("factory_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime factoryTime;
    /**
     * 设计使用年限（年）
     */
    @FieldName("service_time")
    private String serviceTime;
    /**
     * 创建人ID
     */
    @FieldName("create_user")
    private String createUser;
    /**
     * 创建时间
     */
    @FieldName("create_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createTime;
    /**
     * 状态：0:可用   1:不可用
     */
    @FieldName("status")
    private String status;
}
