package com.huatek.busi.entity;

import java.io.Serializable;
import java.time.LocalDate;
import java.time.LocalDateTime;

import io.swagger.models.auth.In;
import org.springframework.format.annotation.DateTimeFormat;

import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.annotation.TableName;
import com.huatek.torch.sql.beans.Pojo;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 变压器标牌信息 entity
 *
 * @author anker_cheng
 * @date Jul 17, 2019 4:45:59 PM
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("busi_offline_transformer_brand")
public class BusiOfflineTransformerBrand extends Pojo implements Serializable  {
    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @FieldName("id")
    private String id;
    /**
     * 站点Id
     */
    @FieldName("site_id")
    private String siteId;
    /**
     * 主设备ID
     */
    @FieldName("main_equipment_id")
    private String mainEquipmentId;
    /**
     * 变压器名称
     */
    @FieldName("transformer_name")
    private String transformerName;
    /**
     * 设备投运时间
     */
    @FieldName("equipment_delivery_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private LocalDate equipmentDeliveryTime;
    /**
     * 系统设备编号
     */
    @FieldName("equipment_code")
    private String equipmentCode;
    /**
     * 站点设备编号
     */
    @FieldName("site_code")
    private String siteCode;
    /**
     * 油比重
     */
    @FieldName("specific_gravity")
    private String specificGravity;
    /**
     * 设备型号
     */
    @FieldName("equipment_model")
    private String equipmentModel;
    /**
     * 出厂年月
     */
    @FieldName("factory_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private LocalDate factoryTime;
    /**
     * 额定容量
     */
    @FieldName("rated_capacity")
    private String ratedCapacity;
    /**
     * 冷却方式
     */
    @FieldName("cooling_node")
    private String coolingNode;
    /**
     * 厂家
     */
    @FieldName("manufacturer")
    private String manufacturer;
    /**
     * 高压绕组额定电压(kV)
     */
    @FieldName("rated_high_voltage")
    private String ratedHighVoltage;
    /**
     * 低压绕组额定电压(kV)
     */
    @FieldName("rated_low_voltage")
    private String ratedLowVoltage;
    /**
     * 高压绕组额定电流(A)
     */
    @FieldName("rated_high_current")
    private String ratedHighCurrent;
    /**
     * 低压绕组额定电流(A)
     */
    @FieldName("rated_low_current")
    private String ratedLowCurrent;
    /**
     * 油重（吨）
     */
    @FieldName("oil_weight")
    private String oilWeight;
    /**
     * 设计寿命(年)
     */
    @FieldName("design_life")
    private String designLife;
    /**
     * 环境等级
     */
    @FieldName("environment_level")
    private String environmentLevel;
    /**
     * 健康评估起始时间
     */
    @FieldName("health_aassessment_start_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private LocalDate healthAassessmentStartTime;
    /**
     * 创建人ID
     */
    @FieldName("create_user")
    private String createUser;
    /**
     * 创建时间
     */
    @FieldName("create_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createTime;
    /**
     * 状态：1-正常   2:删除
     */
    @FieldName("status")
    private String status;

    /**
     * 排序
     */
    @FieldName("sort")
    private Integer sort;
}