package com.huatek.busi.entity;

import java.io.Serializable;
import java.time.LocalDate;
import java.time.LocalDateTime;

import org.springframework.format.annotation.DateTimeFormat;

import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.annotation.TableName;
import com.huatek.torch.sql.beans.Pojo;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 变压器投运验收结论 entity
 *
 * @author anker_cheng
 * @date Jul 4, 2019 2:00:04 PM
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("busi_offline_transformer_check")
public class BusiOfflineTransformerCheck extends Pojo implements Serializable  {
    private static final long serialVersionUID = 1L;

    /**
     * 
     */
    @FieldName("id")
    private String id;
    /**
     * 变压器设备ID
     */
    @FieldName("equipment_id")
    private String equipmentId;
    /**
     * 站点ID
     */
    @FieldName("site_id")
    private String siteId;
    /**
     * 绕组连同套管绝缘电阻测试结论:1-优秀、2-良好、3-一般、
     */
    @FieldName("absolute_resistance")
    private String absoluteResistance;
    /**
     * 绕组连同套管直流电阻测试结论1-优秀、2-良好、3-一般、
     */
    @FieldName("dc_resistance")
    private String dcResistance;
    /**
     * 分接开关电压比测试结论:1-正常、2-轻微问题
     */
    @FieldName("switch_voltage")
    private String switchVoltage;
    /**
     * 绕组连同套管介损及直流泄漏测试结论:1-正常、2-轻微问题
     */
    @FieldName("leak_test")
    private String leakTest;
    /**
     * 绕组变形测试结论:1-正常、2-轻微问题
     */
    @FieldName("deformation_test")
    private String deformationTest;
    /**
     * 绕组连同套管耐压及局部放电测试结论:1-正常、2-轻微问题
     */
    @FieldName("discharge_test")
    private String dischargeTest;
    /**
     * 绝缘油试验结论:1-正常、2-轻微问题
     */
    @FieldName("insulating_oil")
    private String insulatingOil;
    /**
     * 外观检查结论:1-正常、2-轻微问题
     */
    @FieldName("appearance_test")
    private String appearanceTest;
    /**
     * 二次回路绝缘检查结论:1-正常、2-轻微问题
     */
    @FieldName("insulation_test")
    private String insulationTest;
    /**
     * 保护装置功能检查结论:1-正常、2-轻微问题
     */
    @FieldName("function_check")
    private String functionCheck;
    /**
     * 失灵及其他关联回路检查结论1-正常、2-轻微问题
     */
    @FieldName("association_check")
    private String associationCheck;
    /**
     * 主变本体及调压回路检查结论1-正常、2-轻微问题
     */
    @FieldName("pressure_check")
    private String pressureCheck;
    /**
     * 端子紧固结论1-正常、2-轻微问题
     */
    @FieldName("fasten_check")
    private String fastenCheck;
    /**
     * 并网检查结论1-正常、2-轻微问题
     */
    @FieldName("grid_check")
    private String gridCheck;
    /**
     * 变压器冷却器密封试验验收结论1-正常、2-轻微问题
     */
    @FieldName("cool_check")
    private String coolCheck;
    /**
     * 变压器真空注油及密封试验验收结论1-正常、2-轻微问题
     */
    @FieldName("vacuum_check")
    private String vacuumCheck;
    /**
     * 箱柜基础检查验收结论1-正常、2-轻微问题
     */
    @FieldName("basic_check")
    private String basicCheck;
    /**
     * 
     */
    @FieldName("check_date")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private LocalDate checkDate;
    /**
     * 
     */
    @FieldName("create_user")
    private String createUser;
    /**
     * 
     */
    @FieldName("create_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createTime;
    /**
     * 
     */
    @FieldName("create_name")
    private String createName;
    /**
     * 是否删除:1——正常；2——删除
     */
    @FieldName("status")
    private String status;
}