package com.huatek.busi.entity;

import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.annotation.Id;
import com.huatek.torch.sql.annotation.TableName;
import com.huatek.torch.sql.beans.Pojo;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * 电缆环流阈值
 *
 * @author Bobi_huo
 * @date 2020-09-16 10:32
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("busi_other_threshold")
public class BusiOtherThreshold extends Pojo implements Serializable {

    private static final long serialVersionUID = 5717366002861553488L;

    /**
     * @Fields id
     */
    @FieldName("id")
    @Id(value = "id")
    private String id;

    /**
     * @Fields siteId : 站点ID
     */
    @FieldName("site_id")
    private String siteId;

    /**
     * @Fields mainTreeId : 站点设备树ID
     */
    @FieldName("main_tree_id")
    private String mainTreeId;

    /**
     * @Fields sensorCode : 传感器编码
     */
    @FieldName("sensor_code")
    private String sensorCode;

    /**
     * @Fields runState : 设备运行状态：0-无  1-发电  2-抽水  3-空闲
     */
    @FieldName("run_state")
    private String runState;

    /**
     * @Fields electThresholdVal : 电流（A）告警值
     */
    @FieldName("elect_threshold_val")
    private String electThresholdVal;

    /**
     * @Fields electPrewarningVal : 电流（A）预警值
     */
    @FieldName("elect_prewarning_val")
    private String electPrewarningVal;

    /**
     * @Fields relativeGrowthDayVal : 相对增长率（%）告警值（日）
     */
    @FieldName("relative_growth_day_val")
    private String relativeGrowthDayVal;

    /**
     * @Fields relativeGrowthMonthVal : 相对增长率（%）告警值（月）
     */
    @FieldName("relative_growth_month_val")
    private String relativeGrowthMonthVal;

    /**
     * @Fields relativeGrowthPrewarningDayVal : 相对增长率（%）预警值（日）
     */
    @FieldName("relative_growth_prewarning_day_val")
    private String relativeGrowthPrewarningDayVal;

    /**
     * @Fields relativeGrowthPrewarningMonthVal : 相对增长率（%）预警值（月）
     */
    @FieldName("relative_growth_prewarning_month_val")
    private String relativeGrowthPrewarningMonthVal;

    /**
     * @Fields createdTime : 创建时间
     */
    @FieldName("created_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
//    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createdTime;

    /**
     * @Fields creator : 创建人ID
     */
    @FieldName("creator")
    private String creator;

    /**
     * @Fields modifiedTime : 修改时间
     */
    @FieldName("modified_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
//    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime modifiedTime;


    /**
     * @Fields modifier : 修改人ID
     */
    @FieldName("modifier")
    private String modifier;
}
