package com.huatek.busi.entity;

import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.annotation.Id;
import com.huatek.torch.sql.annotation.TableName;
import com.huatek.torch.sql.beans.Pojo;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * 半自动评估录入数据表 entity
 *
 * @author herman_zhang
 */
@Setter
@Getter
@TableName("busi_semi_automatic_evaluate_data")
public class BusiSemiAutomaticEvaluateData extends Pojo implements Serializable  {
    /**
     *
     */
    @ApiModelProperty(value="id",name="id",required=true)
    @Id("id")
    private String id;
   
    /**
	 * 
	 */
	private static final long serialVersionUID = -1396663417602100176L;


    /**
     * 站点Id
     */
    @FieldName("site_id")
    private String siteId;

    /**
     * 主设备ID
     */
    @FieldName("main_equipment_id")
    private String mainEquipmentId;


    /**
     * 主设备类型
     */
    @FieldName("equipment_type")
    private String equipmentType;

    /**
     * 电流(A)
     */
    @FieldName("current")
    private String current;


    /**
     * 电压（V）
     */
    @FieldName("voltage")
    private String voltage;


    /**
     * 时长（h）
     */
    @FieldName("duration")
    private BigDecimal duration;

    /**
     * 断开次数
     */
    @FieldName("break_times")
    private BigDecimal breakTimes;

    /**
     * 创建人
     */
    @FieldName("create_user")
    private String createUser;

    /**
     * 创建时间
     */
    @FieldName("create_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createTime;

}