package com.huatek.busi.entity;

import java.io.Serializable;
import java.time.LocalDate;
import java.time.LocalDateTime;

import org.springframework.format.annotation.DateTimeFormat;

import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.annotation.TableName;
import com.huatek.torch.sql.beans.Pojo;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 测温柜/点信息表 entity
 *
 * @author anker_cheng
 * @date Jul 24, 2019 5:10:05 PM
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("busi_temper_point")
public class BusiTemperPoint extends Pojo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @FieldName("id")
    private String id;

    /**
     * SensiorID
     */
    @FieldName("sensor_code")
    private String sensorCode;

    /**
     * 传感器名称
     */
    @FieldName("sensor_name")
    private String sensorName;

    /**
     * 传感器设备编码（标牌）
     */
    @FieldName("sensor_brand")
    private String sensorBrand;

    /**
     * 安装位置 1: A相进线 2: B相进线 3: C相进线 4: A相出线 5: B相出线 6: C相出线 7：柜内 8：柜外监测点
     */
    @FieldName("position")
    private String position;

    /**
     * 安装位置描述
     */
    @FieldName("position_des")
    private String positionDes;

    /**
     * 状态： 1-正常 ， 2-删除
     */
    @FieldName("status")
    private String status;

    /**
     * 增长率
     */
    @FieldName("grow_rate")
    private String growRate;

    /**
     * 告警值
     */
    @FieldName("warning_value")
    private String warningValue;

    /**
     * 预警值
     */
    @FieldName("threshold_value")
    private String thresholdValue;

    /**
     * 生产厂家
     */
    @FieldName("manufactor")
    private String manufactor;


    /**
     * 关联标牌id
     */
    @FieldName("middle_id")
    private String middleId;

    /**
     * 设备生产时间
     */
    @FieldName("production_date")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private LocalDate productionDate;

    /**
     * 设备投运时间
     */
    @FieldName("use_date")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private LocalDate useDate;

    /**
     * 设备id
     */
    @FieldName("equipment_id")
    private String equipmentId;

    /**
     * 站点id
     */
    @FieldName("site_id")
    private String siteId;

    /**
     * 创建时间
     */
    @FieldName("create_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createTime;
}