package com.huatek.busi.entity;

import java.io.Serializable;
import java.time.LocalDateTime;

import org.springframework.format.annotation.DateTimeFormat;

import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.annotation.TableName;
import com.huatek.torch.sql.beans.Pojo;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 电容型设备——绝缘监测：022001实时数据表 entity
 *
 * @author anker_cheng
 * @date Oct 28, 2019 7:37:10 PM
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("capacitance_equipment_im_cache")
public class CapacitanceEquipmentImCache extends Pojo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @FieldName("id")
    private String id;

    /**
     * 监测类型编码
     */
    @FieldName("cac_monitor_type_code")
    private String cacMonitorTypeCode;

    /**
     * 站点ID
     */
    @FieldName("site_id")
    private String siteId;

    /**
     * 站点设备树ID
     */
    @FieldName("main_tree_id")
    private String mainTreeId;

    /**
     * 外挂设备树ID
     */
    @FieldName("sub_tree_id")
    private String subTreeId;

    /**
     * 主设备ID
     */
    @FieldName("main_equipment_id")
    private String mainEquipmentId;

    /**
     * 外挂设备ID
     */
    @FieldName("sub_equipment_id")
    private String subEquipmentId;

    /**
     * 在线监测装置的唯一标识（17 位码）
     */
    @FieldName("sensor_id")
    private String sensorId;

    /**
     * 被监测设备相别
     */
    @FieldName("phase")
    private String phase;

    /**
     * 数据采集时间，格式为：yyyy-MM-dd HH:mm:ss
     */
    @FieldName("time_stamp")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime timeStamp;

    /**
     * 电容量(pF)
     */
    @FieldName("capacitance")
    private String capacitance;

    /**
     * 介质损耗因数
     */
    @FieldName("loss_factor")
    private String lossFactor;

    /**
     * 三相不平衡电流
     */
    @FieldName("unbalance_current")
    private String unbalanceCurrent;

    /**
     * 三相不平衡电压
     */
    @FieldName("unbalance_voltage")
    private String unbalanceVoltage;

    /**
     * 泄露电流(mA)
     */
    @FieldName("total_current")
    private String totalCurrent;

    /**
     * 系统电压(V)
     */
    @FieldName("system_voltage")
    private String systemVoltage;

    /**
     * 设备运行状态：0-无 1-发电 2-抽水 3-空闲
     */
    @FieldName("run_state")
    private String runState;

    /**
     * 1——变压器；4——避雷器
     */
    @FieldName("type")
    private String type;

    /**
     * 创建时间
     */
    @FieldName("create_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createTime;
}