package com.huatek.busi.entity;

import java.io.Serializable;
import java.time.LocalDateTime;

import org.springframework.format.annotation.DateTimeFormat;

import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.annotation.TableName;
import com.huatek.torch.sql.beans.Pojo;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 容性设备-绝缘监测-阈值：022001 entity
 *
 * @author anker_cheng
 * @date Aug 5, 2019 5:29:16 PM
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("capacitance_equipment_insulation_monitor_threshold")
public class CapacitanceEquipmentInsulationMonitorThreshold extends Pojo implements Serializable  {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @FieldName("id")
    private String id;

    /**
     * 站点ID
     */
    @FieldName("site_id")
    private String siteId;

    /**
     * 站点设备树ID
     */
    @FieldName("main_tree_id")
    private String mainTreeId;

    /**
     * 传感器编码
     */
    @FieldName("sensor_code")
    private String sensorCode;

    /**
     * 设备运行状态：0-无  1-发电  2-抽水  3-空闲  
     */
    @FieldName("run_state")
    private String runState;

    /**
     * A相容性设备泄露电流预警值
     */
    @FieldName("a_leakage_current_warning")
    private String aLeakageCurrentWarning;

    /**
     * A相容性设备泄露电流阈值
     */
    @FieldName("a_leakage_current_threshold")
    private String aLeakageCurrentThreshold;

    /**
     * A相容性电容量预警值
     */
    @FieldName("a_capacitance_warning")
    private String aCapacitanceWarning;

    /**
     * A相容性电容量阈值
     */
    @FieldName("a_capacitance_threshold")
    private String aCapacitanceThreshold;

    /**
     * A相容性介质损耗因数预警值
     */
    @FieldName("a_loss_factor_warning")
    private String aLossFactorWarning;

    /**
     * A相容性介质损耗因数阈值
     */
    @FieldName("a_loss_factor_threshold")
    private String aLossFactorThreshold;

    /**
     * B相容性设备泄露电流预警值
     */
    @FieldName("b_leakage_current_warning")
    private String bLeakageCurrentWarning;

    /**
     * B相容性设备泄露电流阈值
     */
    @FieldName("b_leakage_current_threshold")
    private String bLeakageCurrentThreshold;

    /**
     * B相容性电容量预警值
     */
    @FieldName("b_capacitance_warning")
    private String bCapacitanceWarning;

    /**
     * B相容性电容量阈值
     */
    @FieldName("b_capacitance_threshold")
    private String bCapacitanceThreshold;

    /**
     * B相容性介质损耗因数预警值
     */
    @FieldName("b_loss_factor_warning")
    private String bLossFactorWarning;

    /**
     * B相容性介质损耗因数阈值
     */
    @FieldName("b_loss_factor_threshold")
    private String bLossFactorThreshold;

    /**
     * C相容性设备泄露电流预警值
     */
    @FieldName("c_leakage_current_warning")
    private String cLeakageCurrentWarning;

    /**
     * C相容性设备泄露电流阈值
     */
    @FieldName("c_leakage_current_threshold")
    private String cLeakageCurrentThreshold;

    /**
     * C相容性电容量预警值
     */
    @FieldName("c_capacitance_warning")
    private String cCapacitanceWarning;

    /**
     * C相容性电容量阈值
     */
    @FieldName("c_capacitance_threshold")
    private String cCapacitanceThreshold;

    /**
     * C相容性介质损耗因数预警值
     */
    @FieldName("c_loss_factor_warning")
    private String cLossFactorWarning;

    /**
     * C相容性介质损耗因数阈值
     */
    @FieldName("c_loss_factor_threshold")
    private String cLossFactorThreshold;

    /**
     * 创建时间
     */
    @FieldName("created_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createdTime;

    /**
     * 创建人
     */
    @FieldName("creator")
    private String creator;

    /**
     * 修改时间
     */
    @FieldName("modified_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime modifiedTime;

    /**
     * 修改人
     */
    @FieldName("modifier")
    private String modifier;
}