package com.huatek.busi.entity;

import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.annotation.TableName;
import com.huatek.torch.sql.beans.Pojo;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDate;
import java.time.LocalDateTime;

/**
 * 变压器红外监统计 entity
 *
 * @author anker_cheng
 * @date Oct 28, 2019 11:39:19 AM
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("cwzz_monitoring_statistics")
public class CwzzMonitoringStatistics extends Pojo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 
     */
    @FieldName("id")
    private String id;

    /**
     * cac类型编码
     */
    @FieldName("cac_monitor_type_code")
    private String cacMonitorTypeCode;

    /**
     * 站点Id
     */
    @FieldName("site_id")
    private String siteId;

    /**
     * sensor编码
     */
    @FieldName("sensor_id")
    private String sensorId;

    /**
     * 站点设备树ID
     */
    @FieldName("main_tree_id")
    private String mainTreeId;

    /**
     * 外挂设备树ID
     */
    @FieldName("sub_tree_id")
    private String subTreeId;

    /**
     * 统计时间
     */
    @FieldName("d_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private LocalDate dTime;

    /**
     * 平均温度
     */
    @FieldName("avg_tmp")
    private BigDecimal avgTmp;

    /**
     * 创建时间
     */
    @FieldName("create_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createTime;
}