package com.huatek.busi.entity;

import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.beans.Pojo;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.time.LocalDate;
import java.time.LocalDateTime;

/**
 * 数据输出记录 entity
 *
 * @author anker_cheng
 * @date Oct 12, 2019 9:57:51 AM
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class DataOutputEntityWarning extends Pojo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @FieldName("id")
    private String id;

    /**
     * 设备编码
     */
    @FieldName("sensor_id")
    private String sensorId;


    /**
     * 设备编码
     */
    @FieldName("warning_id")
    private String warningId;



    /**
     * 传感器安装位置
     */
    @FieldName("sensor_install_location")
    private String sensorInstallLocation;

    /**
     * 故障大类
     */
    @FieldName("eq_type")
    private String eqType;

    /**
     * 故障小类
     */
    @FieldName("gz_type")
    private String gzType;



    /**
     * 数据日期
     */
    @FieldName("day")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private LocalDate day;

    /**
     * 文件路径(相对路径)
     */
    @FieldName("file_path")
    private String filePath;

    /**
     * 文件名
     */
    @FieldName("file_name")
    private String fileName;

    /**
     * 记录生成时间
     */
    @FieldName("created_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createdTime;

    /**
     * 下载次数
     */
    @FieldName("download_times")
    private Integer downloadTimes;

    /**
     * 告警描述
     */
    @FieldName("warning_info")
    private String warningInfo;
}