package com.huatek.busi.entity;

import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.beans.Pojo;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.time.LocalDateTime;

@Data
public class EquipmentEvaluateStatus extends Pojo implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 站点id
     */
    @FieldName("site_id")
    private String siteId;

    /**
     * 设备id
     */
    @FieldName("main_equipment_id")
    private String mainEquipmentId;

    /**
     * 健康结果
     */
    @FieldName("health_index")
    private String healthIndex;


    /**
     * 健康评分
     */
    @FieldName("score")
    private String score;

    /**
     * 评估个数
     */
    @FieldName("number")
    private Integer number;



    /**
     * 创建时间，格式为：yyyy-MM-dd HH:mm:ss
     */
    @FieldName("evaluate_date")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime evaluateDate;



}
