package com.huatek.busi.entity;

import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.beans.Pojo;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

@Data
public class EquipmentNumber extends Pojo implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 站点id
     */
    @FieldName("site_id")
    private String siteId;

    /**
     * 设备id
     */
    @FieldName("main_equipment_id")
    private String mainEquipmentId;

    /**
     * sensorId
     */
    @FieldName("sensor_id")
    private String sensorId;

    /**
     * sensorName
     */
    @FieldName("sensor_name")
    private String sensorName;

    /**
     * sensor编码类型
     */
    @FieldName("ext_equipment_code")
    private String extEquipmentCode;

    /**
     * 外挂id
     */
    @FieldName("t_id")
    private String tId;


    /**
     * 在线监测装置对应的被监测设备的
     */
    @FieldName("equipment_id")
    private String equipmentId;

    /**
     * 在线监测装置的类型
     */
    @FieldName("equipment_type")
    private String equipmentType;


    /**
     * 在线监测装置的名称
     */
    @FieldName("name")
    private String name;

    /**
     * 所有外挂装置数
     */
    @FieldName("number")
    private Integer number;


    /**
     * 所有在线装置总数
     */
    @FieldName("sumNumber")
    private BigDecimal sumNumber;

    /**
     * 实际次数
     */
    @FieldName("real_count")
    private BigDecimal totalRealCount;

    /**
     * 应该次数
     */
    @FieldName("must_count")
    private BigDecimal totalMustCount;

    /**
     * 在线数
     */
    @FieldName("normalNumber")
    private Integer normalNumber;



    /**
     * 故障数
     */
    @FieldName("faultNumber")
    private Integer faultNumber;



    /**
     * 在线率
     */
    @FieldName("onlineRate")
    private String onlineRate;

    /**
     * 统计时间
     */
    @FieldName("d_time")
    private String dTime;

    /**
     * 数据上传时间
     */
    @FieldName("time_stamp")
    private String timeStamp;

    /**
     * 统计时间
     */
    @FieldName("warning_type")
    private String warningType;

    /**
     * 创建时间，格式为：yyyy-MM-dd HH:mm:ss
     */
    @FieldName("create_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createTime;



}
