package com.huatek.busi.entity;

import java.io.Serializable;
import java.time.LocalDateTime;

import org.springframework.format.annotation.DateTimeFormat;

import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.annotation.TableName;
import com.huatek.torch.sql.beans.Pojo;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 故障主分类表 entity
 *
 * @author anker_cheng
 * @date Jul 4, 2019 2:15:32 PM
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("fault_types")
public class FaultTypes extends Pojo implements Serializable  {
    private static final long serialVersionUID = 1L;

    /**
     * 
     */
    @FieldName("id")
    private String id;
    /**
     * 故障类型名称
     */
    @FieldName("fault_name")
    private String faultName;
    /**
     * 故障子分类名称
     */
    @FieldName("insdate")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime insdate;
}