package com.huatek.busi.entity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDate;
import java.time.LocalDateTime;
import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.annotation.TableName;
import com.huatek.torch.sql.beans.Pojo;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

/**
 * 压力统计对象 generator_pressure_monitoring_statistics
 * 
 * @author leo
 * @date 2023-04-24
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("generator_pressure_monitoring_statistics")
public class GeneratorPressureMonitoringStatistics extends Pojo implements Serializable {
    /**  */
    private String id;

    /** cac类型编码 */
    @FieldName("cac_monitor_type_code")
    private String cacMonitorTypeCode;

    /** 站点Id */
    @FieldName("site_id")
    private String siteId;

    /** sensor编码 */
    @FieldName("sensor_id")
    private String sensorId;

    /** 站点设备树ID */
    @FieldName("main_tree_id")
    private String mainTreeId;

    /** 外挂设备树ID */
    @FieldName("sub_tree_id")
    private String subTreeId;

    /** 统计时间 */
    @FieldName("d_time")
    private LocalDate dTime;

    /** 装置类型,源自busi_genereator_ampl_type.id自段 */
    @FieldName("type_id")
    private Long typeId;

    /** 压力1 */
    @FieldName("pv_a")
    private BigDecimal pvA;

    /** 压力2 */
    @FieldName("pv_b")
    private BigDecimal pvB;

    /** 预留字段 */
    @FieldName("pv_c")
    private BigDecimal pvC;

    /** 预留字段 */
    @FieldName("pv_d")
    private BigDecimal pvD;

    /**
     * 创建时间
     */
    @FieldName("create_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createTime;
}
