package com.huatek.busi.entity;

import java.io.Serializable;
import java.time.LocalDateTime;

import org.springframework.format.annotation.DateTimeFormat;

import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.annotation.TableName;
import com.huatek.torch.sql.beans.Pojo;

import lombok.Data;
import lombok.EqualsAndHashCode;
/**
 * Gis评估结果
 * @author buck_guo
 * @date 2019/08/31
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("gis_assessment_result")
public class GisAssessmentResult  extends Pojo implements Serializable{
    /**
     *
     */
    private static final long serialVersionUID = 1L;

    /**
     *
     */
    @FieldName("id")
    private String id;

    /**
     * 站点Id
     */
    @FieldName("site_id")
    private String siteId;

    /**
     * 站点设备树ID
     */
    @FieldName("main_tree_id")
    private String mainTreeId;

    /**
     * 评测时间
     */
    @FieldName("assess_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime assessTime;

    /**
     * 健康分值
     */
    @FieldName("health_score")
    private String healthScore;

    /**
     * 健康水平
     */
    @FieldName("health_level")
    private String healthLevel;

    /**
     * 健康水平说明
     */
    @FieldName("health_level_explain")
    private String healthLevelExplain;

    /**
     * 未来故障率
     */
    @FieldName("future_failure_rate")
    private String futureFailureRate;

    /**
     * 触头磨损率
     */
    @FieldName("contact_wear_rate")
    private String contactWearRate;

    /**
     * 预期使用次数
     */
    @FieldName("expected_usage_count")
    private String expectedUsageCount;

    /**
     *  剩余使用次数
     */
    @FieldName("remaining_usage_count")
    private String remainingUsageCount;

    /**
     * 检修建议
     */
    @FieldName("overhaul_suggest")
    private String overhaulSuggest;

    /**
     * 负荷率
     */
    @FieldName("load_factor")
    private String loadFactor;

    /** @Fields type: 1.手动 2.自动 */
    @FieldName(value = "type")
    private String type;

}
