package com.huatek.busi.entity;

import java.io.Serializable;
import java.time.LocalDate;

import org.springframework.format.annotation.DateTimeFormat;

import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.annotation.TableName;
import com.huatek.torch.sql.beans.Pojo;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * Gis评估结果中间过程
 * 
 * @author buck_guo
 * @date 2019/08/31
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("gis_assessment_result_data")
public class GisAssessmentResultData extends Pojo implements Serializable {
	/**
	 *
	 */
	private static final long serialVersionUID = 1L;

	/**
	 * 
	 */
	@FieldName("id")
	private String id;

	/**
	 * 评测evaluation_id
	 */
	@FieldName("evaluation_id")
	private String evaluationId;

	/**
	 * 开关 gisId
	 */
	@FieldName("gis_id")
	private String gisId;

	/**
	 * 开关名称gisName
	 */
	@FieldName("gis_name")
	private String gisName;

	/**
	 * 评测时间
	 */
	@FieldName("assess_time")
	@DateTimeFormat(pattern = "yyyy-MM-dd")
	private LocalDate assessTime;

	/**
	 * 健康分值
	 */
	@FieldName("health_score")
	private String healthScore;
	
	/**
	 * 100%負荷的斷開次數
	 */
	@FieldName("dkcses")
	private String dkcses;
	

	/**
	 * 健康水平
	 */
	@FieldName("health_level")
	private String healthLevel;

	/**
	 * 未来故障率
	 */
	@FieldName("future_failure_rate")
	private String futureFailureRate;

	/**
	 * 触头磨损率
	 */
	@FieldName("contact_wear_rate")
	private String contactWearRate;

	/**
	 * 预期使用次数
	 */
	@FieldName("expected_usage_count")
	private String expectedUsageCount;

	/**
	 * 剩余使用次数
	 */
	@FieldName("remaining_usage_count")
	private String remainingUsageCount;

	/**
	 * 检修建议
	 */
	@FieldName("overhaul_suggest")
	private String overhaulSuggest;

	/**
	 * 开断磨损
	 */
	@FieldName("breaking_wear")
	private String breakingWear;

	/**
	 * 运行数据
	 */
	@FieldName("operational_data")
	private String operationalData;

	/**
	 * 运行参数
	 */
	@FieldName("operation_parameters")
	private String operationParameters;

	/**
	 * 绝缘介质
	 */
	@FieldName("insulating_medium")
	private String insulatingMedium;

	/**
	 * 开断磨损详情
	 */
	@FieldName("breaking_wear_details")
	private String breakingWearDetails;

	/**
	 * 运行数据详情
	 */
	@FieldName("operational_data_details")
	private String operationalDataDetails;

	/**
	 * 运行参数详情
	 */
	@FieldName("operation_parameters_details")
	private String operationParametersDetails;

	/**
	 * 绝缘介质详情
	 */
	@FieldName("insulating_medium_details")
	private String insulatingMediumDetails;

}