package com.huatek.busi.entity;

import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.util.Date;
import java.io.Serializable;

import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.annotation.TableName;
import com.huatek.torch.sql.beans.Pojo;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

/**
 * <p>
 *      sf6_env实时数据
 *  </p>
 *
 * @author vent
 * @since 2023-04-17
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("gis_sf6_env")
public class GisSf6Env extends Pojo implements Serializable  {

    private static final long serialVersionUID = 1L;
    /**
     * 主键
     */
    @FieldName("id")
    private String id;

    /**
     * CAC 的唯一标识（17 位码）
     */
    @ApiModelProperty(value = "CAC 的唯一标识（17 位码）",  name="cacId")
    @FieldName("cac_id")
    private String cacId;

    /**
     * 在线监测装置的唯一标识（17 位码）
     */
    @ApiModelProperty(value = "在线监测装置的唯一标识（17 位码）",  name="sensorId")
    @FieldName("sensor_id")
    private String sensorId;

    /**
     * 监测类型编码
     */
    @ApiModelProperty(value = "监测类型编码",  name="cacMonitorTypeCode")
    @FieldName("cac_monitor_type_code")
    private String cacMonitorTypeCode;

    /**
     * 在线监测装置对应的被监测设备的 唯一标识（17 位码）
     */
    @ApiModelProperty(value = "在线监测装置对应的被监测设备的 唯一标识（17 位码）",  name="equipmentId")
    @FieldName("equipment_id")
    private String equipmentId;

    /**
     * 数据采集时间，格式为：yyyy-MM-dd HH:mm:ss
     */
    @ApiModelProperty(value = "数据采集时间，格式为：yyyy-MM-dd HH:mm:ss",  name="timeStamp")
    @FieldName("time_stamp")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime timeStamp;


    /**
     * 主设备编号
     */
    @ApiModelProperty(value = "主设备编号",  name="equipmentCode")
    @FieldName("equipment_code")
    private String equipmentCode;

    /**
     * 外挂设备编号
     */
    @ApiModelProperty(value = "外挂设备编号",  name="extEquipmentCode")
    @FieldName("ext_equipment_code")
    private String extEquipmentCode;

    /**
     * 站点ID
     */
    @ApiModelProperty(value = "站点ID",  name="siteId")
    @FieldName("site_id")
    private String siteId;

    /**
     * 被监测设备相别
     */
    @ApiModelProperty(value = "被监测设备相别",  name="phase")
    @FieldName("phase")
    private String phase;

    /**
     * SF6浓度A相
     */
    @ApiModelProperty(value = "SF6浓度",  name="conc")
    @FieldName("conc")
    private String conc;

    /**
     * O2含量
     */
    @ApiModelProperty(value = "O2含量",  name="oContent")
    @FieldName("o_content")
    private String oContent;

    /**
     * 温度
     */
    @ApiModelProperty(value = "温度",  name="temp")
    @FieldName("tmp")
    private String tmp;

    /**
     * 湿度
     */
    @ApiModelProperty(value = "湿度",  name="humidity")
    @FieldName("dew")
    private String dew;

    /**
     * 主设备ID
     */
    @ApiModelProperty(value = "主设备ID",  name="mainEquipmentId")
    @FieldName("main_equipment_id")
    private String mainEquipmentId;

    /**
     * 外挂设备ID
     */
    @ApiModelProperty(value = "外挂设备ID",  name="subEquipmentId")
    @FieldName("sub_equipment_id")
    private String subEquipmentId;

    /**
     * 站点设备树ID
     */
    @ApiModelProperty(value = "站点设备树ID",  name="mainTreeId")
    @FieldName("main_tree_id")
    private String mainTreeId;

    /**
     * 外挂设备树ID
     */
    @ApiModelProperty(value = "外挂设备树ID",  name="subTreeId")
    @FieldName("sub_tree_id")
    private String subTreeId;

    /**
     * 设备状态
     */
    @ApiModelProperty(value = "设备状态",  name="runState")
    @FieldName("run_state")
    private String runState;

    /**
     * hbase中的rowkey
     */
    @ApiModelProperty(value = "hbase中的rowkey",  name="hbaseRowkey")
    @FieldName("hbase_rowkey")
    private String hbaseRowkey;
}
