package com.huatek.busi.entity;

import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.annotation.Id;
import com.huatek.torch.sql.annotation.TableName;
import com.huatek.torch.sql.beans.Pojo;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.time.LocalDateTime;

@Data
@EqualsAndHashCode(callSuper = false)
@TableName("x_global_setting_item")
public class GlobalSettingItem extends Pojo implements Serializable {
    private static final long serialVersionUID = 1L;

    @Id("id")
    @ApiModelProperty(value = "id", name = "唯一主键标识", required = true)
    private String id;

    @FieldName("file_upload_number")
    @ApiModelProperty(value = "fileUploadNumber", name = "附件上传数量")
    private Integer fileUploadNumber;

    @FieldName("root_path")
    @ApiModelProperty(value = "rootPath", name = "上传服务器根路径")
    private String rootPath;

    @FieldName("local_temp_path")
    @ApiModelProperty(value = "localTempPath", name = "本地临时文件路径")
    private String localTempPath;

    @FieldName("create_user")
    @ApiModelProperty(value = "createUser", name = "创建者")
    private String createUser;

    @FieldName("create_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "createTime", name = "创建时间")
    private LocalDateTime createTime;
}
