package com.huatek.busi.entity;

import java.io.Serializable;
import java.time.LocalDate;
import java.time.LocalDateTime;

import org.springframework.format.annotation.DateTimeFormat;

import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.annotation.TableName;
import com.huatek.torch.sql.beans.Pojo;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 红外测温温度增长率表 entity
 *
 * @author anker_cheng
 * @date Oct 24, 2019 10:41:00 AM
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("hw_temper_increase_rate")
public class HwTemperIncreaseRate extends Pojo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 
     */
    @FieldName("id")
    private String id;

    /**
     * 站点Id
     */
    @FieldName("site_id")
    private String siteId;

    /**
     * sensor编码
     */
    @FieldName("sensor_id")
    private String sensorId;

    /**
     * 站点设备树ID
     */
    @FieldName("main_tree_id")
    private String mainTreeId;

    /**
     * 外挂设备树ID
     */
    @FieldName("sub_tree_id")
    private String subTreeId;

    /**
     * 监测类型编码
     */
    @FieldName("type")
    private String type;

    /**
     * 最高温度平均值
     */
    @FieldName("max_tmp_avg")
    private String maxTmpAvg;

    /**
     * 最低温度平均值
     */
    @FieldName("min_tmp_avg")
    private String minTmpAvg;

    /**
     * 平均温度平均值
     */
    @FieldName("avg_tmp_avg")
    private String avgTmpAvg;

    /**
     * 最高温度增长率
     */
    @FieldName("max_tmp_increase")
    private String maxTmpIncrease;

    /**
     * 最低温度增长率
     */
    @FieldName("min_tmp_increase")
    private String minTmpIncrease;

    /**
     * 平均温度增长率
     */
    @FieldName("avg_tmp_increase")
    private String avgTmpIncrease;

    /**
     * 数据日期
     */
    @FieldName("d_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private LocalDate dTime;

    /**
     * 创建时间
     */
    @FieldName("create_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createTime;
}