package com.huatek.busi.entity;

import java.io.Serializable;
import java.util.Date;

import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.annotation.TableName;
import com.huatek.torch.sql.beans.Pojo;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * IEC104原始数据表
 * @author buck_guo
 * @date 2019/08/15
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("iec_origin_data")
public class IecOriginData  extends Pojo implements Serializable{
    /**
     *
     */
    private static final long serialVersionUID = 1L;

    /**
     * 
     */
    @FieldName("stype")
    private String id;

    /**
             * 站点ID
     */
    @FieldName("site_id")
    private String siteId;

    /**
             * 主设备ID,关联表busi_site_tree.id字段
     */
    @FieldName("site_tree_id")
    private String siteTreeId;

    /**
             * 创建时间
     */
    @FieldName("d_time")
    private Date dTime;

    /**
             * 状态类型: 1-发电状态 2：抽水状态 3：空闲状态
     */
    @FieldName("state")
    private String state;

    /**
             * 地址类型 1:遥信 2:遥测
     */
    @FieldName("stype")
    private String stype;

    /**
             * 信息体地址,key
     */
    @FieldName("sadr")
    private Integer sadr;

    /**
             * 信息体数据值，各个信息体的单位如何确定
     */
    @FieldName("sadrval")
    private String sadrval;
}