package com.huatek.busi.entity;

import com.huatek.torch.sql.annotation.*;
import com.huatek.torch.sql.beans.Pojo;
import io.swagger.annotations.*;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.time.LocalDateTime;

@Data
@TableName("x_lab_report_param_data")
@ApiModel("离线报告参数信息")
public class LabReportParamData extends Pojo implements Serializable {

    private static final long serialVersionUID = 1L;

    @Id("id")
    @ApiModelProperty(value = "id", name = "唯一主键标识", required = true)
    private String id;

    @FieldName("ref_id")
    @ApiModelProperty(value = "refId", name = "关联附件编号")
    private String refId;

    @FieldName("r_id")
    @ApiModelProperty(value = "rId", name = "报告编号")
    private String rId;

    @FieldName("test_interval")
    @ApiModelProperty(value = "testInterval", name = "试验次数/位置/间隔时间")
    private String testInterval;

    @FieldName("test_type")
    @ApiModelProperty(value = "testType", name = "试验类别")
    private String testType;

    @FieldName("offline_param")
    @ApiModelProperty(value = "offlineParam", name = "试验类别")
    private String offlineParam;

    @FieldName("valid_value_range")
    @ApiModelProperty(value = "validValueRange", name = "有效值范围（告警/阈值判断/数据是否可信）")
    private String validValueRange;

    @FieldName("current_value")
    @ApiModelProperty(value = "currentValue", name = "当前值")
    private String currentValue;

    @FieldName("unit")
    @ApiModelProperty(value = "unit", name = "单位")
    private String unit;

    @FieldName("is_mark")
    @ApiModelProperty(value = "isMark", name = "是否打标（0 否 1 是）")
    private String isMark;

    @FieldName("e_param")
    @ApiModelProperty(value = "eParam", name = "评估参数")
    private String eParam;

    @FieldName("test_result")
    @ApiModelProperty(value = "testResult", name = "试验结果")
    private String testResult;

    @FieldName("remark")
    @ApiModelProperty(value = "remark", name = "备注(油温、环境温度、湿度、精度)")
    private String remark;

    @FieldName("create_user")
    @ApiModelProperty(value = "createUser", name = "创建者")
    private String createUser;

    @FieldName("create_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "createTime", name = "创建时间")
    private LocalDateTime createTime;

    @FieldName("update_user")
    @ApiModelProperty(value = "updateUser", name = "更新者")
    private String updateUser;

    @FieldName("update_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "updateTime", name = "更新时间")
    private LocalDateTime updateTime;

    @FieldName("deleted")
    @ApiModelProperty(value = "deleted", name = "是否删除 0否 1是")
    private String deleted;
}
