package com.huatek.busi.entity;

import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.annotation.Id;
import com.huatek.torch.sql.annotation.TableName;
import com.huatek.torch.sql.beans.Pojo;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.time.LocalDateTime;

@Data
@EqualsAndHashCode(callSuper = false)
@TableName("x_operate_param")
public class OperateParam extends Pojo implements Serializable {

    private static final long serialVersionUID = 1L;

    @Id("id")
    @ApiModelProperty(value = "id", name = "唯一主键标识", required = true)
    private String id;

    @FieldName("p_id")
    @ApiModelProperty(value = "pId", name = "关联编号")
    private String pId;

    @FieldName("threshold")
    @ApiModelProperty(value = "threshold", name = "阈值")
    private String threshold;

    @FieldName("init_value")
    @ApiModelProperty(value = "initValue", name = "初值")
    private String initValue;

    @FieldName("final_value")
    @ApiModelProperty(value = "finalValue", name = "终值")
    private String finalValue;

    @FieldName("absolute_growth")
    @ApiModelProperty(value = "absoluteGrowth", name = "绝对增长量")
    private String absoluteGrowth;

    @FieldName("gas_type")
    @ApiModelProperty(value = "gasType", name = "气体类型")
    private String gasType;

    @FieldName("create_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "createTime", name = "创建时间")
    private LocalDateTime createTime;
}
