package com.huatek.busi.entity;

import java.io.Serializable;
import java.time.LocalDateTime;
import org.springframework.format.annotation.DateTimeFormat;
import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.annotation.TableName;
import com.huatek.torch.sql.beans.Pojo;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 拍照阈值
 * @author buck_guo
 * @date 2019/08/09
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("photo_threshold")
public class PhotoThreshold extends Pojo implements Serializable{

    /**
     *
     */
    private static final long serialVersionUID = 1L;

    /**
     *   主键
     */
    @FieldName("id")
    private String id;

    /**
     * 站点ID
     */
    @FieldName("site_id")
    private String siteId;

    /**
     * 站点设备数ID
     */
    @FieldName("main_tree_id")
    private String mainTreeId;

    /**
     * 
     */
    @FieldName("sensor_code")
    private String sensorCode;
    
    /**
     * 设备类型(1：变压器、2：GIS设备、4：避雷器)
     */
    @FieldName("type")
    private String type;
    /**
     * 工作状态（1：发电、2：抽水、3：空闲）
     */
    @FieldName("work_status")
    private String workStatus;
    /**
     * 阈值
     */
    @FieldName("threshold")
    private String threshold;
    /**
     * 创建时间
     */
    @FieldName("created_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createdTime;

    /**
     * 创建人ID
     */
    @FieldName("creator")
    private String creator;

    /**
     * 修改时间
     */
    @FieldName("modified_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime modifiedTime;

    /**
     * 修改人ID
     */
    @FieldName("modifier_id")
    private String modifierId;
}