package com.huatek.busi.entity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDate;
import java.time.LocalDateTime;

import org.springframework.format.annotation.DateTimeFormat;

import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.annotation.TableName;
import com.huatek.torch.sql.beans.Pojo;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 避雷器--基础信息--每天汇总 entity
 *
 * @author anker_cheng
 * @date Sep 26, 2019 8:58:59 PM
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("rpt_aret_monitor_summary")
public class RptAretMonitorSummary extends Pojo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 
     */
    @FieldName("id")
    private String id;

    /**
     * 站点Id
     */
    @FieldName("site_id")
    private String siteId;

    /**
     * 站点设备树ID
     */
    @FieldName("main_tree_id")
    private String mainTreeId;

    /**
     * 外挂设备树ID
     */
    @FieldName("sub_tree_id")
    private String subTreeId;

    /**
     * 外挂设备ID
     */
    @FieldName("sub_equipment_id")
    private String subEquipmentId;

    /**
     * 主设备ID
     */
    @FieldName("main_equipment_id")
    private String mainEquipmentId;

    /**
     * 累计落雷总数
     */
    @FieldName("arrester_count")
    private BigDecimal arresterCount;

    /**
     * 春季落雷次数,一季度
     */
    @FieldName("spring_count")
    private BigDecimal springCount;

    /**
     * 夏季落雷次数,二季度
     */
    @FieldName("summer_count")
    private BigDecimal summerCount;

    /**
     * 秋季落雷次数,三季度
     */
    @FieldName("autumn_count")
    private BigDecimal autumnCount;

    /**
     * 冬季落雷次数,四季度
     */
    @FieldName("winter_count")
    private BigDecimal winterCount;

    /**
     * 当天累计打雷次数
     */
    @FieldName("dangtian_count")
    private Long dangtianCount;

    /**
     * 最近一次落雷时间
     */
    @FieldName("last_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime lastTime;

    /**
     * A相senserID
     */
    @FieldName("a_senser_id")
    private String aSenserId;

    /**
     * A相全电流(mA)
     */
    @FieldName("a_full_alc")
    private BigDecimal aFullAlc;

    /**
     * A相阻性电流(mA)
     */
    @FieldName("a_hindrance_alc")
    private BigDecimal aHindranceAlc;

    /**
     * B相senserID
     */
    @FieldName("b_senser_id")
    private String bSenserId;

    /**
     * B相全电流(mA)
     */
    @FieldName("b_full_alc")
    private BigDecimal bFullAlc;

    /**
     * B相阻性电流(mA)
     */
    @FieldName("b_hindrance_alc")
    private BigDecimal bHindranceAlc;

    /**
     * C相senserID
     */
    @FieldName("c_senser_id")
    private String cSenserId;

    /**
     * C相全电流(mA)
     */
    @FieldName("c_full_alc")
    private BigDecimal cFullAlc;

    /**
     * C相阻性电流(mA)
     */
    @FieldName("c_hindrance_alc")
    private BigDecimal cHindranceAlc;

    /**
     * 报表数据时间
     */
    @FieldName("rtp_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private LocalDate rtpTime;

    /**
     * 创建时间
     */
    @FieldName("create_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createTime;

    /**
     * 
     */
    @FieldName("remark")
    private String remark;
}