package com.huatek.busi.entity;

import java.io.Serializable;
import java.time.LocalDate;
import java.time.LocalDateTime;

import org.springframework.format.annotation.DateTimeFormat;

import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.annotation.TableName;
import com.huatek.torch.sql.beans.Pojo;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 避雷器--红外测温超标率每日汇总表 entity
 *
 * @author anker_cheng
 * @date Sep 26, 2019 8:58:59 PM
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("rpt_aret_temper_summary_chaobiaolv")
public class RptAretTemperSummaryChaobiaolv extends Pojo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 
     */
    @FieldName("id")
    private String id;

    /**
     * 站点Id
     */
    @FieldName("site_id")
    private String siteId;

    /**
     * 站点设备树ID
     */
    @FieldName("main_tree_id")
    private String mainTreeId;

    /**
     * 外挂设备树ID
     */
    @FieldName("sub_tree_id")
    private String subTreeId;

    /**
     * 外挂设备ID
     */
    @FieldName("sub_equipment_id")
    private String subEquipmentId;

    /**
     * 主设备ID
     */
    @FieldName("main_equipment_id")
    private String mainEquipmentId;

    /**
     * 传感器编码
     */
    @FieldName("sensor_id")
    private String sensorId;

    /**
     * 超标的数量数
     */
    @FieldName("chaobiao_count")
    private String chaobiaoCount;

    /**
     * 采集到的数据数量
     */
    @FieldName("data_count")
    private String dataCount;

    /**
     * 超标率
     */
    @FieldName("chaobiaolv")
    private String chaobiaolv;

    /**
     * 数据时间
     */
    @FieldName("rtp_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private LocalDate rtpTime;

    /**
     * 创建时间
     */
    @FieldName("createTime")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createtime;
}