package com.huatek.busi.entity;

import java.io.Serializable;
import java.time.LocalDateTime;

import org.springframework.format.annotation.DateTimeFormat;

import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.annotation.TableName;
import com.huatek.torch.sql.beans.Pojo;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * GIS开关-SF6压力微水温度--实时界面数据 entity
 *
 * @author anker_cheng
 * @date Oct 21, 2019 2:53:19 PM
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("rpt_gis_monitor_sf6")
public class RptGisMonitorSf6 extends Pojo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 
     */
    @FieldName("id")
    private String id;

    /**
     * 站点Id
     */
    @FieldName("site_id")
    private String siteId;

    /**
     * 设备ID
     */
    @FieldName("eqm_id")
    private String eqmId;

    /**
     * 设备code
     */
    @FieldName("eqm_code")
    private String eqmCode;

    /**
     * 区域id
     */
    @FieldName("arar_id")
    private String ararId;

    /**
     * sersorid
     */
    @FieldName("sensor_id")
    private String sensorId;

    /**
     * 相位:A/B/C
     */
    @FieldName("phase")
    private String phase;

    /**
     * 温度
     */
    @FieldName("temper")
    private String temper;

    /**
     * 微水
     */
    @FieldName("moisture")
    private String moisture;

    /**
     * 压力
     */
    @FieldName("pressure")
    private String pressure;

    /**
     * 创建时间
     */
    @FieldName("create_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createTime;

    /**
     * 状态：A:可用 D：不可用
     */
    @FieldName("status")
    private String status;

    /**
     * 站点设备树ID
     */
    @FieldName("main_tree_id")
    private String mainTreeId;

    /**
     * 外挂设备树ID
     */
    @FieldName("sub_tree_id")
    private String subTreeId;

    /**
     * 修改时间
     */
    @FieldName("modified_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime modifiedTime;
    
    /**
     * 日泄露率
     */
    @FieldName("daily_leak_rate")
    private String dailyLeakRate;
    
    /**
     * 装置灵敏度
     */
    @FieldName("equipment_sensitivity")
    private String equipmentSensitivity;
}