package com.huatek.busi.entity;

import java.io.Serializable;
import java.time.LocalDate;
import java.time.LocalDateTime;

import org.springframework.format.annotation.DateTimeFormat;

import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.annotation.TableName;
import com.huatek.torch.sql.beans.Pojo;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * GIS开关-SF6压力微水温度--统计数据
 * 
 * @author buck_guo
 * @date 2019/09/03
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("rpt_gis_monitor_sf6_charts")
public class RptGisMonitorSf6Charts extends Pojo implements Serializable {

    /**
     *
     */
    private static final long serialVersionUID = 1L;

    /**
     * 
     */
    @FieldName("id")
    private String id;

    /**
     * 
     */
    @FieldName("site_id")
    private String siteId;

    /**
     * 主设备ID
     */
    @FieldName("main_tree_id")
    private String mainTreeId;

    /**
     * sensorCode
     */
    @FieldName("sensor_code")
    private String sensorCode;

    /**
     * 相位 0：全相 1:A相 2:B 相 3:C相
     */
    private String position;

    /**
     * 温度
     */
    @FieldName("temper")
    private String temper;

    /**
     * 微水
     */
    @FieldName("moisture")
    private String moisture;

    /**
     * 数据时间
     */
    @FieldName("rpt_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private LocalDate rptTime;

    /**
     * 压力
     */
    @FieldName("pressure")
    private String pressure;

    /**
     * 创建时间
     */
    @FieldName("create_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createTime;
}