package com.huatek.busi.entity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDate;
import java.time.LocalDateTime;

import org.springframework.format.annotation.DateTimeFormat;

import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.annotation.TableName;
import com.huatek.torch.sql.beans.Pojo;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * GIS-红外测温每日汇总汇总表 entity
 *
 * @author anker_cheng
 * @date Sep 29, 2019 3:15:20 PM
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("rpt_gis_temper_summary")
public class RptGisTemperSummary extends Pojo implements Serializable  {

    private static final long serialVersionUID = 1L;

    /**
     * 
     */
    @FieldName("id")
    private String id;

    /**
     * 站点Id
     */
    @FieldName("site_id")
    private String siteId;

    /**
     * 站点设备树ID
     */
    @FieldName("main_tree_id")
    private String mainTreeId;

    /**
     * 外挂设备树ID
     */
    @FieldName("sub_tree_id")
    private String subTreeId;

    /**
     * 主设备ID
     */
    @FieldName("main_equipment_id")
    private String mainEquipmentId;

    /**
     * 外挂设备ID
     */
    @FieldName("sub_quipment_id")
    private String subQuipmentId;

    /**
     * sensorid
     */
    @FieldName("sensor_id")
    private String sensorId;

    /**
     * 区域ID
     */
    @FieldName("area_id")
    private String areaId;

    /**
     * 区域描述
     */
    @FieldName("area_name")
    private String areaName;

    /**
     * 最高温度
     */
    @FieldName("htemper")
    private BigDecimal htemper;

    /**
     * 最低温度
     */
    @FieldName("ltemper")
    private BigDecimal ltemper;

    /**
     * 数据时间
     */
    @FieldName("rtp_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private LocalDate rtpTime;

    /**
     * 创建时间
     */
    @FieldName("createTime")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createTime;
}