package com.huatek.busi.entity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

import org.springframework.format.annotation.DateTimeFormat;

import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.annotation.TableName;
import com.huatek.torch.sql.beans.Pojo;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 测温柜-全部测温点汇总表 entity
 *
 * @author anker_cheng
 * @date Oct 21, 2019 1:51:20 PM
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("rpt_termper_record")
public class RptTermperRecord extends Pojo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 
     */
    @FieldName("id")
    private String id;

    /**
     * 站点Id
     */
    @FieldName("site_id")
    private String siteId;

    /**
     * 设备编码（busi_site_tree.node_code）
     */
    @FieldName("eqm_id")
    private String eqmId;

    /**
     * 监测时间
     */
    @FieldName("d_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime dTime;

    /**
     * sensiorID
     */
    @FieldName("sensor_id")
    private String sensorId;

    /**
     * 温度
     */
    @FieldName("temper")
    private BigDecimal temper;

    /**
     * 所属位置
     */
    @FieldName("phase")
    private String phase;

    /**
     * 超出值
     */
    @FieldName("position")
    private String position;

    /**
     * 创建时间
     */
    @FieldName("create_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createTime;

    /**
     * 站点设备树ID
     */
    @FieldName("main_tree_id")
    private String mainTreeId;

    /**
     * 工作状态
     */
    @FieldName("run_state")
    private String runState;

    /**
     * 
     */
    @FieldName("modified_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime modifiedTime;
}