package com.huatek.busi.entity;

import java.io.Serializable;
import java.time.LocalDateTime;

import org.springframework.format.annotation.DateTimeFormat;

import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.annotation.Id;
import com.huatek.torch.sql.annotation.TableName;
import com.huatek.torch.sql.beans.Pojo;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
  * @ClassName: ScheduleJob
  * @FullClassPath: com.huatek.busi.entity.ScheduleJob
  * @Description: 定时任务对象.
  * @author: Arno
  * @date: Jul 3, 2019 2:32:11 PM
  * @version: 1.0
  */

@Data
@EqualsAndHashCode(callSuper = false)
@TableName("schedule_job")
public class ScheduleJob extends Pojo implements Serializable {

	/** @Fields serialVersionUID : */
	private static final long serialVersionUID = -7527665979568928777L;



	/** @Fields jobId : 任务id */

	@FieldName("id")
	@Id(value = "id")
	private String id;

	/** @Fields beanName : bean名称 */
	@FieldName("bean_name")
	private String beanName;

	/** @Fields methodName :方法名 */
	@FieldName("method_name")
	private String methodName;

	/** @Fields params : 参数 */
	@FieldName("params")
	private String params;

	/** @Fields cronExpression : cron表达式 */
	@FieldName("cron_expression")
	private String cronExpression;

	/** @Fields status : 任务状态 0：正常 1：暂停 */
	@FieldName("status")
	private Integer status;

	/** @Fields remark : 备注 */
	@FieldName("remark")
	private String remark;

	/** @Fields createTime : 创建时间 */
	@FieldName("create_time")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private LocalDateTime createTime;

}
