package com.huatek.busi.entity;

import java.io.Serializable;
import java.time.LocalDateTime;



import org.springframework.format.annotation.DateTimeFormat;

import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.annotation.Id;
import com.huatek.torch.sql.annotation.TableName;
import com.huatek.torch.sql.beans.Pojo;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
  * @ClassName: ScheduleJobLogEntity
  * @FullClassPath: com.frame.job.enetity.ScheduleJobLogEntity
  * @Description:  定时执行日志
  * @author: Arno
  * @date: Feb 12, 2018 10:36:21 AM
  * @version: 1.0
  */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName( "schedule_job_log")
public class ScheduleJobLog extends Pojo implements Serializable  {
	

	/** @Fields serialVersionUID : */ 
	private static final long serialVersionUID = -9112707884092803352L;

	/** @Fields logId : 志id*/ 
	@FieldName("id")
	@Id(value = "id")
	private String id;
	
	/** @Fields jobId : 任务id*/ 
	@FieldName("job_id")
	private String jobId;
	
	/** @Fields beanName : bean名称*/ 
	@FieldName("bean_name")
	private String beanName;
	
	/** @Fields methodName :方法名*/ 
	@FieldName("method_name")
	private String methodName;
	
	/** @Fields params : 参数*/ 
	@FieldName("params")
	private String params;
	
	/** @Fields status : 任务状态    0：成功    1：失败*/ 
	@FieldName("status")
	private Integer status;
	
	
	/** @Fields error : 失败信息*/ 
	@FieldName("error")
	private String error;
	
	/** @Fields times : 耗时(单位：毫秒)*/ 
	@FieldName("times")
	private Integer times;
	
	/** @Fields createTime : 创建时间 */
	@FieldName("create_time")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private LocalDateTime createTime;

	
}
