package com.huatek.busi.entity;

import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.annotation.Id;
import com.huatek.torch.sql.annotation.TableName;
import com.huatek.torch.sql.beans.Pojo;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.time.LocalDateTime;

@Data
@TableName("x_sftp_connect_config")
public class SftpConnectConfig extends Pojo implements Serializable {

    @Id("id")
    @ApiModelProperty(value = "id", name = "唯一主键标识", required = true)
    private String id;

    @FieldName("host")
    @ApiModelProperty(value = "host", name = "主机IP")
    private String host;

    @FieldName("port")
    @ApiModelProperty(value = "port", name = "端口号")
    private Integer port;

    @FieldName("user_name")
    @ApiModelProperty(value = "userName", name = "用户名")
    private String userName;

    @FieldName("password")
    @ApiModelProperty(value = "password", name = "密码")
    private String password;

    @FieldName("http_port")
    @ApiModelProperty(value = "httpPort", name = "httpPort")
    private String httpPort;


    @FieldName("create_user")
    @ApiModelProperty(value = "createUser", name = "创建者")
    private String createUser;

    @FieldName("create_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "createTime", name = "创建时间")
    private LocalDateTime createTime;
}
