package com.huatek.busi.entity;

import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.annotation.Id;
import com.huatek.torch.sql.annotation.TableName;
import com.huatek.torch.sql.beans.Pojo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.time.LocalDateTime;

@Data
@EqualsAndHashCode(callSuper = false)
@TableName("x_simulate_result")
@ApiModel("仿真结果实体类信息")
public class SimulateResult extends Pojo implements Serializable {

    private static final long serialVersionUID = 1L;

    @Id("id")
    @ApiModelProperty(value = "id", name = "唯一主键标识", required = true)
    private String id;

    @FieldName("equipment_type")
    @ApiModelProperty(value = "equipmentType", name = "设备类型")
    private String equipmentType;

    @FieldName("p_id")
    @ApiModelProperty(value = "pId", name = "树形关联编号")
    private String pId;

    @FieldName("data_item_id")
    @ApiModelProperty(value = "dataItemId", name = "输入项编号")
    private String dataItemId;

    @FieldName("simulate_result_json")
    @ApiModelProperty(value = "simulateResultJson", name = "仿真结果json格式")
    private String simulateResultJson;

    @FieldName("file_path")
    @ApiModelProperty(value = "filePath", name = "文件路径")
    private String filePath;

    @FieldName("file_name")
    @ApiModelProperty(value = "fileName", name = "文件名")
    private String fileName;

    @FieldName("create_user")
    @ApiModelProperty(value = "createUser", name = "创建者")
    private String createUser;

    @FieldName("create_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "createTime", name = "创建时间")
    private LocalDateTime createTime;
}
