package com.huatek.busi.entity;

import java.io.Serializable;
import java.time.LocalDateTime;

import io.swagger.annotations.ApiModelProperty;
import org.springframework.format.annotation.DateTimeFormat;

import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.annotation.TableName;
import com.huatek.torch.sql.beans.Pojo;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 监测装置上传数据时间设置表 entity
 *
 * @author anker_cheng
 * @date Nov 12, 2019 1:22:22 PM
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("site_upload_cycle")
public class SiteUploadCycle extends Pojo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 
     */
    @FieldName("id")
    private String id;

    /**
     * 站点ID
     */
    @FieldName("site_id")
    private String siteId;

    // 公共
    /**
     * 除开关柜测温装置(2、5、10 、20、30，单位分钟)
     */
    @FieldName("totalcwzz")
    private String totalcwzz;

    /**
     * 局放装置
     */
    @FieldName("jfzz")
    private String jfzz;

    /**
     * 拍照装置(10、20、30、40、60，单位分钟)
     */
    @FieldName("pzzz")
    private String pzzz;



    // 变压器
    /**
     * 油色谱装置(2、4、6、8、12、24，单位小时)
     */
    @FieldName("yspzz")
    private String yspzz;

    /**
     * 变压器套管(2、5、10 、20、30，单位分钟)
     */
    @FieldName("byqtg")
    private String byqtg;

    /**
     * 变压器红外(10、20、30、40、60，单位分钟)
     */
    @FieldName("byqhw")
    private String byqhw;

    /**
     * 变压器气象(30、60、90 、120、180，单位分钟)
     */
    @FieldName("byqqx")
    private String byqqx;

    /**
     * 铁芯装置(2、5、10 、20、30，单位分钟)
     */
    @FieldName("txzz")
    private String txzz;

    /**
     * 夹件装置(2、5、10 、20、30，单位分钟)
     */
    @FieldName("jjzz")
    private String jjzz;

    /**
     * byqrzcw
     */
    @FieldName("byqrzcw")
    private String byqrzcw;



    // GIS
    /**
     * gis气象(30、60、90 、120、180，单位分钟)
     */
    @FieldName("gisqx")
    private String gisqx;

    /**
     * GIS红外
     */
    @FieldName("gishw")
    private String gishw;

    /**
     * SF6（温度，微水，压力）(5、10、20、30、60,单位分钟)
     */
    @FieldName("sf6")
    private String sf6;

    /**
     * sf6jczz(2、5、10 、20、30，单位分钟)
     */
    @FieldName("sf6jczz")
    private String sf6jczz;



    // 避雷器
    /**
     * 避雷器气象(30、60、90 、120、180，单位分钟)
     */
    @FieldName("blqqx")
    private String blqqx;

    /**
     * 避雷器红外(10、20、30、40、60，单位分钟)
     */
    @FieldName("blqhw")
    private String blqhw;

    /**
     * 避雷器容性(2、5、10 、20、30，单位分钟)
     */
    @FieldName("blqrx")
    private String blqrx;

    /**
     * 避雷器装置('10','20','30','40','60'，单位分钟)
     */
    @FieldName("blqzz")
    private String blqzz;


    // 开关柜
    /**
     * 开关柜测温装置(2、5、10 、20、30，单位分钟)
     */
    @FieldName("cwzz")
    private String cwzz;

    /**
     * 电缆红外(10、20、30、40、60，单位分钟)
     */
    @FieldName("dlhw")
    private String dlhw;

    /**
     * 电缆-电缆环流(10、20、30、40、60，单位分钟)
     */
    @FieldName("dldlhl")
    private String dldlhl;


    /**
     * 其他红外(10、20、30、40、60，单位分钟)
     */
    @FieldName("qthw")
    private String qthw;

    /**
     * 其他电缆环流(10、20、30、40、60，单位分钟)
     */
    @FieldName("qtdlhl")
    private String qtdlhl;


    /**
     * 发电机装置(10、20、30、40、60，单位分钟)
     */
    @FieldName("fdjzz")
    private String fdjzz;

    /**
     * 创建时间
     */
    @FieldName("create_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createTime;

    /**
     * 创建用户ID
     */
    @FieldName("create_user")
    private String createUser;

    /**
     * 创建用户姓名
     */
    @FieldName("create_name")
    private String createName;
}