package com.huatek.busi.entity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDate;
import java.time.LocalDateTime;

import org.springframework.format.annotation.DateTimeFormat;

import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.annotation.TableName;
import com.huatek.torch.sql.beans.Pojo;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * GIS微气象日统计 entity
 *
 * @author anker_cheng
 * @date Oct 24, 2019 8:26:08 PM
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("substation_mic_gis")
public class SubstationMicGis extends Pojo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 
     */
    @FieldName("id")
    private String id;

    /**
     * 站点id
     */
    @FieldName("site_id")
    private String siteId;

    /**
     * 主设备ID
     */
    @FieldName("main_equipment_id")
    private String mainEquipmentId;

    /**
     * 站点设备树ID
     */
    @FieldName("main_tree_id")
    private String mainTreeId;

    /**
     * 统计时间
     */
    @FieldName("d_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private LocalDate dTime;

    /**
     * 气温(℃)
     */
    @FieldName("air_temperature")
    private BigDecimal airTemperature;

    /**
     * 气压
     */
    @FieldName("air_pressure")
    private BigDecimal airPressure;

    /**
     * 湿度
     */
    @FieldName("humidity")
    private BigDecimal humidity;

    /**
     * 负荷率
     */
    @FieldName("load_rate")
    private BigDecimal loadRate;

    /**
     * 创建时间
     */
    @FieldName("created_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createdTime;
}