package com.huatek.busi.entity;

import java.io.Serializable;
import java.time.LocalDate;
import java.time.LocalDateTime;

import org.springframework.format.annotation.DateTimeFormat;

import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.annotation.TableName;
import com.huatek.torch.sql.beans.Pojo;

import lombok.Data;
import lombok.EqualsAndHashCode;
/**
 * 温度日增长率统计
 * @author buck_guo
 * @date 2019/11/06
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("temper_increase_rate")
public class TemperIncreaseRate extends Pojo implements Serializable {

    /**
     *
     */
    private static final long serialVersionUID = 8339280759192928241L;

    @FieldName("id")
    private String id;

    @FieldName("site_id")
    private String siteId;

    /**
     * sensor编码
     */
    @FieldName("sensor_id")
    private String sensorId;

    /**
     * 站点设备树ID
     */
    @FieldName("main_tree_id")
    private String mainTreeId;

    /**
     * 外挂设备树ID
     */
    @FieldName("sub_tree_id")
    private String subTreeId;

    /**
     * 统计时间
     */
    @FieldName("d_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private LocalDate dTime;
 
    /**
     * 温度平均值
     */
    @FieldName("average_temper")
    private String averageTemper;

    /**
     * 日增长率
     */
    @FieldName("daily_growth_rate")
    private String dailyGrowthRate;
    /**
     * 增长率
     */
    @FieldName("monthly_growth_rate")
    private String monthlyGrowthRate;
    /**
     * 月平均温度
     */
    @FieldName("month_average_temper")
    private String monthAverageTemper;
    /**
     * 创建时间
     */
    @FieldName("create_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createTime;
    
    
}