package com.huatek.busi.entity;

import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.annotation.TableName;
import com.huatek.torch.sql.beans.Pojo;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * 首页标题表 entity
 *
 * @author mitchell ma
 * @date Jul 18, 2019 2:45:23 PM
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("title_name")
public class TitleName extends Pojo implements Serializable  {
    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @FieldName("id")
    private String id;
 

    /**
     * 预警信息
     */
    @FieldName("title_name")
    private String titleName;


    /**
     * 创建时间
     */
    @FieldName("create_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createTime;

    /**
     * 删除标识 0:正常 1：删除
     */
    @FieldName("deleted")
    private String deleted;

    /**
     * 修改时间
     */
    @FieldName("update_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime updateTime;

}