package com.huatek.busi.entity;

import java.io.Serializable;
import java.time.LocalDateTime;

import org.springframework.format.annotation.DateTimeFormat;

import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.annotation.TableName;
import com.huatek.torch.sql.beans.Pojo;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 变压器油色谱暂存数据（类型编码 ：021002） entity
 *
 * @author anker_cheng
 * @date Sep 26, 2019 4:42:40 PM
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("transformer_epa_data_cache")
public class TransformerEpaDataCache extends Pojo implements Serializable  {

    private static final long serialVersionUID = 1L;

    /**
     * 
     */
    @FieldName("id")
    private String id;

    /**
     * 监测时间 
     */
    @FieldName("d_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime dTime;

    /**
     * 被监测设备相别
     */
    @FieldName("phase")
    private String phase;

    /**
     * 氢气含量(μL/L)
     */
    @FieldName("h2")
    private String h2;

    /**
     * 甲烷含量(μL/L)
     */
    @FieldName("ch4")
    private String ch4;

    /**
     * 乙烷含量(μL/L)
     */
    @FieldName("c2h6")
    private String c2h6;

    /**
     * 乙烯含量(μL/L)
     */
    @FieldName("c2h4")
    private String c2h4;

    /**
     * 乙炔含量(μL/L)
     */
    @FieldName("c2h2")
    private String c2h2;

    /**
     * 一氧化碳含量(μL/L)
     */
    @FieldName("co")
    private String co;

    /**
     * 二氧化碳含量(μL/L)
     */
    @FieldName("co2")
    private String co2;

    /**
     * 氧气含量(μL/L)
     */
    @FieldName("o2")
    private String o2;

    /**
     * 水分含量(μL/L)
     */
    @FieldName("n2")
    private String n2;

    /**
     * 水分
     */
    @FieldName("h2o")
    private String h2o;

    /**
     * 温度（℃）
     */
    @FieldName("tmp")
    private String tmp;

    /**
     * 湿度（%）
     */
    @FieldName("dew")
    private String dew;

    /**
     * 微水（μL/L）
     */
    @FieldName("mst")
    private String mst;

    /**
     * 瓦斯继电器中故障气（μL/L）
     */
    @FieldName("flatgas")
    private String flatGas;

    /**
     * 总可燃气体（μL/L）
     */
    @FieldName("cmbugas")
    private String cmbuGas;

    /**
     * 总烃(μL/L)
     */
    @FieldName("total_hydrocarbon")
    private String totalHydrocarbon;

    /**
     * 载气状态（1：正常，2：异常）
     */
    @FieldName("gas_press_status")
    private String gasPressStatus;

    /**
     * CAC 唯一标识
     */
    @FieldName("cac_id")
    private String cacId;

    /**
     * 设备编码
     */
    @FieldName("sensor_id")
    private String sensorId;

    /**
     * 站点Id
     */
    @FieldName("site_id")
    private String siteId;

    /**
     * 被检测设备id(17 位设备编码CAC同步的数据)
     */
    @FieldName("equipment_id")
    private String equipmentId;

    /**
     * 外挂设备ID
     */
    @FieldName("sub_equipment_id")
    private String subEquipmentId;

    /**
     * 主设备ID
     */
    @FieldName("main_equipment_id")
    private String mainEquipmentId;

    /**
     * 站点设备树ID
     */
    @FieldName("main_tree_id")
    private String mainTreeId;

    /**
     * 外挂设备树ID
     */
    @FieldName("sub_tree_id")
    private String subTreeId;
}