package com.huatek.busi.entity;

import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.annotation.Id;
import com.huatek.torch.sql.annotation.TableName;
import com.huatek.torch.sql.beans.Pojo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.time.LocalDateTime;

@Data
@EqualsAndHashCode(callSuper = false)
@TableName("x_transformer_epa_offline_data")
@ApiModel("油色谱离线数据")
public class TransformerEpaOfflineData extends Pojo implements Serializable {

    private static final long serialVersionUID = 1L;

    @Id("id")
    @ApiModelProperty(value = "id", name = "唯一主键标识", required = true)
    private String id;

    @FieldName("main_equipment_id")
    @ApiModelProperty(value = "mainEquipmentId", name = "主设备编号")
    private String mainEquipmentId;

    @FieldName("h2")
    @ApiModelProperty(value = "h2", name = "h2")
    private String h2;

    @FieldName("ch4")
    @ApiModelProperty(value = "ch4", name = "ch4")
    private String ch4;

    @FieldName("c2h2")
    @ApiModelProperty(value = "c2h2", name = "c2h2")
    private String c2h2;

    @FieldName("c2h4")
    @ApiModelProperty(value = "c2h4", name = "c2h4")
    private String c2h4;

    @FieldName("c2h6")
    @ApiModelProperty(value = "c2h6", name = "c2h6")
    private String c2h6;

    @FieldName("co")
    @ApiModelProperty(value = "co", name = "co")
    private String co;

    @FieldName("co2")
    @ApiModelProperty(value = "co2", name = "co2")
    private String co2;

    @FieldName("total_hydrocarbon")
    @ApiModelProperty(value = "zt", name = "zt")
    private String zt;

    @FieldName("create_user")
    @ApiModelProperty(value = "createUser", name = "创建者")
    private String createUser;

    @FieldName("create_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "createTime", name = "创建时间")
    private LocalDateTime createTime;
}
