package com.huatek.busi.entity;

import java.io.Serializable;
import java.time.LocalDateTime;

import org.springframework.format.annotation.DateTimeFormat;

import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.annotation.TableName;
import com.huatek.torch.sql.beans.Pojo;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 变压器铁芯接地电流暂存数据(类型编码 ：021004) entity
 *
 * @author anker_cheng
 * @date Aug 2, 2019 3:24:22 PM
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("transformer_icge_cache")
public class TransformerIcgeCache extends Pojo implements Serializable  {

    private static final long serialVersionUID = 1L;

    /**
     * 
     */
    @FieldName("id")
    private String id;

    /**
     * 监测时间 
     */
    @FieldName("d_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime dTime;

    /**
     * 被监测设备相别
     */
    @FieldName("phase")
    private String phase;

    /**
     * 夹件电流
     */
    @FieldName("clamp")
    private String clamp;

    /**
     * 铁芯全电流(mA)
     */
    @FieldName("total_core_current")
    private String totalCoreCurrent;

    /**
     * 传感器设备编码
     */
    @FieldName("sensor_id")
    private String sensorId;

    /**
     * 站点Id
     */
    @FieldName("site_id")
    private String siteId;

    /**
     * 设备
     */
    @FieldName("main_tree_id")
    private String mainTreeId;

    /**
     * 设备
     */
    @FieldName("sub_tree_id")
    private String subTreeId;

    /**
     * 类别: 1铁芯；2夹件
     */
    @FieldName("type")
    private String type;
    
    /**
     * 运行状态
     */
    @FieldName("run_status")
    private String runStatus;
    
    /**
     * 报警值
     */
    @FieldName("warning_value")
    private String warningValue;
}