package com.huatek.busi.entity;

import java.io.Serializable;
import java.time.LocalDateTime;

import org.springframework.format.annotation.DateTimeFormat;

import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.annotation.TableName;
import com.huatek.torch.sql.beans.Pojo;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 变压器铁芯、夹件阈值表 entity
 *
 * @author anker_cheng
 * @date Aug 2, 2019 1:56:04 PM
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("transformer_icge_threshold")
public class TransformerIcgeThreshold extends Pojo implements Serializable  {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @FieldName("id")
    private String id;

    /**
     * 站点ID
     */
    @FieldName("site_id")
    private String siteId;

    /**
     * 站点设备树ID
     */
    @FieldName("main_tree_id")
    private String mainTreeId;

    /**
     * 传感器编码
     */
    @FieldName("sensor_code")
    private String sensorCode;

    /**
     * 设备运行状态：0-无  1-发电  2-抽水  3-空闲  
     */
    @FieldName("run_state")
    private String runState;

    /**
     * 铁芯电流阈值（mA）
     */
    @FieldName("tx_dl")
    private String txDl;

    /**
     * 夹件电流阈值（mA）
     */
    @FieldName("jj_dl")
    private String jjDl;

    /**
     * 铁芯绝对增长率（%）
     */
    @FieldName("tx_absolute_growth_rate")
    private String txAbsoluteGrowthRate;

    /**
     * 夹件绝对增长率（%）
     */
    @FieldName("jj_absolute_growth_rate")
    private String jjAbsoluteGrowthRate;

    /**
     * 铁芯精度指标（%）
     */
    @FieldName("tx_accuracy")
    private String txAccuracy;

    /**
     * 夹件精度指标（%）
     */
    @FieldName("jj_accuracy")
    private String jjAccuracy;

    /**
     * 铁芯预警值
     */
    @FieldName("tx_warning_val")
    private String txWarningVal;

    /**
     * 夹件预警值
     */
    @FieldName("jj_warning_val")
    private String jjWarningVal;

    /**
     * 创建时间
     */
    @FieldName("created_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createdTime;

    /**
     * 创建人ID
     */
    @FieldName("creator")
    private String creator;

    /**
     * 修改时间
     */
    @FieldName("modified_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime modifiedTime;

    /**
     * 修改人ID
     */
    @FieldName("modifier")
    private String modifier;
}