/**
 * 
 */
package com.huatek.busi.entity;

import java.io.Serializable;
import java.time.LocalDateTime;

import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.annotation.TableName;
import com.huatek.torch.sql.beans.Pojo;

import lombok.Data;
import lombok.EqualsAndHashCode;


/**
  * @ClassName: TransformerOfflineExperimentReport
  * @FullClassPath: com.huatek.busi.entity.TransformerOfflineExperimentReport
  * @Description: 变压器例行试验
  * @author: Arno
  * @date: Aug 28, 2019 4:30:37 PM
  * @version: 1.0
  */

@Data
@EqualsAndHashCode(callSuper = false)
@TableName("transformer_offline_experiment_report")
public class TransformerOfflineExperimentReport extends Pojo implements Serializable {

	/** @Fields serialVersionUID : */
	private static final long serialVersionUID = 7552789250355671264L;

	/**
	 * 主键
	 */
	@FieldName("id")
	private String id;

	/** @Fields transformerId : 变压器设备ID*/ 
	@FieldName("transformer_id")
	private String transformerId;
	
	/** @Fields mainEquipmentId : 站点树id*/ 
	@FieldName("main_tree_id")
	private String mainTreeId;
	

	/** @Fields windingBushingDCResistance :测量绕组连同套管的直流电阻*/ 
	@FieldName("winding_bushing_dc_resistance")
	private String windingBushingDCResistance;

	/** @Fields WindingIronCoreIsulationResistance : 测量绕组及铁芯的绝缘电阻*/ 
	@FieldName("windingiron_core_Isulation_resistance")
	private String WindingIronCoreIsulationResistance;

	/** @Fields windingBushLossTangent : 测量绕组连同套管的介质损耗角正切值*/ 
	@FieldName("winding_bushLoss_tangent")
	private String windingBushLossTangent;

	/** @Fields bushLossTangent : 测量套管的介质损耗角正切值*/ 
	@FieldName("bush_loss_tangent")
	private String bushLossTangent;

	/** @Fields windingBushingDCLeakageCurrent :测量绕组连同套管的直流泄露电流 */ 
	@FieldName("winding_bushing_dc_leakage_current")
	private String windingBushingDCLeakageCurrent;

	/** @Fields windingResistance : 绕组电阻测量*/ 
	@FieldName("winding_resistance")
	private String windingResistance;

	/** @Fields windingInsulationResistanceAndCapacitanceDielectricLoss : 绕组对地绝缘电阻和绝缘系统电容和介质损耗测量*/ 
	@FieldName("winding_insulation_resistance_and_capacitance_dielectric_loss")
	private String windingInsulationResistanceAndCapacitanceDielectricLoss;

	/** @Fields bushingCapacitanceMediumLoss : 套管电容和介质损耗测量*/ 
	@FieldName("bushing_capacitance_medium_loss")
	private String bushingCapacitanceMediumLoss;

	/** @Fields noloadCurrentAndNoloadLoss :空载电流和空载损耗测量 */ 
	@FieldName("noload_current_and_noload_loss")
	private String noloadCurrentAndNoloadLoss;

	/** @Fields lowVoltageNoLoad : 低电压下空载测量*/ 
	@FieldName("low_voltage_noload")
	private String lowVoltageNoLoad;

	/** @Fields excitationCharacteristict :励磁特性测量 */ 
	@FieldName("excitation_characteristict")
	private String excitationCharacteristict;

	/** @Fields shortCircuitImpedanceLoadLoss :短路阻抗和负载损耗量（t=75℃）例行 */ 
	@FieldName("short_circuit_impedance_load_loss")
	private String shortCircuitImpedanceLoadLoss;

	/** @Fields sealingTest :密封试验 */ 
	@FieldName("sealing_test")
	private String sealingTest;

	/** @Fields soundLevelMeasurement :声级测定 */ 
	@FieldName("sound_level_measurement")
	private String soundLevelMeasurement;

	/** @Fields temperatureRiseTest : 温升试验（型式）*/ 
	@FieldName("temperature_rise_test")
	private String temperatureRiseTest;

	/** @Fields insulationOilTest : 绝缘油试验*/ 
	@FieldName("insulation_oilt_test")
	private String insulationOilTest;

	/** @Fields cardboardTest : 纸板聚合度试验*/ 
	@FieldName("cardboard_test")
	private String cardboardTest;

	/** @Fields furfuralTest : 糠醛试验*/ 
	@FieldName("furfura_test")
	private String furfuralTest;
	
	@FieldName("create_user")
	private String createUser;
	
	@FieldName("create_name")
	private String createName;
	
	@FieldName("create_time")
	private LocalDateTime createTime;
	
	@FieldName("modified_name")
	private String modifiedName;
	
	@FieldName("modified_user")
	private String modifiedUser;
	
	@FieldName("modified_time")
	private LocalDateTime modifiedTime;

	@FieldName("test_time")
	private LocalDateTime testTime;
	
	 /**
     * 状态：1- 正常 2-删除
     */
    @FieldName("status")
    private String status;

}
