package com.huatek.busi.entity;

import java.io.Serializable;
import java.time.LocalDateTime;

import org.springframework.format.annotation.DateTimeFormat;

import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.annotation.TableName;
import com.huatek.torch.sql.beans.Pojo;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 变压器油色谱阈值表 entity
 *
 * @author anker_cheng
 * @date Aug 5, 2019 5:29:16 PM
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("transformer_oil_threshold")
public class TransformerOilThreshold extends Pojo implements Serializable  {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @FieldName("id")
    private String id;
    
    
    /**
     * 传感器ID
     */
    @FieldName("sensor_code")
    private String sensorCode;
    

    /**
     * H2阈值
     */
    @FieldName("h2_threshold")
    private String h2Threshold;

    /**
     * H2预警值
     */
    @FieldName("h2_warning")
    private String h2Warning;

    /**
     * H2绝对增长率
     */
    @FieldName("h2_absolute_rate")
    private String h2AbsoluteRate;

    /**
     * H2相对增长率
     */
    @FieldName("h2_relative_rate")
    private String h2RelativeRate;

    /**
     * H2精度指标
     */
    @FieldName("h2_accuracy")
    private String h2Accuracy;

    /**
     * CO阈值
     */
    @FieldName("co_threshold")
    private String coThreshold;

    /**
     * CO预警值
     */
    @FieldName("co_warning")
    private String coWarning;

    /**
     * CO绝对增长率
     */
    @FieldName("co_absolute_rate")
    private String coAbsoluteRate;

    /**
     * CO相对增长率
     */
    @FieldName("co_relative_rate")
    private String coRelativeRate;

    /**
     * CO精度指标
     */
    @FieldName("co_accuracy")
    private String coAccuracy;

    /**
     * CO2阈值
     */
    @FieldName("co2_threshold")
    private String co2Threshold;

    /**
     * CO2预警值
     */
    @FieldName("co2_warning")
    private String co2Warning;

    /**
     * CO2绝对增长率
     */
    @FieldName("co2_absolute_rate")
    private String co2AbsoluteRate;

    /**
     * CO2相对增长率
     */
    @FieldName("co2_relative_rate")
    private String co2RelativeRate;

    /**
     * CO2精度指标
     */
    @FieldName("co2_accuracy")
    private String co2Accuracy;

    /**
     * CH4阈值
     */
    @FieldName("ch4_threshold")
    private String ch4Threshold;

    /**
     * CH4预警值
     */
    @FieldName("ch4_warning")
    private String ch4Warning;

    /**
     * CH4绝对增长率
     */
    @FieldName("ch4_absolute_rate")
    private String ch4AbsoluteRate;

    /**
     * CH4相对增长率
     */
    @FieldName("ch4_relative_rate")
    private String ch4RelativeRate;

    /**
     * CH4精度指标
     */
    @FieldName("ch4_accuracy")
    private String ch4Accuracy;

    /**
     * C2H6阈值
     */
    @FieldName("c2h6_threshold")
    private String c2h6Threshold;

    /**
     * C2H6预警值
     */
    @FieldName("c2h6_warning")
    private String c2h6Warning;

    /**
     * C2H6绝对增长率
     */
    @FieldName("c2h6_absolute_rate")
    private String c2h6AbsoluteRate;

    /**
     * C2H6相对增长率
     */
    @FieldName("c2h6_relative_rate")
    private String c2h6RelativeRate;

    /**
     * C2H6精度指标
     */
    @FieldName("c2h6_accuracy")
    private String c2h6Accuracy;

    /**
     * C2H4阈值
     */
    @FieldName("c2h4_threshold")
    private String c2h4Threshold;

    /**
     * C2H4预警值
     */
    @FieldName("c2h4_warning")
    private String c2h4Warning;

    /**
     * C2H4绝对增长率
     */
    @FieldName("c2h4_absolute_rate")
    private String c2h4AbsoluteRate;

    /**
     * C2H4相对增长率
     */
    @FieldName("c2h4_relative_rate")
    private String c2h4RelativeRate;

    /**
     * C2H4精度指标
     */
    @FieldName("c2h4_accuracy")
    private String c2h4Accuracy;

    /**
     * C2H2阈值
     */
    @FieldName("c2h2_threshold")
    private String c2h2Threshold;

    /**
     * C2H2预警值
     */
    @FieldName("c2h2_warning")
    private String c2h2Warning;

    /**
     * C2H2绝对增长率
     */
    @FieldName("c2h2_absolute_rate")
    private String c2h2AbsoluteRate;

    /**
     * C2H2相对增长率
     */
    @FieldName("c2h2_relative_rate")
    private String c2h2RelativeRate;

    /**
     * C2H2精度指标
     */
    @FieldName("c2h2_accuracy")
    private String c2h2Accuracy;

    /**
     * H2O阈值
     */
    @FieldName("h2o_threshold")
    private String h2oThreshold;

    /**
     * H2O预警值
     */
    @FieldName("h2o_warning")
    private String h2oWarning;

    /**
     * H2O绝对增长率
     */
    @FieldName("h2o_absolute_rate")
    private String h2oAbsoluteRate;

    /**
     * H2O相对增长率
     */
    @FieldName("h2o_relative_rate")
    private String h2oRelativeRate;

    /**
     * H2O精度指标
     */
    @FieldName("h2o_accuracy")
    private String h2oAccuracy;

    /**
     * O2阈值
     */
    @FieldName("o2_threshold")
    private String o2Threshold;

    /**
     * O2预警值
     */
    @FieldName("o2_warning")
    private String o2Warning;

    /**
     * O2绝对增长率
     */
    @FieldName("o2_absolute_rate")
    private String o2AbsoluteRate;

    /**
     * O2相对增长率
     */
    @FieldName("o2_relative_rate")
    private String o2RelativeRate;

    /**
     * O2精度指标
     */
    @FieldName("o2_accuracy")
    private String o2Accuracy;

    /**
     * 温度阈值
     */
    @FieldName("tmp_threshold")
    private String tmpThreshold;

    /**
     * 温度预警值
     */
    @FieldName("tmp_warning")
    private String tmpWarning;

    /**
     * 温度绝对增长率
     */
    @FieldName("tmp_absolute_rate")
    private String tmpAbsoluteRate;

    /**
     * 温度相对增长率
     */
    @FieldName("tmp_relative_rate")
    private String tmpRelativeRate;

    /**
     * 温度精度指标
     */
    @FieldName("tmp_accuracy")
    private String tmpAccuracy;

    /**
     * 湿度阈值
     */
    @FieldName("dew_threshold")
    private String dewThreshold;

    /**
     * 湿度预警值
     */
    @FieldName("dew_warning")
    private String dewWarning;

    /**
     * 湿度绝对增长率
     */
    @FieldName("dew_absolute_rate")
    private String dewAbsoluteRate;

    /**
     * 湿度相对增长率
     */
    @FieldName("dew_relative_rate")
    private String dewRelativeRate;

    /**
     * 湿度精度指标
     */
    @FieldName("dew_accuracy")
    private String dewAccuracy;

    /**
     * 微水阈值
     */
    @FieldName("mst_threshold")
    private String mstThreshold;

    /**
     * 微水预警值
     */
    @FieldName("mst_warning")
    private String mstWarning;

    /**
     * 微水绝对增长率
     */
    @FieldName("mst_absolute_rate")
    private String mstAbsoluteRate;

    /**
     * 微水相对增长率
     */
    @FieldName("mst_relative_rate")
    private String mstRelativeRate;

    /**
     * 微水精度指标
     */
    @FieldName("mst_accuracy")
    private String mstAccuracy;

    /**
     * 瓦斯继电器中故障气阈值
     */
    @FieldName("flatgas_threshold")
    private String flatGasThreshold;

    /**
     * 瓦斯继电器中故障气预警值
     */
    @FieldName("flatgas_warning")
    private String flatGasWarning;

    /**
     * 瓦斯继电器中故障气绝对增长率
     */
    @FieldName("flatgas_absolute_rate")
    private String flatGasAbsoluteRate;

    /**
     * 瓦斯继电器中故障气相对增长率
     */
    @FieldName("flatgas_relative_rate")
    private String flatGasRelativeRate;

    /**
     * 瓦斯继电器中故障气精度指标
     */
    @FieldName("flatgas_accuracy")
    private String flatGasAccuracy;

    /**
     * 总可燃气体阈值
     */
    @FieldName("cmbugas_threshold")
    private String cmbuGasThreshold;

    /**
     * 总可燃气体预警值
     */
    @FieldName("cmbugas_warning")
    private String cmbuGasWarning;

    /**
     * 总可燃气体绝对增长率
     */
    @FieldName("cmbugas_absolute_rate")
    private String cmbuGasAbsoluteRate;

    /**
     * 总可燃气体相对增长率
     */
    @FieldName("cmbugas_relative_rate")
    private String cmbuGasRelativeRate;

    /**
     * 总可燃气体精度指标
     */
    @FieldName("cmbugas_accuracy")
    private String cmbuGasAccuracy;

    /**
     * N2阈值
     */
    @FieldName("n2_threshold")
    private String n2Threshold;

    /**
     * N2预警值
     */
    @FieldName("n2_warning")
    private String n2Warning;

    /**
     * N2绝对增长率
     */
    @FieldName("n2_absolute_rate")
    private String n2AbsoluteRate;

    /**
     * N2相对增长率
     */
    @FieldName("n2_relative_rate")
    private String n2RelativeRate;

    /**
     * N2精度指标
     */
    @FieldName("n2_accuracy")
    private String n2Accuracy;

    /**
     * 总烃阈值
     */
    @FieldName("total_hydrocarbon_threshold")
    private String totalHydrocarbonThreshold;

    /**
     * 总烃预警值
     */
    @FieldName("total_hydrocarbon_warning")
    private String totalHydrocarbonWarning;

    /**
     * 总烃绝对增长率
     */
    @FieldName("total_hydrocarbon_absolute_rate")
    private String totalHydrocarbonAbsoluteRate;

    /**
     * 总烃相对增长率
     */
    @FieldName("total_hydrocarbon_relative_rate")
    private String totalHydrocarbonRelativeRate;

    /**
     * 总烃精度指标
     */
    @FieldName("total_hydrocarbon_accuracy")
    private String totalHydrocarbonAccuracy;

    /**
     * 创建时间
     */
    @FieldName("created_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createdTime;

    /**
     * 创建人ID
     */
    @FieldName("creator")
    private String creator;

    /**
     * 修改时间
     */
    @FieldName("modified_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime modifiedTime;

    /**
     * 修改人ID
     */
    @FieldName("modifier")
    private String modifier;
}