package com.huatek.busi.entity;

import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.annotation.Id;
import com.huatek.torch.sql.annotation.TableName;
import com.huatek.torch.sql.beans.Pojo;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.time.LocalDateTime;

@Data
@EqualsAndHashCode(callSuper = false)
@TableName("x_transformer_operate_data")
public class TransformerOperateData extends Pojo implements Serializable {

    private static final long serialVersionUID = 1L;

    @Id("id")
    @ApiModelProperty(value = "id", name = "唯一主键标识", required = true)
    private String id;

    @FieldName("init_date")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "initDate", name = "初始时间")
    private LocalDateTime initDate;

    @FieldName("date_num")
    @ApiModelProperty(value = "dateNum", name = "日期数字")
    private Long dateNum;

    @FieldName("data_point")
    @ApiModelProperty(value = "dataPoint", name = "每天生成数据点")
    private Integer dataPoint;

    @FieldName("total_data_point")
    @ApiModelProperty(value = "totalDataPoint", name = "期望生成总点数")
    private Integer totalDataPoint;

    @FieldName("output_result")
    @ApiModelProperty(value = "outputResult", name = "输出结果")
    private String outputResult;

    @FieldName("create_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "createTime", name = "创建时间")
    private LocalDateTime createTime;
}
