package com.huatek.busi.entity;

import java.io.Serializable;
import java.time.LocalDateTime;

import org.springframework.format.annotation.DateTimeFormat;

import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.annotation.TableName;
import com.huatek.torch.sql.beans.Pojo;

import lombok.Data;
import lombok.EqualsAndHashCode;

@Data
@EqualsAndHashCode(callSuper = false)
@TableName("transformer_read_table")
public class TransformerReadTable extends Pojo implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 
     */
    @FieldName("id")
    private String id;

    /**
     * 站点id
     */
    @FieldName("site_id")
    private String siteId;

    /**
     * 设备编码
     */
    @FieldName("main_tree_id")
    private String mainTreeId;

    /**
     * sensor_code
     */
    @FieldName("sensor_code")
    private String sensorCode;

    /**
     * 检测时间
     */
    @FieldName("d_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime dTime;

    /**
     * 油温
     */
    @FieldName("oil_temperature")
    private String oilTemperature;

    /**
     * 油位
     */
    @FieldName("oil_position")
    private String oilPosition;
    
    /**
     * 图片存储路径
     */
    @FieldName("picpath")
    private String picpath;
}