package com.huatek.busi.vo;

import com.huatek.busi.entity.AssessInputData;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.List;

/**
 * 避雷器-绝缘监测-阈值表：023001 Vo
 *
 * @author anker_cheng
 * @date Aug 5, 2019 5:29:37 PM
 */
@ApiModel(value = "AssessInputDataVo", description = "x_assess_input_data Vo")
@Data
@EqualsAndHashCode(callSuper = false)
public class AssessInputDataVo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @ApiModelProperty(name = "id", value = "主键ID")
    private String id;

    /**
     * 部件（1：本体，2：弹簧机构，3：液压弹簧机构:4：并联电容器，5：合闸电阻）
     */
    @ApiModelProperty(name = "type", value = "部件（1：本体，2：弹簧机构，3：液压弹簧机构:4：并联电容器，5：合闸电阻）")
    private String type;

    /**
     * 状态量
     */
    @ApiModelProperty(name = "name", value = "状态量")
    private String name;

    /**
     * 状态量id
     */
    @ApiModelProperty(name = "nameId", value = "状态量id")
    private String nameId;

    /**
     * 劣化程度
     */
    @ApiModelProperty(name = "status", value = "劣化程度")
    private String status;

    /**
     * 基本扣分
     */
    @ApiModelProperty(name = "basicValue", value = "基本扣分")
    private String basicValue;

    /**
     * 现场实际值
     */
    @ApiModelProperty(name = "realValue", value = "现场实际值")
    private String realValue;

    /**
     * 厂家要求值
     */
    @ApiModelProperty(name = "factoryValue", value = "厂家要求值")
    private String factoryValue;

    /**
     * 判断依据
     */
    @ApiModelProperty(name = "judgment", value = "判断依据")
    private List<AssessInputData> judgment;

    /**
     * 权重系数
     */
    @ApiModelProperty(name = "weight", value = "权重系数")
    private String weight;

    /**
     * 应扣分值
     */
    @ApiModelProperty(name = "value", value = "应扣分值")
    private String value;

    /**
     * 序号数
     */
    @ApiModelProperty(name = "num", value = "序号数")
    private String num;

    /**
     * 创建人ID
     */
    @ApiModelProperty(name = "createUser", value = "创建人ID")
    private String createUser;

    /**
     * 创建时间
     */
    @ApiModelProperty(name = "createTime", value = "创建时间")
    private LocalDateTime createTime;

}
