package com.huatek.busi.vo;

import java.io.Serializable;
import java.time.LocalDateTime;

import io.swagger.annotations.ApiModel;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * 避雷器监测装置sersorid表 Vo
 *
 * @author edward_luo
 * @date 2019-7-8 18:02:13
 */
@ApiModel(value = "BusiArresterSensorVo", description = "避雷器监测装置sersorid")
@Data
@EqualsAndHashCode(callSuper = false)
public class BusiArresterSensorVo implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 主键ID
     */
    private String id;
    /**
     * 传感器系统编码
     */
    private String sensorCode;
    /**
     * 传感器设备编码
     */
    private String sensorDeviceCode;
    /**
     * 类别状态 1-正常 ， 2-删除
     */
    private String status;
    /**
     * 安装位置   0：全相  1:A相  2:B 相   3:C相
     */
    private String position;
    /**
     * 安装位置描述
     */
    private String positionDes;
    /**
     * 外挂设备id
     */
    private String equipmentId;
    /**
     *  011：绝缘设备  
 021：红外套管设备
 031：容性设备设备
 041：气象装置设备  
 051： 图片数据设备 
     */
    private String equipmentType;
    /**
     * 站点id
     */
    private String siteId;
    /**
     * 创建时间
     */
    private LocalDateTime createTime;
}