package com.huatek.busi.vo;

import java.io.Serializable;
import java.util.Map;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@ApiModel(value = "BusiHomeInfoVo", description = "首页外挂设备详情VO")
@Data
public class BusiHomeInfoVo implements Serializable {
    /** @Fields serialVersionUID : */
    private static final long serialVersionUID = 4756249946899489493L;

    /** @Fields mainTreeId : 站点树ID */
    @ApiModelProperty(name = "mainTreeId", value = "站点设备树ID")
    private String mainTreeId;

    /** @Fields subTreeId : 外挂设备树ID */
    @ApiModelProperty(name = "subTreeId", value = "外挂设备树ID")
    private String subTreeId;

    /** @Fields equipmentId : 外挂设备ID */
    @ApiModelProperty(name = "subEquipmentId", value = "外挂设备ID")
    private String subEquipmentId;

    @ApiModelProperty(name = "mainTreeName", value = "主设备名称")
    public String mainTreeName;

    @ApiModelProperty(name = "subTreeName", value = "外挂设备名称")
    public String subTreeName;

    @ApiModelProperty(name = "sensorCode", value = "sensorCode")
    public String sensorCode;

    @ApiModelProperty(name = "sensorName", value = "sensorName")
    public String sensorName;

//    /** @Fields accuracy : 精度指标 */
//    @ApiModelProperty(name = "accuracy", value = "精度指标")
//    private String accuracy;
//
//    /** @Fields stability : 稳定性 */
//    @ApiModelProperty(name = "stabilityList", value = "稳定性")
//    private Map<String, Object> stabilityMap;
//
//    /** @Fields lossRate :缺失率 */
//    @ApiModelProperty(name = "lossRate", value = "缺失率")
//    private String lossRate;
//
//    /** @Fields falseAlarmRate :误报率 */
//    @ApiModelProperty(name = "falseAlarmRate", value = "误报率")
//    private String falseAlarmRate;
//
//    /** @Fields manufactor : 生成厂家 */
//    @ApiModelProperty(name = "manufactor", value = "生产厂家")
//    private String manufactor;
//
//    /** @Fields createTime :设备投运时间 */
//    @ApiModelProperty(name = "useDate", value = "设备投运时间")
//    @DateTimeFormat(pattern = "yyyy-MM-dd")
//    private LocalDate useDate;
//
//    /** @Fields repairCount : 维修次数 */
//    @ApiModelProperty(name = "repairCount", value = "维修次数")
//    private Integer repairCount;

    @ApiModelProperty(name = "online", value = "在线状态：1--在线； 0--离线")
    private String online;

//    @ApiModelProperty(name = "showAttrs", value = "显示的考评指标")
//    private List<String> showAttrs;

    @ApiModelProperty(name = "indicatorsMap", value = "考核指标列表和考核指标对应的值")
    private Map<String, Map<String, Object>> indicatorsMap;
}
