package com.huatek.busi.vo;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.util.Date;

import com.huatek.torch.sql.annotation.FieldName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

/**
 * 避雷器标牌信息表 Vo
 *
 * @author anker_cheng
 * @date Jul 17, 2019 4:46:15 PM
 */
@ApiModel(value = "BusiOfflineArresterBrandVo", description = "避雷器标牌信息表 Vo")
@Data
@EqualsAndHashCode(callSuper = false)
public class BusiOfflineArresterBrandVo implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 主键ID
     */
    @ApiModelProperty(name = "id", value = "主键ID")
    private String id;

    /**
     * 站点Id
     */
    @ApiModelProperty(name = "siteId", value = "站点Id")
    private String siteId;

    /**
     * 主设备ID
     */
    @ApiModelProperty(name = "mainEquipmentId", value = "主设备ID")
    private String mainEquipmentId;

    /**
     * 产品名称
     */
    @ApiModelProperty(name = "arresterName", value = "产品名称")
    private String arresterName;

    /**
     * 产品型号
     */
    @ApiModelProperty(name = "arresterModel", value = "产品型号")
    private String arresterModel;

    /**
     * 设备编号
     */
    @ApiModelProperty(name = "equipmentCode", value = "设备编号")
    private String equipmentCode;

    /**
     * 站点设备编号
     */
    @ApiModelProperty(name = "siteCode", value = "站点设备编号")
    private String siteCode;

    /**
     * 标称放电电流(kA)
     */
    @ApiModelProperty(name = "dischargeCurrent", value = "标称放电电流(kA)")
    private String dischargeCurrent;

    /**
     * 持续运行电压(kV)
     */
    @ApiModelProperty(name = "runningVoltage", value = "持续运行电压(kV)")
    private String runningVoltage;

    /**
     * 直流1mA参考电压不小于(kV)
     */
    @ApiModelProperty(name = "executiveStandard", value = "直流1mA参考电压不小于(kV)")
    private String executiveStandard;

    /**
     * 额定电压(kV)
     */
    @ApiModelProperty(name = "nominalVoltage", value = "额定电压(kV)")
    private String nominalVoltage;

    /**
     * 制造批号
     */
    @ApiModelProperty(name = "batchNumber", value = "制造批号")
    private String batchNumber;

    /**
     * 创建人ID
     */
    @ApiModelProperty(name = "createUser", value = "创建人ID")
    private String createUser;


    /**
     * 绝缘电阻（MΩ)）
     */
    @ApiModelProperty(name = "insulationResistance", value = "绝缘电阻（MΩ)）")
    private BigDecimal insulationResistance;
    /**
     * 设备投运时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date transportTime;

    /**
     * 创建时间
     */
    @ApiModelProperty(name = "createTime", value = "创建时间")
    private LocalDateTime createTime;

    /**
     * 状态：A:可用 D:不可用
     */
    @ApiModelProperty(name = "status", value = "状态：A:可用   D:不可用")
    private String status;

}