package com.huatek.busi.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.time.LocalDate;
import java.time.LocalDateTime;

/**
 * 发电机标牌信息表 Vo
 *
 * @author mitchell_ma
 * @date
 */
@ApiModel(value = "BusiOffllineGeneratorBrandVo", description = "发电机标牌信息表 Vo")
@Data
@EqualsAndHashCode(callSuper = false)
public class BusiOfflineGeneratorBrandVo implements Serializable {


    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "id", value = "主键ID")
    private String id;

    @ApiModelProperty(name = "siteId", value = "站点Id")
    private String siteId;

    @ApiModelProperty(name = "manufacturer", value = "厂家")
    private String manufacturer;

    @ApiModelProperty(name = "mainEquipmentId", value = "主设备ID")
    private String mainEquipmentId;

    @ApiModelProperty(name = "factory_time", value = "出场年月")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime factoryTime;

    @ApiModelProperty(name = "design_life", value = "设计寿命")
    private String designLife;

    @ApiModelProperty(name = "cableName", value = "产品名称")
    private String generatorName;

    @ApiModelProperty(name = "cableModel", value = "产品型号")
    private String generatorModel;

    @ApiModelProperty(name = "equipmentCode", value = "设备编号")
    private String equipmentCode;

    @ApiModelProperty(name = "createUser", value = "创建人ID")
    private String createUser;

    @ApiModelProperty(name = "createTime", value = "创建时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createTime;


    @ApiModelProperty(name = "equipment_delivery_time", value = "创建时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime equipmentDeliveryTime;

    @ApiModelProperty(name = "updateUser", value = "更新者")
    private String updateUser;


    @ApiModelProperty(name = "equipment_model", value = "更新者")
    private String equipmentModel;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(name = "createTime", value = "更新时间")
    private LocalDateTime updateTime;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(name = "health_aassessment_start_time", value = "健康评估起始时间")
    private LocalDateTime healthAassessmentStartTime;

    /**
     * 站点设备编号
     */
    @ApiModelProperty(name = "siteCode", value = "站点设备编号")
    private String siteCode;

    @ApiModelProperty(name = "status", value = "状态：A:可用  D:不可用")
    private String status;

    @ApiModelProperty(name = "chartRadius", value = "绘制发电机摆度圆曲线参照的标准圆半径")
    private String chartRadius;
}
