package com.huatek.busi.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * GIS标牌信息表 Vo
 *
 * @author anker_cheng
 * @date Jul 17, 2019 4:46:15 PM
 */
@ApiModel(value = "BusiOffllineGisBrandVo", description = "GIS标牌信息表 Vo")
@Data
@EqualsAndHashCode(callSuper = false)
public class BusiOfflineGisBrandVo implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 主键ID
     */
    @ApiModelProperty(name = "id", value = "主键ID")
    private String id;

    /**
     * 站点Id
     */
    @ApiModelProperty(name = "siteId", value = "站点Id")
    private String siteId;

    /**
     * 站点Id
     */
    @ApiModelProperty(name = "parent_id", value = "父Id")
    private String parentId;


    /**
     * 主设备ID
     */
    @ApiModelProperty(name = "mainEquipmentId", value = "主设备ID")
    private String mainEquipmentId;

    /**
     * 开关名称
     */
    @ApiModelProperty(name = "gisName", value = "开关名称")
    private String gisName;

    /**
     * 系统设备编号
     */
    @ApiModelProperty(name = "equipmentCode", value = "系统设备编号")
    private String equipmentCode;

    /**
     * 站点设备编号
     */
    @ApiModelProperty(name = "siteCode", value = "站点设备编号")
    private String siteCode;

    /**
     * 制造厂家
     */
    @ApiModelProperty(name = "manufactor", value = "制造厂家")
    private String manufactor;

    /**
     * 额定电压(KV)
     */
    @ApiModelProperty(name = "nominalVoltage", value = "额定电压(KV)")
    private String nominalVoltage;

    /**
     * 额定电流(KA)
     */
    @ApiModelProperty(name = "ratedFrequency", value = "额定电流(KA)")
    private String ratedFrequency;

    /**
     * 额定断开电流KA)
     */
    @ApiModelProperty(name = "electricCurrent", value = "额定断开电流KA)")
    private String electricCurrent;

    /**
     * 额定断开次数
     */
    @ApiModelProperty(name = "breakTime", value = "额定断开次数")
    private String breakTime;

    /**
     * 健康评估起始时间
     */
    @ApiModelProperty(name = "evaluateTime", value = "健康评估起始时间")
    private LocalDateTime evaluateTime;

    /**
     * 设备投运时间
     */
    @ApiModelProperty(name = "transportTime", value = "设备投运时间")
    private LocalDateTime transportTime;

    /**
     * GIS资产价值（万元）
     */
    @ApiModelProperty(name = "assetValue", value = "GIS资产价值（万元）")
    private String assetValue;

    /**
     * 设备型号
     */
    @ApiModelProperty(name = "equipmentModel", value = "设备型号")
    private String equipmentModel;

    /**
     * 产品成熟度(套数）
     */
    @ApiModelProperty(name = "productMaturity", value = "产品成熟度(套数）")
    private String productMaturity;

    /**
     * 知名度知名度(一类厂家=1,2类厂家=0.95，,3类厂家=0.7，,类厂家=0.5）
     */
    @ApiModelProperty(name = "popularity", value = "知名度知名度(一类厂家=1,2类厂家=0.95，,3类厂家=0.7，,类厂家=0.5）")
    private String popularity;

    /**
     * 出厂年月
     */
    @ApiModelProperty(name = "factoryTime", value = "出厂年月")
    private LocalDateTime factoryTime;

    /**
     * 海拔;1——1000米以下，0.98——1000~2000米，0.80——2000~4000米，0.75——4000米以上
     */
    @ApiModelProperty(name = "yxEnvironment", value = "海拔;1——1000米以下，0.98——1000~2000米，0.80——2000~4000米，0.75——4000米以上")
    private String yxEnvironment;

    /**
     * 设计使用年限（年）
     */
    @ApiModelProperty(name = "serviceTime", value = "设计使用年限（年）")
    private String serviceTime;

    /**
     * 创建人ID
     */
    @ApiModelProperty(name = "createUser", value = "创建人ID")
    private String createUser;

    /**
     * 创建时间
     */
    @ApiModelProperty(name = "createTime", value = "创建时间")
    private LocalDateTime createTime;

    /**
     * 状态：A:可用 D:不可用
     */
    @ApiModelProperty(name = "status", value = "状态：A:可用   D:不可用")
    private String status;

    /**
     * gis类型
     */
    @ApiModelProperty(name = "gisType", value = "gis类型")
    private String gisType;
}