package com.huatek.busi.vo;

import java.io.Serializable;
import java.time.LocalDate;
import java.time.LocalDateTime;

import org.springframework.format.annotation.DateTimeFormat;

import com.huatek.torch.sql.beans.PageBean;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 变压器投运验收结论 Vo
 *
 * @author anker_cheng
 * @date Jul 4, 2019 2:00:15 PM
 */
@ApiModel(value = "BusiOfflineTransformerCheckVo", description = "变压器投运验收结论Vo", parent = PageBean.class)
@Data
@EqualsAndHashCode(callSuper = false)
public class BusiOfflineTransformerCheckVo implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 
     */
    @ApiModelProperty(name = "id", value = "主键ID")
    private String id;
    /**
     * 变压器设备ID
     */
    @ApiModelProperty(name = "equipmentId", value = "变压器ID")
    private String equipmentId;
    @ApiModelProperty(name = "equipmentName", value = "变压器名称")
    private String equipmentName;
    /**
     * 站点ID
     */
    @ApiModelProperty(name = "siteId", value = "站点ID")
    private String siteId;
    @ApiModelProperty(name = "siteName", value = "站点名称")
    private String siteName;
    /**
     * 绕组连同套管绝缘电阻测试结论:1-优秀、2-良好、3-一般、
     */
    @ApiModelProperty(name = "absoluteResistance", value = "绕组连同套管绝缘电阻测试结论", example = "1-优秀、2-良好、3-一般")
    private String absoluteResistance;
    /**
     * 绕组连同套管直流电阻测试结论1-优秀、2-良好、3-一般、
     */
    @ApiModelProperty(name = "dcResistance", value = "绕组连同套管直流电阻测试结", example = "1-优秀、2-良好、3-一般")
    private String dcResistance;
    /**
     * 分接开关电压比测试结论:1-正常、2-轻微问题
     */
    @ApiModelProperty(name = "switchVoltage", value = "分接开关电压比测试结论", example = "1-正常、2-轻微问题")
    private String switchVoltage;
    /**
     * 绕组连同套管介损及直流泄漏测试结论:1-正常、2-轻微问题
     */
    @ApiModelProperty(name = "leakTest", value = "绕组连同套管介损及直流泄漏测试结论", example = "1-正常、2-轻微问题")
    private String leakTest;
    /**
     * 绕组变形测试结论:1-正常、2-轻微问题
     */
    @ApiModelProperty(name = "deformationTest", value = "绕组变形测试结论", example = "1-正常、2-轻微问题")
    private String deformationTest;
    /**
     * 绕组连同套管耐压及局部放电测试结论:1-正常、2-轻微问题
     */
    @ApiModelProperty(name = "dischargeTest", value = "绕组连同套管耐压及局部放电测试结论", example = "1-正常、2-轻微问题")
    private String dischargeTest;
    /**
     * 绝缘油试验结论:1-正常、2-轻微问题
     */
    @ApiModelProperty(name = "insulatingOil", value = "绝缘油试验结论", example = "1-正常、2-轻微问题")
    private String insulatingOil;
    /**
     * 外观检查结论:1-正常、2-轻微问题
     */
    @ApiModelProperty(name = "appearanceTest", value = "外观检查结论", example = "1-正常、2-轻微问题")
    private String appearanceTest;
    /**
     * 二次回路绝缘检查结论:1-正常、2-轻微问题
     */
    @ApiModelProperty(name = "insulationTest", value = "二次回路绝缘检查结论", example = "1-正常、2-轻微问题")
    private String insulationTest;
    /**
     * 保护装置功能检查结论:1-正常、2-轻微问题
     */
    @ApiModelProperty(name = "functionCheck", value = "保护装置功能检查结论", example = "1-正常、2-轻微问题")
    private String functionCheck;
    /**
     * 失灵及其他关联回路检查结论1-正常、2-轻微问题
     */
    @ApiModelProperty(name = "associationCheck", value = "失灵及其他关联回路检查结论", example = "1-正常、2-轻微问题")
    private String associationCheck;
    /**
     * 主变本体及调压回路检查结论1-正常、2-轻微问题
     */
    @ApiModelProperty(name = "pressureCheck", value = "主变本体及调压回路检查结论", example = "1-正常、2-轻微问题")
    private String pressureCheck;
    /**
     * 端子紧固结论1-正常、2-轻微问题
     */
    @ApiModelProperty(name = "fastenCheck", value = "端子紧固结论", example = "1-正常、2-轻微问题")
    private String fastenCheck;
    /**
     * 并网检查结论1-正常、2-轻微问题
     */
    @ApiModelProperty(name = "gridCheck", value = "并网检查结论", example = "1-正常、2-轻微问题")
    private String gridCheck;
    /**
     * 变压器冷却器密封试验验收结论1-正常、2-轻微问题
     */
    @ApiModelProperty(name = "coolCheck", value = "变压器冷却器密封试验验收结论", example = "1-正常、2-轻微问题")
    private String coolCheck;
    /**
     * 变压器真空注油及密封试验验收结论1-正常、2-轻微问题
     */
    @ApiModelProperty(name = "vacuumCheck", value = "变压器真空注油及密封试验验收结论", example = "1-正常、2-轻微问题")
    private String vacuumCheck;
    /**
     * 箱柜基础检查验收结论1-正常、2-轻微问题
     */
    @ApiModelProperty(name = "basicCheck", value = "箱柜基础检查验收结论", example = "1-正常、2-轻微问题")
    private String basicCheck;

    @ApiModelProperty(name = "checkDate", value = "验收日期")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private LocalDate checkDate;

    @ApiModelProperty(name = "createUser", value = "创建人ID")
    private String createUser;

    @ApiModelProperty(name = "createTime", value = "创建时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createTime;

    @ApiModelProperty(name = "createName", value = "创建人名称")
    private String createName;
    /**
     * 是否删除:1——正常；2——删除
     */
    @ApiModelProperty(name = "status", value = "状态", example = "是否删除:1——正常；2——删除")
    private String status;
    
    @ApiModelProperty(name = "bstName", value = "变电设备")
    private String bstName;
    
    @ApiModelProperty(name = "stName", value = "监测设备")
    private String stName;
}