package com.huatek.busi.vo;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 所有主设备权重系数模板表 Vo
 *
 * @author anker_cheng
 * @date Jul 24, 2019 5:10:23 PM
 */
@ApiModel(value = "BusiParamTempletVo", description = "所有主设备权重系数模板表 Vo")
@Data
@EqualsAndHashCode(callSuper = false)
public class BusiParamTempletVo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 
     */
    @ApiModelProperty(name = "id", value = "")
    private String id;

    /**
     * 1：第一级分项权重   2：第二级   3：第三级
     */
    @ApiModelProperty(name = "weightLevel", value = "1：第一级分项权重   2：第二级   3：第三级")
    private String weightLevel;

    /**
     * 计算指标的名称
     */
    @ApiModelProperty(name = "name", value = "计算指标的名称")
    private String name;

    /**
     * 描述
     */
    @ApiModelProperty(name = "description", value = "描述")
    private String description;

    /**
     * 上级计算指标名称
     */
    @ApiModelProperty(name = "pname", value = "上级计算指标名称")
    private String pname;

    /**
     * 权重值
     */
    @ApiModelProperty(name = "value", value = "权重值")
    private BigDecimal value;

    /**
     * 是否显示AB值:0——否；1——是
     */
    @ApiModelProperty(name = "abValueFlag", value = "是否显示AB值:0——否；1——是")
    private String abValueFlag;

    /**
     * a值
     */
    @ApiModelProperty(name = "aValue", value = "a值")
    private BigDecimal aValue;

    /**
     * b值
     */
    @ApiModelProperty(name = "bValue", value = "b值")
    private BigDecimal bValue;

    /**
     * 注意值
     */
    @ApiModelProperty(name = "warningValue", value = "注意值")
    private String warningValue;

    /**
     * 评分模型：1：升   2:降
     */
    @ApiModelProperty(name = "model", value = "评分模型：1：升   2:降")
    private String model;

    /**
     * 类型
     */
    @ApiModelProperty(name = "paramType", value = "类型")
    private String paramType;

    /**
     * 单位
     */
    @ApiModelProperty(name = "unit", value = "单位")
    private String unit;

    /**
     * 
     */
    @ApiModelProperty(name = "createTime", value = "")
    private LocalDateTime createTime;

    /**
     * 
     */
    @ApiModelProperty(name = "createUser", value = "")
    private String createUser;

    /**
     * 排序
     */
    @ApiModelProperty(name = "sortNum", value = "排序")
    private Integer sortNum;
}