package com.huatek.busi.vo;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.util.List;

import com.huatek.torch.sql.annotation.FieldName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 变压器的权重系数维护表 Vo
 *
 * @author anker_cheng
 * @date Jul 24, 2019 5:10:23 PM
 */
@ApiModel(value = "BusiParamTransformerVo", description = "变压器的权重系数维护表 Vo")
@Data
@EqualsAndHashCode(callSuper = false)
public class BusiParamTransformerVo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 
     */
    @ApiModelProperty(name = "id", value = "")
    private String id;

    /**
     * 站点Id
     */
    @ApiModelProperty(name = "siteId", value = "站点Id")
    private String siteId;

    /**
     * 主设备ID
     */
    @ApiModelProperty(name = "mainEquipmentId", value = "主设备ID")
    private String mainEquipmentId;

    /**
     * 1：第一级分项权重   2：第二级   3：第三级
     */
    @ApiModelProperty(name = "weightLevel", value = "1：第一级分项权重   2：第二级   3：第三级")
    private String weightLevel;

    /**
     * 计算指标的名称
     */
    @ApiModelProperty(name = "name", value = "计算指标的名称")
    private String name;

    /**
     * 上级计算指标名称
     */
    @ApiModelProperty(name = "pname", value = "上级计算指标名称")
    private String pname;

    /**
     * 描述
     */
    @ApiModelProperty(name = "description", value = "描述")
    private String description;

    /**
     * 权重值
     */
    @ApiModelProperty(name = "value", value = "权重值")
    private BigDecimal value;

    /**
     * 是否显示AB值:0——否；1——是
     */
    @ApiModelProperty(name = "abValueFlag", value = "是否显示AB值:0——否；1——是")
    private String abValueFlag;

    /**
     * a值
     */
    @ApiModelProperty(name = "aValue", value = "a值")
    private BigDecimal aValue;

    /**
     * b值
     */
    @ApiModelProperty(name = "bValue", value = "b值")
    private BigDecimal bValue;

    /**
     * 注意值
     */
    @ApiModelProperty(name = "warningValue", value = "注意值")
    private String warningValue;

    /**
     * 评分模型：1：升   2:降
     */
    @ApiModelProperty(name = "model", value = "评分模型：1：升   2:降")
    private String model;

    /**
     * 是否参与评测:   0:不参与   1：参与
     */
    @ApiModelProperty(name = "isAttend", value = "是否参与评测:   0:不参与   1：参与")
    private String isAttend;

    /**
     * 
     */
    @ApiModelProperty(name = "createTime", value = "")
    private LocalDateTime createTime;

    /**
     * 
     */
    @ApiModelProperty(name = "createUser", value = "")
    private String createUser;

    /**
     * 排序
     */
    @ApiModelProperty(name = "sortNum", value = "排序")
    private Integer sortNum;

    @ApiModelProperty(name = "children", value = "下级计算指标列表")
    private List<BusiParamTransformerVo> children;

    /**
     * 排序
     */
    @ApiModelProperty(name = "scope",value = "范围值")
    private String scope;

    /**
     * 拼接描述与范围值
     */
    @ApiModelProperty(name = "scope",value = "范围值")
    private String scopeDescription;

    /**
     * 输入参数值
     */
    @FieldName("calculated_value")
    private String calculatedValue;

    /**
     * 第几次保存参数
     */
    @FieldName("number")
    private Integer number;

    private String testValue;


}