package com.huatek.busi.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * @description BusiSemiAutomaticEvaluateConfig
 *
 * @author Kavon
 * @date 2023/11/28 19:22
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class BusiSemiAutomaticEvaluateConfigVo implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @ApiModelProperty(value = "主键ID", name = "id")
    private String id;

    /**
     * 半自动评估标记（1是半自动，0是自动）
     */
    @ApiModelProperty(value = "半自动评估标记（1是半自动，0是自动）", name = "mark")
    private String mark;

    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人", name = "createUser")
    private String createUser;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间", name = "createTime")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createTime;

    /**
     * 更新人
     */
    @ApiModelProperty(value = "更新人", name = "updateUser")
    private String updateUser;

    /**
     * 更新时间
     */
    @ApiModelProperty(value = "更新时间", name = "updateTime")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime updateTime;
}
