package com.huatek.busi.vo;

import com.huatek.torch.sql.annotation.FieldName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * 避雷器评估结果
 * @author vent
 * @date 2023/03/31
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class EquipmentTemperatureCacheVo implements Serializable {
    /**
     *
     */
    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    private String id;

    /**
     * 在线监测装置的唯一标识（17 位码）
     */
    private String sensorId;

    /**
     * 在线监测装置对应的被监测设备的 唯一标识（17 位码）
     */
    private String equipmentId;

    /**
     * 数据采集时间，格式为：yyyy-MM-dd HH:mm:ss
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime timeStamp;

    /**
     * 主设备编号
     */
    private String equipmentCode;

    /**
     * 外挂设备编号
     */
    private String extEquipmentCode;


    /**
     * 外挂设备名称
     */
    private String sensorName;


    /**
     * 设备状态（）
     */
    private String runState;


    /**
     * 设备类型:01:变压器 02:gis 03:电缆 04:避雷器 05:开关柜 06:发电机 07:其他
     */
    private String type;

    /**
     * 0 在线  1是异常
     */
    private String flag;

    private String positionDes;
}
