package com.huatek.busi.vo;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 数据缺失率 Vo
 *
 * @author anker_cheng
 * @date Jul 15, 2019 3:43:39 PM
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class FailureRateVo implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 
     */
    private String id;
    /**
     * 传感器编码
     */
    private String sensorId;
    /**
     * 
     */
    private String siteId;
    /**
     * 外挂设备ID
     */
    private String subEquipmentId;
    /**
     * 主设备ID
     */
    private String mainEquipmentId;
    /**
     * 故障大类(1：变压器，2：gis，3：避雷器，4：测温柜）
     */
    private String eqType;
    /**
     * 故障小类（1：油色谱，2：局放，3：铁芯接地，4：红外测温  5:sf6） 8：夹件
     */
    private String gzType;
    /**
     * 应该次数
     */
    private BigDecimal mustCount;
    /**
     * 实际次数
     */
    private BigDecimal realCount;
    /**
     * 故障率，数据缺失率，误差率，故障次数，落雷次数
     */
    private BigDecimal rate;
    /**
     * 统计时间
     */
    private LocalDateTime dTime;
    /**
     * 
     */
    private LocalDateTime creatTime;
}