package com.huatek.busi.vo;

import java.io.Serializable;
import java.time.LocalDateTime;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 故障原因表 Vo
 *
 * @author anker_cheng
 * @date Jul 4, 2019 2:15:42 PM
 */
@ApiModel(value = "FaultCauseVo", description = "故障原因表 Vo")
@Data
@EqualsAndHashCode(callSuper = false)
public class FaultCauseVo implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 
     */
    @ApiModelProperty(name = "id", value = "主键ID")
    private String id;
    /**
     * 主故障分类ID,见表fault_types.id
     */
    @ApiModelProperty(name = "masterId", value = "故障主故障分类ID")
    private String masterId;
    /**
     * 子故障分类ID,见表fault_subtypes.id
     */
    @ApiModelProperty(name = "subId", value = "故障子故障分类ID")
    private String subId;
    /**
     * 故障模式id
     */
    @ApiModelProperty(name = "modeId", value = "故障模式id")
    private String modeId;
    /**
     * 故障原因
     */
    @ApiModelProperty(name = "cause", value = "故障原因")
    private String cause;
    /**
     * 故障检测方法
     */
    @ApiModelProperty(name = "checkMeth", value = "故障检测方法")
    private String checkMeth;
    /**
     * 建议处理措施
     */
    @ApiModelProperty(name = "measures", value = "建议处理措施")
    private String measures;
    /**
     * 创建日期
     */
    @ApiModelProperty(name = "insdate", value = "创建日期")
    private LocalDateTime insdate;
}