package com.huatek.busi.vo;

import java.io.Serializable;
import java.time.LocalDateTime;

import com.huatek.busi.common.annotation.ExcelAnnotation;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * GIS读表、拍照数据 Vo
 *
 * @author anker_cheng
 * @date 2019-8-22 16:35:10
 */
@ApiModel(value = "GisReadTableVo", description = "GIS读表、拍照数据 Vo")
@Data
@EqualsAndHashCode(callSuper = false)
public class GisReadTableVo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 
     */
    @ApiModelProperty(name = "id", value = "")
    private String id;

    /**
     * 站点id
     */
    @ApiModelProperty(name = "siteId", value = "站点id")
    private String siteId;

    /**
     * 设备编号
     */
    @ApiModelProperty(name = "eqmCode", value = "设备编号")
    private String eqmCode;
    
    /**
     * 设备编号
     */
    @ApiModelProperty(name = "eqmCode", value = "设备编号")
    @ExcelAnnotation(exportName="设备编号")
    private String systemCode;
    
    @ExcelAnnotation(exportName="设备名称")
    private String equipmentName;

    /**
     * sersor编码
     */
    @ApiModelProperty(name = "sensorCode", value = "sersor编码")
    @ExcelAnnotation(exportName="传感器编号")
    private String sensorCode;
    
    /**
     * 传感器名称
     */
    @ApiModelProperty(name = "sensorName", value = "传感器名称")
    @ExcelAnnotation(exportName="传感器名称")
    private String sensorName;
    
    
    @ExcelAnnotation(exportName="监测时间")
    private LocalDateTime timeStamp;

    
    /**
     * 监测数据
     */
    @ApiModelProperty(name = "dlval", value = "监测数据")
    @ExcelAnnotation(exportName="监测数据")
    private String dlval;

    /**
     * 监测时间
     */
    @ApiModelProperty(name = "dTime", value = "监测时间")
    private LocalDateTime dTime;

    /**
     * 放电次数
     */
    @ApiModelProperty(name = "fdcs", value = "放电次数")
    private String fdcs;

    /**
     * 图片路径及文件名
     */
    @ApiModelProperty(name = "picpath", value = "图片路径及文件名")
    private String picpath;

    /**
     * 图片数值类型 1:放电次数  2:放电电流(mA)
     */
    @ApiModelProperty(name = "type", value = "图片数值类型 1:放电次数  2:放电电流(mA)")
    private String type;
}