package com.huatek.busi.vo;

import com.huatek.torch.sql.annotation.FieldName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.time.LocalDateTime;

@Data
public class HotSpotTemperatureResultVo implements Serializable {

    private static final long serialVersionUID = 1L;
    private String id;

    /**
     * 站点id
     */
    @ApiModelProperty(value = "站点id",  name="siteId")
    private String siteId;

    /**
     * 站点设备树ID
     */
    @ApiModelProperty(value = "站点设备树ID",  name="mainTreeId")
    private String mainTreeId;

    /**
     * 评测时间
     */
    @ApiModelProperty(value = "评测时间",  name="assessTime")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime assessTime;

    /**
     * 环境温度
     */
    @ApiModelProperty(value = "环境温度",  name="environmentTemperature")
    private String environmentTemperature;

    /**
     * 额定电流下的顶层油温升
     */
    @ApiModelProperty(value = "额定电流下的顶层油温升",  name="topOilTemperature")
    private String topOilTemperature;

    /**
     * 额定电流下的负载损耗和空载损耗之比
     */
    @ApiModelProperty(value = "额定电流下的负载损耗和空载损耗之比",  name="lossRatio")
    private String lossRatio;

    /**
     * 负载系数，负载电流/额定电流
     */
    @ApiModelProperty(value = "负载系数，负载电流/额定电流",  name="loadCoefficient")
    private String loadCoefficient;

    /**
     * 油的指数
     */
    @ApiModelProperty(value = "油的指数",  name="indexOfOil")
    private String indexOfOil;

    /**
     * 绕组测温最高点温度
     */
    @ApiModelProperty(value = "绕组测温最高点温度",  name="windingTemperature")
    private String windingTemperature;

    /**
     * 绕组指数
     */
    @ApiModelProperty(value = "绕组指数",  name="windingIndex")
    private String windingIndex;

    /**
     * 变压器最终老化系数计算
     */
    @ApiModelProperty(value = "变压器最终老化系数计算",  name="agingCoefficient")
    private String agingCoefficient;

    /**
     * co2
     */
    @ApiModelProperty(value = "co2",  name="co2")
    private String co2;

    /**
     * co
     */
    @ApiModelProperty(value = "co",  name="co")
    private String co;

    /**
     * 计算结果
     */
    @ApiModelProperty(value = "计算结果",  name="result")
    private String result;

    /**
     * 评估类型：1.手动 2.自动
     */
    @ApiModelProperty(value = "评估类型：1.手动 2.自动",  name="type")
    private String type;

    @ApiModelProperty(value = "算法类型：1.手动计算页面输入参数envvTemp + temp1*((1+r*k^2 )/(1+r))^x + hgr*k^y  2.自动 老算法 CO2/CO  3.新算法 V*B2 V = 2^(h-98)/6",  name="arithmeticType")
    private String arithmeticType;

    @ApiModelProperty(value = "计算步骤")
    private String calculationStep;

}
