package com.huatek.busi.vo;

import java.io.Serializable;
import java.time.LocalDateTime;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * IEC104-基础地址配置表 Vo
 *
 * @author anker_cheng
 * @date 2019-8-1 9:41:17
 */
@ApiModel(value = "IecBaseConfVo", description = "IEC104-基础地址配置表 Vo")
@Data
@EqualsAndHashCode(callSuper = false)
public class IecBaseConfVo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @ApiModelProperty(name = "id", value = "主键")
    private String id;

    /**
     * 站点ID
     */
    @ApiModelProperty(name = "siteId", value = "站点ID")
    private String siteId;
    
    @ApiModelProperty(name = "siteName", value = "站点名称")
    private String siteName;
    /**
     * 公共地址长度
     */
    @ApiModelProperty(name = "commLen", value = "公共地址长度")
    private String commLen;

    /**
     * 传输原因地址长度
     */
    @ApiModelProperty(name = "causeLen", value = "传输原因地址长度")
    private String causeLen;

    /**
     * 信息体地址长度
     */
    @ApiModelProperty(name = "infoLen", value = "信息体地址长度")
    private String infoLen;

    /**
     * 通信类型；yx遥信，yc遥测
     */
    @ApiModelProperty(name = "txType", value = "通信类型；yx遥信，yc遥测")
    private String txType;

    /**
     * 起始地址
     */
    @ApiModelProperty(name = "startAddr", value = "起始地址")
    private String startAddr;

    /**
     * 结束地址
     */
    @ApiModelProperty(name = "endAddr", value = "结束地址")
    private String endAddr;

    /**
     * 创建时间，YYYY-MM-DD HH:MI:SS
     */
    @ApiModelProperty(name = "dTime", value = "创建时间，YYYY-MM-DD HH:MI:SS")
    private LocalDateTime dTime;
}