package com.huatek.busi.vo;

import com.huatek.torch.sql.beans.PageBean;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.time.LocalDate;
import java.time.LocalDateTime;

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "labReportMarkVo", description = "打标参数查看入参")
public class LabReportMarkVo extends PageBean implements Serializable {

    private static final long serialVersionUID = 1L;

    private static final int DEFAULT_DAYS = 15;

    @ApiModelProperty(value = "deleted", name = "是否删除： 0 未删除 ， 1 已删除")
    private String deleted;

    @ApiModelProperty(value = "unitId", name = "单位字典id")
    private String unitId;

    @ApiModelProperty(value = "resultId", name = "试验结果字典id")
    private String resultId;

    @ApiModelProperty(value = "eqType", name = "设备类型")
    private String eqType;

    @ApiModelProperty(value = "status", name = "是否删除： 1 未删除 ， 2 已删除")
    private String status;

    @ApiModelProperty(value = "markId", name = "打标Id")
    private String markId;

    @ApiModelProperty(value = "fileType", name = "文件类型")
    private String fileType;

    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @ApiModelProperty(value = "testDate", name = "试验日期")
    private LocalDate testDate;
}
