package com.huatek.busi.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

@Data
@ApiModel(value = "labReportParamDataVo", description = "离线报告参数信息入参")
public class LabReportParamDataVo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "id", name = "唯一主键标识", required = true)
    private String id;

    @ApiModelProperty(value = "refId", name = "关联附件编号")
    private String refId;

    @ApiModelProperty(value = "rId", name = "报告编号")
    private String rId;

    @ApiModelProperty(value = "testInterval", name = "试验次数/位置/间隔时间")
    private String testInterval;

    @ApiModelProperty(value = "testType", name = "试验类别")
    private String testType;

    @ApiModelProperty(value = "offlineParam", name = "试验参数")
    private String offlineParam;

    @ApiModelProperty(value = "validValueRange", name = "有效值范围（告警/阈值判断/数据是否可信）")
    private String validValueRange;

    @ApiModelProperty(value = "currentValue", name = "当前值")
    private String currentValue;

    @ApiModelProperty(value = "unit", name = "单位")
    private String unit;

    @ApiModelProperty(value = "isMark", name = "是否打标（0 否 1 是）")
    private String isMark;

    @ApiModelProperty(value = "eParam", name = "评估参数")
    private String eParam;

    @ApiModelProperty(value = "testResult", name = "试验结果")
    private String testResult;

    @ApiModelProperty(value = "remark", name = "备注(油温、环境温度、湿度、精度)")
    private String remark;

    @ApiModelProperty(value = "createUser", name = "创建者")
    private String createUser;

    @ApiModelProperty(value = "createTime", name = "创建时间")
    private LocalDateTime createTime;

    @ApiModelProperty(value = "updateUser", name = "更新者")
    private String updateUser;

    @ApiModelProperty(value = "updateTime", name = "更新时间")
    private LocalDateTime updateTime;

    @ApiModelProperty(value = "deleted", name = "是否删除 0否 1是")
    private String deleted;
}
