package com.huatek.busi.vo;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 避雷器-界面实时监测基础信息 Vo
 *
 * @author anker_cheng
 * @date Oct 28, 2019 1:11:29 PM
 */
@ApiModel(value = "RptAretMonitorVo", description = "避雷器-界面实时监测基础信息 Vo")
@Data
@EqualsAndHashCode(callSuper = false)
public class RptAretMonitorVo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 
     */
    @ApiModelProperty(name = "id", value = "")
    private String id;

    /**
     * cac类型编码
     */
    @ApiModelProperty(name = "cacMonitorTypeCode", value = "cac类型编码")
    private String cacMonitorTypeCode;

    /**
     * 站点Id
     */
    @ApiModelProperty(name = "siteId", value = "站点Id")
    private String siteId;

    /**
     * 站点设备树ID
     */
    @ApiModelProperty(name = "mainTreeId", value = "站点设备树ID")
    private String mainTreeId;

    /**
     * 外挂设备树ID
     */
    @ApiModelProperty(name = "subTreeId", value = "外挂设备树ID")
    private String subTreeId;

    /**
     * 主设备ID
     */
    @ApiModelProperty(name = "mainEquipmentId", value = "主设备ID")
    private String mainEquipmentId;

    /**
     * 外挂设备ID
     */
    @ApiModelProperty(name = "subEquipmentId", value = "外挂设备ID")
    private String subEquipmentId;

    /**
     * 累计落雷总数
     */
    @ApiModelProperty(name = "arresterCount", value = "累计落雷总数")
    private BigDecimal arresterCount;

    /**
     * 春季落雷次数,一季度
     */
    @ApiModelProperty(name = "springCount", value = "春季落雷次数,一季度")
    private BigDecimal springCount;

    /**
     * 夏季落雷次数,二季度
     */
    @ApiModelProperty(name = "summerCount", value = "夏季落雷次数,二季度")
    private BigDecimal summerCount;

    /**
     * 秋季落雷次数,三季度
     */
    @ApiModelProperty(name = "autumnCount", value = "秋季落雷次数,三季度")
    private BigDecimal autumnCount;

    /**
     * 冬季落雷次数,四季度
     */
    @ApiModelProperty(name = "winterCount", value = "冬季落雷次数,四季度")
    private BigDecimal winterCount;

    /**
     * 当天累计打雷次数
     */
    @ApiModelProperty(name = "dangtianCount", value = "当天累计打雷次数")
    private Long dangtianCount;

    /**
     * 最近一次落雷时间
     */
    @ApiModelProperty(name = "lastTime", value = "最近一次落雷时间")
    private LocalDateTime lastTime;

    /**
     * A相senserID
     */
    @ApiModelProperty(name = "aSensorId", value = "A相senserID")
    private String aSensorId;

    /**
     * A相全电流(mA)
     */
    @ApiModelProperty(name = "aFullAlc", value = "A相全电流(mA)")
    private BigDecimal aFullAlc;

    /**
     * A相阻性电流(mA)
     */
    @ApiModelProperty(name = "aHindranceAlc", value = "A相阻性电流(mA)")
    private BigDecimal aHindranceAlc;

    /**
     * B相senserID
     */
    @ApiModelProperty(name = "bSensorId", value = "B相senserID")
    private String bSensorId;

    /**
     * B相全电流(mA)
     */
    @ApiModelProperty(name = "bFullAlc", value = "B相全电流(mA)")
    private BigDecimal bFullAlc;

    /**
     * B相阻性电流(mA)
     */
    @ApiModelProperty(name = "bHindranceAlc", value = "B相阻性电流(mA)")
    private BigDecimal bHindranceAlc;

    /**
     * C相senserID
     */
    @ApiModelProperty(name = "cSensorId", value = "C相senserID")
    private String cSensorId;

    /**
     * C相全电流(mA)
     */
    @ApiModelProperty(name = "cFullAlc", value = "C相全电流(mA)")
    private BigDecimal cFullAlc;

    /**
     * C相阻性电流(mA)
     */
    @ApiModelProperty(name = "cHindranceAlc", value = "C相阻性电流(mA)")
    private BigDecimal cHindranceAlc;

    /**
     * 创建时间
     */
    @ApiModelProperty(name = "createTime", value = "创建时间")
    private LocalDateTime createTime;

    /**
     * 
     */
    @ApiModelProperty(name = "remark", value = "")
    private String remark;

    @ApiModelProperty(name = "runState", value = "")
    private String runState;
    
    /**
     * A相容性电流 (mA)
     */
    @ApiModelProperty(name = "aCpacitanceAlc", value = "A相容性电流 (mA)")
    private BigDecimal aCpacitanceAlc;
    
    /**
     * B相容性电流 (mA)
     */
    @ApiModelProperty(name = "bCpacitanceAlc", value = "B相容性电流 (mA)")
    private BigDecimal bCpacitanceAlc;
    
    
    /**
     * C相容性电流 (mA)
     */
    @ApiModelProperty(name = "cCpacitanceAlc", value = " C相容性电流 (mA)")
    private BigDecimal cCpacitanceAlc;

}