package com.huatek.busi.vo;

import java.io.Serializable;
import java.time.LocalDate;
import java.time.LocalDateTime;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * GIS开关-SF6压力微水温度--实时界面数据 Vo
 *
 * @author anker_cheng
 * @date Oct 21, 2019 2:53:29 PM
 */
@ApiModel(value = "RptGisMonitorSf6Vo", description = "GIS开关-SF6压力微水温度--实时界面数据 Vo")
@Data
@EqualsAndHashCode(callSuper = false)
public class RptGisMonitorSf6Vo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 
     */
    @ApiModelProperty(name = "id", value = "")
    private String id;

    /**
     * 监测时间
     */
    @ApiModelProperty(name = "dTime", value = "监测时间 ")
    private LocalDateTime dTime;

    /**
     * 站点Id
     */
    @ApiModelProperty(name = "siteId", value = "站点Id")
    private String siteId;

    /**
     * 设备ID
     */
    @ApiModelProperty(name = "eqmId", value = "设备ID")
    private String eqmId;

    /**
     * 设备code
     */
    @ApiModelProperty(name = "eqmCode", value = "设备code")
    private String eqmCode;

    /**
     * 区域id
     */
    @ApiModelProperty(name = "ararId", value = "区域id")
    private String ararId;

    /**
     * sersorid
     */
    @ApiModelProperty(name = "sensorId", value = "sersorid")
    private String sensorId;

    /**
     * 相位:A/B/C
     */
    @ApiModelProperty(name = "phase", value = "相位:A/B/C")
    private String phase;

    /**
     * 温度
     */
    @ApiModelProperty(name = "temper", value = "温度")
    private String temper;

    /**
     * 微水
     */
    @ApiModelProperty(name = "moisture", value = "微水")
    private String moisture;

    /**
     * 压力
     */
    @ApiModelProperty(name = "pressure", value = "压力")
    private String pressure;

    /**
     * 创建时间
     */
    @ApiModelProperty(name = "createTime", value = "创建时间")
    private LocalDateTime createTime;

    /**
     * 状态：A:可用 D：不可用
     */
    @ApiModelProperty(name = "status", value = "状态：A:可用  D：不可用")
    private String status;

    /**
     * 站点设备树ID
     */
    @ApiModelProperty(name = "mainTreeId", value = "站点设备树ID")
    private String mainTreeId;

    /**
     * 外挂设备树ID
     */
    @ApiModelProperty(name = "subTreeId", value = "外挂设备树ID")
    private String subTreeId;

    /**
     * 修改时间
     */
    @ApiModelProperty(name = "modifiedTime", value = "修改时间")
    private LocalDateTime modifiedTime;

    @ApiModelProperty(name = "equipmentName", value = "设备名称")
    private String equipmentName;

    @ApiModelProperty(name = "equipmentBrand", value = "设备标牌")
    private String equipmentBrand;

    @ApiModelProperty(name = "manufactor", value = "设备生产厂家")
    private String manufactor;

    @ApiModelProperty(name = "useDate", value = "设备投运日期")
    private LocalDate useDate;

    @ApiModelProperty(name = "installLocation", value = "设备安装位置")
    private String installLocation;

    @ApiModelProperty(name = "temperThresholdValue", value = "温度阈值")
    private String temperThresholdValue;

    @ApiModelProperty(name = "temperWarningValue", value = "温度预警值")
    private String temperWarningValue;

    @ApiModelProperty(name = "moistureThresholdValue", value = "微水阈值")
    private String moistureThresholdValue;

    @ApiModelProperty(name = "moistureWarningValue", value = "微水预警值")
    private String moistureWarningValue;

    @ApiModelProperty(name = "pressureThresholdValue", value = "压力阈值")
    private String pressureThresholdValue;

    @ApiModelProperty(name = "pressureWarningValue", value = "压力预警值")
    private String pressureWarningValue;

    /////////////////////// ????????????????????????????????????????????????????
    @ApiModelProperty(name = "repairCount", value = "维修次数")
    private Integer repairCount;

    @ApiModelProperty(name = "falseAlarmRate", value = "误报率")
    private String falseAlarmRate;

    @ApiModelProperty(name = "euipSensitivity", value = "装置灵敏度")
    private String euipSensitivity;

    @ApiModelProperty(name = "dailyLeakageRate", value = "日泄漏率")
    private String dailyLeakageRate;

    @ApiModelProperty(name = "monthlyLeakageRate", value = "月泄漏率")
    private String monthlyLeakageRate;

    @ApiModelProperty(name = "monthlyGrowthRate", value = "月增长率")
    private String monthlyGrowthRate;
    
    @ApiModelProperty(name = "equipmentId", value = "外挂设备信息ID")
    private String equipmentId;
}