package com.huatek.busi.vo;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 测温柜-实时监测数据 Vo
 *
 * @author anker_cheng
 * @date Jul 1, 2019 4:56:52 PM
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class RptTemperVo implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 
     */
    private String id;
    /**
     * 站点Id
     */
    private String siteId;
    /**
     * 设备ID
     */
    private String eqmId;
    /**
     * 柜体温度
     */
    private BigDecimal boxTemper;
    /**
     * 柜体温度sensorId
     */
    private String boxSensorId;
    /**
     * 柜体外温度
     */
    private BigDecimal boxOutsideTemper;
    /**
     * 柜体外温度sensorId
     */
    private String boxOutsideSensorId;
    /**
     * A相进线温度
     */
    private BigDecimal aITemper;
    /**
     * A相进线SensiorID
     */
    private String aISensorId;
    /**
     * A相出线温度
     */
    private BigDecimal aOTemper;
    /**
     * A相出线sensorId
     */
    private String aOSensorId;
    /**
     * B相进线温度
     */
    private BigDecimal bITemper;
    /**
     * B相进线SensiorID
     */
    private String bISensorId;
    /**
     * B相出线温度
     */
    private BigDecimal bOTemper;
    /**
     * B相出线sensorId
     */
    private String bOSensorId;
    /**
     * C相进线温度
     */
    private BigDecimal cITemper;
    /**
     * C相进线SensiorID
     */
    private String cISensorId;
    /**
     * C相出线温度
     */
    private BigDecimal cOTemper;
    /**
     * C相出线sensorId
     */
    private String cOSensorId;
    /**
     * 创建时间
     */
    private LocalDateTime createTime;
}