package com.huatek.busi.vo;

import java.io.Serializable;
import java.time.LocalDateTime;

import org.springframework.format.annotation.DateTimeFormat;

import com.huatek.torch.sql.beans.PageBean;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 定时任务日志 Vo
 *
 * @author edward_luo
 * @date Jul 16, 2019 14:26:02 PM
 */
@ApiModel(value = "ScheduleJobLogVo", description = "定时任务日志Vo", parent = PageBean.class)
@Data
@EqualsAndHashCode(callSuper = false)
public class ScheduleJobLogVo  extends PageBean implements Serializable{
	
	private static final long serialVersionUID = 1L;
	

	@ApiModelProperty(name = "id", value = "主键id")
	private String id;
	

	@ApiModelProperty(name = "jobId", value = "任务id")
	private String jobId;

	@ApiModelProperty(name = "beanName", value = "bean名称")
	private String beanName;
	

	@ApiModelProperty(name = "methodName", value = "方法名")
	private String methodName;
	

	@ApiModelProperty(name = "params", value = "参数")
	private String params;
	

	@ApiModelProperty(name = "status", value = "任务状态    0：成功    1：失败")
	private Integer status;
	

	@ApiModelProperty(name = "error", value = "失败信息")
	private String error;
	

	@ApiModelProperty(name = "times", value = "耗时(单位：毫秒)")
	private Integer times;
	

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@ApiModelProperty(name = "createTime", value = "创建时间")
	private LocalDateTime createTime;
}
