package com.huatek.busi.vo;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDate;
import java.time.LocalDateTime;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 避雷器微气象日统计 Vo
 *
 * @author anker_cheng
 * @date Oct 25, 2019 10:00:42 AM
 */
@ApiModel(value = "SubstationMicBlqVo", description = "避雷器微气象日统计 Vo")
@Data
@EqualsAndHashCode(callSuper = false)
public class SubstationMicBlqVo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 
     */
    @ApiModelProperty(name = "id", value = "")
    private String id;

    /**
     * 站点id
     */
    @ApiModelProperty(name = "siteId", value = "站点id")
    private String siteId;

    /**
     * 主设备ID
     */
    @ApiModelProperty(name = "mainEquipmentId", value = "主设备ID")
    private String mainEquipmentId;

    /**
     * 站点设备树ID
     */
    @ApiModelProperty(name = "mainTreeId", value = "站点设备树ID")
    private String mainTreeId;

    /**
     * 统计时间
     */
    @ApiModelProperty(name = "dTime", value = "统计时间 ")
    private LocalDate dTime;

    /**
     * 气温(℃)
     */
    @ApiModelProperty(name = "airTemperature", value = "气温(℃)")
    private BigDecimal airTemperature;

    /**
     * 气压
     */
    @ApiModelProperty(name = "airPressure", value = "气压")
    private BigDecimal airPressure;

    /**
     * 湿度
     */
    @ApiModelProperty(name = "humidity", value = "湿度")
    private BigDecimal humidity;

    /**
     * 负荷率
     */
    @ApiModelProperty(name = "loadRate", value = "负荷率")
    private BigDecimal loadRate;

    /**
     * 创建时间
     */
    @ApiModelProperty(name = "createdTime", value = "创建时间 ")
    private LocalDateTime createdTime;
}