package com.huatek.busi.vo;

import java.io.Serializable;
import java.time.LocalDateTime;

import org.springframework.format.annotation.DateTimeFormat;

import com.huatek.busi.common.annotation.ExcelAnnotation;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
  * @ClassName: TransformerEvaluateDataVo2
  * @FullClassPath: com.huatek.busi.vo.TransformerEvaluateDataVo2
  * @Description: TODO
  * @author: Arno
  * @date: Sep 2, 2019 7:28:27 PM
  * @version: 1.0
  */
@ApiModel(value = "TransformerEvaluateDataVo2", description = "变压器评测数据分页")
@Data
public class TransformerEvaluateDataVo2 implements Serializable{

	/** @Fields serialVersionUID : */ 
	private static final long serialVersionUID = -494626183139309298L;

	@ApiModelProperty(name = "id", value = "主键id")
	private String id;

	/** @Fields mainTreeId :站点树ID */
	@ApiModelProperty(name = "mainTreeId", value = "站点树ID")
	private String mainTreeId;

	/** @Fields h2 : */
	@ApiModelProperty(name = "h2", value = "h2")
	@ExcelAnnotation(exportName = "H2(μL/L)")
	private String h2;

	/** @Fields ch4 : */
	@ApiModelProperty(name = "ch4", value = "ch4")
	@ExcelAnnotation(exportName = "CH4(μL/L)")
	private String ch4;

	/** @Fields c2h2 : */
	@ApiModelProperty(name = "c2h2", value = "c2h2")
	@ExcelAnnotation(exportName = "C2H2(μL/L)")
	private String c2h2;

	/** @Fields c2h4 : */
	@ApiModelProperty(name = "c2h4", value = "c2h4")
	@ExcelAnnotation(exportName = "C2H4(μL/L)")
	private String c2h4;

	/** @Fields c2h6 : */
	@ApiModelProperty(name = "c2h6", value = "c2h6")
	@ExcelAnnotation(exportName = "C2H6(μL/L)")
	private String c2h6;
	

	/** @Fields zj : 总烃 */
	@ApiModelProperty(name = "zj", value = "总烃")
	@ExcelAnnotation(exportName = "总烃(μL/L)")
	private String zj;

	/** @Fields tmp :温度 */
	@ApiModelProperty(name = "tmp", value = "温度")
	@ExcelAnnotation(exportName = "温度(℃)")
	private String tmp;

	/** @Fields dew :湿度*/
	@ApiModelProperty(name = "dew", value = "湿度")
	@ExcelAnnotation(exportName = "湿度(%)")
	private String dew;

	/** @Fields mst :微水 */
	@ApiModelProperty(name = "mst", value = "微水")
	@ExcelAnnotation(exportName = "微水(μL/L)")
	private String mst;

	/** @Fields flatGas :瓦斯继电器中故障气 */
	@ApiModelProperty(name = "flatgas", value = "瓦斯继电器中故障气")
	@ExcelAnnotation(exportName = "瓦斯继电器中故障气(μL/L)")
	private String flatgas;


	/** @Fields cmbuGas : 总可燃气体 */
	@ApiModelProperty(name = "cmbugas", value = "总可燃气体")
	@ExcelAnnotation(exportName = "总可燃气体(μL/L)")
	private String cmbugas;

	/** @Fields co : */
	@ApiModelProperty(name = "co", value = "co")
	@ExcelAnnotation(exportName = "CO(μL/L)")
	private String co;

	/** @Fields co2 : */
	@ApiModelProperty(name = "co2", value = "co2")
	@ExcelAnnotation(exportName = "CO2(μL/L)")
	private String co2;

	
	/** @Fields manufacturer : 录入人 */
	@ApiModelProperty(name = "createName", value = "录入人")
	public String createName;
	
	/** @Fields createName : createName*/ 
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@ApiModelProperty(name = "createTime", value = "录入时间")
	@ExcelAnnotation(exportName = "实验时间")
	private LocalDateTime createTime;
	
	
	/** @Fields manufacturer : 修改人 */
	@ApiModelProperty(name = "modifiedName", value = "修改人")
	public String modifiedName;
	
	/** @Fields factoryTime : 修改时间*/ 
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@ApiModelProperty(name = "modifiedTime", value = "修改时间")
	private LocalDateTime modifiedTime;
}
