package com.huatek.busi.vo;

import java.io.Serializable;
import java.time.LocalDateTime;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 变压器/GIS 局部放电统计  类型编码 ：021001/024001) Vo
 *
 * @author edward_luo
 * @date 2019-7-12 9:43:08
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class TransformerGisPdStatisticsVo implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 
     */
    private String id;
    /**
     * 局放类型 （p: 变压器    g:  GIS   d:电缆  )
     */
    private String pdType;
    /**
     * 统计时间
     */
    private LocalDateTime dTime;
    /**
     * 放电次数
     */
    private String count;
    /**
     * 放电量
     */
    private String electricQuantity;
    /**
     * 电站ID
     */
    private String siteId;
    /**
     * 电站设备编码
     */
    private String siteEqmCode;
    /**
     * 创建时间
     */
    private LocalDateTime cratetime;
}