package com.huatek.busi.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.time.LocalDateTime;

@Data
@ApiModel(value = "transformerInputDateVo", description = "变压器运行数据输入参数")
@EqualsAndHashCode(callSuper = false)
public class TransformerInputDateVo implements Serializable {

    private static final long serialVersionUID = 1117846664715527270L;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "initDate", name = "初始时间")
    private LocalDateTime initDate;

    @ApiModelProperty(value = "dataPoint", name = "每天生成数据点")
    private Integer dataPoint;

    @ApiModelProperty(value = "totalDataPoint", name = "期望生成总点数")
    private Integer totalDataPoint;

    @ApiModelProperty(value = "jsonData", name = "json数组字符串")
    private String jsonData;
}
