package com.huatek.busi.vo;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 变压器油色谱阈值表 Vo
 *
 * @author anker_cheng
 * @date Aug 5, 2019 5:29:37 PM
 */
@ApiModel(value = "TransformerOilThresholdVo", description = "变压器油色谱阈值表 Vo")
@Data
@EqualsAndHashCode(callSuper = false)
public class TransformerOilThresholdVo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @ApiModelProperty(name = "id", value = "主键ID")
    private String id;

//    /**
//     * 站点ID
//     */
//    @ApiModelProperty(name = "siteId", value = "站点ID")
//    private String siteId;

//    /**
//     * 站点设备树ID
//     */
//    @ApiModelProperty(name = "mainTreeId", value = "站点设备树ID")
//    private String mainTreeId;
//    
    
    /**
     * 传感器ID
     */
    @ApiModelProperty(name = "sensorCode", value = "传感器编码")
    private String sensorCode;

    /**
     * H2阈值
     */
    @ApiModelProperty(name = "h2Threshold", value = "H2阈值")
    private String h2Threshold;

    /**
     * H2预警值
     */
    @ApiModelProperty(name = "h2Warning", value = "H2预警值")
    private String h2Warning;

    /**
     * H2绝对增长率
     */
    @ApiModelProperty(name = "h2AbsoluteRate", value = "H2绝对增长率")
    private String h2AbsoluteRate;

    /**
     * H2相对增长率
     */
    @ApiModelProperty(name = "h2RelativeRate", value = "H2相对增长率")
    private String h2RelativeRate;

    /**
     * H2精度指标
     */
    @ApiModelProperty(name = "h2Accuracy", value = "H2精度指标")
    private String h2Accuracy;

    /**
     * CO阈值
     */
    @ApiModelProperty(name = "coThreshold", value = "CO阈值")
    private String coThreshold;

    /**
     * CO预警值
     */
    @ApiModelProperty(name = "coWarning", value = "CO预警值")
    private String coWarning;

    /**
     * CO绝对增长率
     */
    @ApiModelProperty(name = "coAbsoluteRate", value = "CO绝对增长率")
    private String coAbsoluteRate;

    /**
     * CO相对增长率
     */
    @ApiModelProperty(name = "coRelativeRate", value = "CO相对增长率")
    private String coRelativeRate;

    /**
     * CO精度指标
     */
    @ApiModelProperty(name = "coAccuracy", value = "CO精度指标")
    private String coAccuracy;

    /**
     * CO2阈值
     */
    @ApiModelProperty(name = "co2Threshold", value = "CO2阈值")
    private String co2Threshold;

    /**
     * CO2预警值
     */
    @ApiModelProperty(name = "co2Warning", value = "CO2预警值")
    private String co2Warning;

    /**
     * CO2绝对增长率
     */
    @ApiModelProperty(name = "co2AbsoluteRate", value = "CO2绝对增长率")
    private String co2AbsoluteRate;

    /**
     * CO2相对增长率
     */
    @ApiModelProperty(name = "co2RelativeRate", value = "CO2相对增长率")
    private String co2RelativeRate;

    /**
     * CO2精度指标
     */
    @ApiModelProperty(name = "co2Accuracy", value = "CO2精度指标")
    private String co2Accuracy;

    /**
     * CH4阈值
     */
    @ApiModelProperty(name = "ch4Threshold", value = "CH4阈值")
    private String ch4Threshold;

    /**
     * CH4预警值
     */
    @ApiModelProperty(name = "ch4Warning", value = "CH4预警值")
    private String ch4Warning;

    /**
     * CH4绝对增长率
     */
    @ApiModelProperty(name = "ch4AbsoluteRate", value = "CH4绝对增长率")
    private String ch4AbsoluteRate;

    /**
     * CH4相对增长率
     */
    @ApiModelProperty(name = "ch4RelativeRate", value = "CH4相对增长率")
    private String ch4RelativeRate;

    /**
     * CH4精度指标
     */
    @ApiModelProperty(name = "ch4Accuracy", value = "CH4精度指标")
    private String ch4Accuracy;

    /**
     * C2H6阈值
     */
    @ApiModelProperty(name = "c2h6Threshold", value = "C2H6阈值")
    private String c2h6Threshold;

    /**
     * C2H6预警值
     */
    @ApiModelProperty(name = "c2h6Warning", value = "C2H6预警值")
    private String c2h6Warning;

    /**
     * C2H6绝对增长率
     */
    @ApiModelProperty(name = "c2h6AbsoluteRate", value = "C2H6绝对增长率")
    private String c2h6AbsoluteRate;

    /**
     * C2H6相对增长率
     */
    @ApiModelProperty(name = "c2h6RelativeRate", value = "C2H6相对增长率")
    private String c2h6RelativeRate;

    /**
     * C2H6精度指标
     */
    @ApiModelProperty(name = "c2h6Accuracy", value = "C2H6精度指标")
    private String c2h6Accuracy;

    /**
     * C2H4阈值
     */
    @ApiModelProperty(name = "c2h4Threshold", value = "C2H4阈值")
    private String c2h4Threshold;

    /**
     * C2H4预警值
     */
    @ApiModelProperty(name = "c2h4Warning", value = "C2H4预警值")
    private String c2h4Warning;

    /**
     * C2H4绝对增长率
     */
    @ApiModelProperty(name = "c2h4AbsoluteRate", value = "C2H4绝对增长率")
    private String c2h4AbsoluteRate;

    /**
     * C2H4相对增长率
     */
    @ApiModelProperty(name = "c2h4RelativeRate", value = "C2H4相对增长率")
    private String c2h4RelativeRate;

    /**
     * C2H4精度指标
     */
    @ApiModelProperty(name = "c2h4Accuracy", value = "C2H4精度指标")
    private String c2h4Accuracy;

    /**
     * C2H2阈值
     */
    @ApiModelProperty(name = "c2h2Threshold", value = "C2H2阈值")
    private String c2h2Threshold;

    /**
     * C2H2预警值
     */
    @ApiModelProperty(name = "c2h2Warning", value = "C2H2预警值")
    private String c2h2Warning;

    /**
     * C2H2绝对增长率
     */
    @ApiModelProperty(name = "c2h2AbsoluteRate", value = "C2H2绝对增长率")
    private String c2h2AbsoluteRate;

    /**
     * C2H2相对增长率
     */
    @ApiModelProperty(name = "c2h2RelativeRate", value = "C2H2相对增长率")
    private String c2h2RelativeRate;

    /**
     * C2H2精度指标
     */
    @ApiModelProperty(name = "c2h2Accuracy", value = "C2H2精度指标")
    private String c2h2Accuracy;

    /**
     * H2O阈值
     */
    @ApiModelProperty(name = "h2oThreshold", value = "H2O阈值")
    private String h2oThreshold;

    /**
     * H2O预警值
     */
    @ApiModelProperty(name = "h2oWarning", value = "H2O预警值")
    private String h2oWarning;

    /**
     * H2O绝对增长率
     */
    @ApiModelProperty(name = "h2oAbsoluteRate", value = "H2O绝对增长率")
    private String h2oAbsoluteRate;

    /**
     * H2O相对增长率
     */
    @ApiModelProperty(name = "h2oRelativeRate", value = "H2O相对增长率")
    private String h2oRelativeRate;

    /**
     * H2O精度指标
     */
    @ApiModelProperty(name = "h2oAccuracy", value = "H2O精度指标")
    private String h2oAccuracy;

    /**
     * O2阈值
     */
    @ApiModelProperty(name = "o2Threshold", value = "O2阈值")
    private String o2Threshold;

    /**
     * O2预警值
     */
    @ApiModelProperty(name = "o2Warning", value = "O2预警值")
    private String o2Warning;

    /**
     * O2绝对增长率
     */
    @ApiModelProperty(name = "o2AbsoluteRate", value = "O2绝对增长率")
    private String o2AbsoluteRate;

    /**
     * O2相对增长率
     */
    @ApiModelProperty(name = "o2RelativeRate", value = "O2相对增长率")
    private String o2RelativeRate;

    /**
     * O2精度指标
     */
    @ApiModelProperty(name = "o2Accuracy", value = "O2精度指标")
    private String o2Accuracy;

    /**
     * N2阈值
     */
    @ApiModelProperty(name = "n2Threshold", value = "N2阈值")
    private String n2Threshold;

    /**
     * N2预警值
     */
    @ApiModelProperty(name = "n2Warning", value = "N2预警值")
    private String n2Warning;

    /**
     * N2绝对增长率
     */
    @ApiModelProperty(name = "n2AbsoluteRate", value = "N2绝对增长率")
    private String n2AbsoluteRate;

    /**
     * N2相对增长率
     */
    @ApiModelProperty(name = "n2RelativeRate", value = "N2相对增长率")
    private String n2RelativeRate;

    /**
     * N2精度指标
     */
    @ApiModelProperty(name = "n2Accuracy", value = "N2精度指标")
    private String n2Accuracy;

    /**
     * 温度阈值
     */
    @ApiModelProperty(name = "tmpThreshold", value = "温度阈值")
    private String tmpThreshold;

    /**
     * 温度预警值
     */
    @ApiModelProperty(name = "tmpWarning", value = "温度预警值")
    private String tmpWarning;

    /**
     * 温度绝对增长率
     */
    @ApiModelProperty(name = "tmpAbsoluteRate", value = "温度绝对增长率")
    private String tmpAbsoluteRate;

    /**
     * 温度相对增长率
     */
    @ApiModelProperty(name = "tmpRelativeRate", value = "温度相对增长率")
    private String tmpRelativeRate;

    /**
     * 温度精度指标
     */
    @ApiModelProperty(name = "tmpAccuracy", value = "温度精度指标")
    private String tmpAccuracy;

    /**
     * 湿度阈值
     */
    @ApiModelProperty(name = "dewThreshold", value = "湿度阈值")
    private String dewThreshold;

    /**
     * 湿度预警值
     */
    @ApiModelProperty(name = "dewWarning", value = "湿度预警值")
    private String dewWarning;

    /**
     * 湿度绝对增长率
     */
    @ApiModelProperty(name = "dewAbsoluteRate", value = "湿度绝对增长率")
    private String dewAbsoluteRate;

    /**
     * 湿度相对增长率
     */
    @ApiModelProperty(name = "dewRelativeRate", value = "湿度相对增长率")
    private String dewRelativeRate;

    /**
     * 湿度精度指标
     */
    @ApiModelProperty(name = "dewAccuracy", value = "湿度精度指标")
    private String dewAccuracy;

    /**
     * 微水阈值
     */
    @ApiModelProperty(name = "mstThreshold", value = "微水阈值")
    private String mstThreshold;

    /**
     * 微水预警值
     */
    @ApiModelProperty(name = "mstWarning", value = "微水预警值")
    private String mstWarning;

    /**
     * 微水绝对增长率
     */
    @ApiModelProperty(name = "mstAbsoluteRate", value = "微水绝对增长率")
    private String mstAbsoluteRate;

    /**
     * 微水相对增长率
     */
    @ApiModelProperty(name = "mstRelativeRate", value = "微水相对增长率")
    private String mstRelativeRate;

    /**
     * 微水精度指标
     */
    @ApiModelProperty(name = "mstAccuracy", value = "微水精度指标")
    private String mstAccuracy;

    /**
     * 瓦斯继电器中故障气阈值
     */
    @ApiModelProperty(name = "flatGasThreshold", value = "瓦斯继电器中故障气阈值")
    private String flatGasThreshold;

    /**
     * 瓦斯继电器中故障气预警值
     */
    @ApiModelProperty(name = "flatGasWarning", value = "瓦斯继电器中故障气预警值")
    private String flatGasWarning;

    /**
     * 瓦斯继电器中故障气绝对增长率
     */
    @ApiModelProperty(name = "flatGasAbsoluteRate", value = "瓦斯继电器中故障气绝对增长率")
    private String flatGasAbsoluteRate;

    /**
     * 瓦斯继电器中故障气相对增长率
     */
    @ApiModelProperty(name = "flatGasRelativeRate", value = "瓦斯继电器中故障气相对增长率")
    private String flatGasRelativeRate;

    /**
     * 瓦斯继电器中故障气精度指标
     */
    @ApiModelProperty(name = "flatGasAccuracy", value = "瓦斯继电器中故障气精度指标")
    private String flatGasAccuracy;

    /**
     * 总可燃气体阈值
     */
    @ApiModelProperty(name = "cmbuGasThreshold", value = "总可燃气体阈值")
    private String cmbuGasThreshold;

    /**
     * 总可燃气体预警值
     */
    @ApiModelProperty(name = "cmbuGasWarning", value = "总可燃气体预警值")
    private String cmbuGasWarning;

    /**
     * 总可燃气体绝对增长率
     */
    @ApiModelProperty(name = "cmbuGasAbsoluteRate", value = "总可燃气体绝对增长率")
    private String cmbuGasAbsoluteRate;

    /**
     * 总可燃气体相对增长率
     */
    @ApiModelProperty(name = "cmbuGasRelativeRate", value = "总可燃气体相对增长率")
    private String cmbuGasRelativeRate;

    /**
     * 总可燃气体精度指标
     */
    @ApiModelProperty(name = "cmbuGasAccuracy", value = "总可燃气体精度指标")
    private String cmbuGasAccuracy;

    /**
     * 总烃阈值
     */
    @ApiModelProperty(name = "totalHydrocarbonThreshold", value = "总烃阈值")
    private String totalHydrocarbonThreshold;

    /**
     * 总烃预警值
     */
    @ApiModelProperty(name = "totalHydrocarbonWarning", value = "总烃预警值")
    private String totalHydrocarbonWarning;

    /**
     * 总烃绝对增长率
     */
    @ApiModelProperty(name = "totalHydrocarbonAbsoluteRate", value = "总烃绝对增长率")
    private String totalHydrocarbonAbsoluteRate;

    /**
     * 总烃相对增长率
     */
    @ApiModelProperty(name = "totalHydrocarbonRelativeRate", value = "总烃相对增长率")
    private String totalHydrocarbonRelativeRate;

    /**
     * 总烃精度指标
     */
    @ApiModelProperty(name = "totalHydrocarbonAccuracy", value = "总烃精度指标")
    private String totalHydrocarbonAccuracy;
}