package com.huatek.busi.vo;

import java.io.Serializable;
import java.time.LocalDateTime;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 变压器运行工况阈值
 * 
 * @author buck_guo
 * @date 2019/08/07
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class TransformerRunStatusThresholdVo implements Serializable{
    
    /**
     *
     */
    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    private String id;

    /**
     * 站点ID
     */
    private String siteId;

    /**
     * 站点设备数ID
     */
    private String mainTreeId;
    
    /**
     * 工作状态（1：发电、2：抽水、3：空闲）
     */
    private String workStatus;

    /**
     * 冷却水进口压力
     */
    private String coolingwaterInletPressure;

    /**
     * 冷却水出口压力
     */
    private String coolingwaterOutletPressure;
    

    /**
     * 冷却水进口温度
     */
    private String coolingwaterInletTemperature;

    /**
     * 冷却水出口温度
     */
    private String coolingwaterOutletTemperature;

    /**
     * 绕组温度
     */
    private String windingTemperature;

    /**
     * 变压器油进口油压力(MPa)
     */
    private String circulatingOilInletPressure;
    
    /**
     * 变压器油出口油压力(MPa)
     */
    private String circulatingOilOutletPressure;
    
    
    /**
     * 变压器油进口油温度(℃)
     */
    private String circulatingOilInletTemperature;
    
    /**
     * 变压器油出口油温度(℃)
     */
    private String circulatingOilOutletTemperature;

    /**
     * 油枕油位
     */
    private String oilpillowOillevel;

    /**
     * 变压器油位
     */
    private String transformerOntologyOillevel;

    /**
     * 变压器本体油温(℃)
     */
    private String oilTemperature;

    /**
     * 变压器顶层油温（℃）
     */
    private String topOilTemperature;

    /**
     * 创建时间
     */
    private LocalDateTime createdTime;

    /**
     * 创建人ID
     */
    private String creator;

    /**
     * 修改时间
     */
    private LocalDateTime modifiedTime;

    /**
     * 修改人ID
     */
    private String modifier;
}