package com.huatek.busi.vo;

import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 *绕组测温阈值
 * @author buck_guo
 * @date 2019/08/09
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class WindingThresholdVo implements Serializable{

    /**
    *
    */
   private static final long serialVersionUID = 1L;

   /**
    *   主键
    */
   private String id;

   /**
    * 站点ID
    */
   private String siteId;

   /**
    * 站点设备数ID
    */
   private String mainTreeId;

   /**
    *
    */
   private String sensorCode;

   /**
    * 设备类型(1：变压器、2：GIS设备、4：避雷器)
    */
    private String type;
   /**
    * 工作状态（1：发电、2：抽水、3：空闲）
    */
    private String workStatus;

   /**
    * 区域位置
    */
    private Integer regionPosition;
   /**
    * 区域阈值
    */
    private String regionThreshold;

   /**
    * 阈值描述
    */
    private String description;
    /**
     * 创建时间
     */
    private LocalDateTime createdTime;

    /**
     * 创建人ID
     */
    private String creator;

    /**
     * 修改时间
     */
    private LocalDateTime modifiedTime;

    /**
     * 修改人ID
     */
    private String modifierId;
}
