package com.huatek.busi.vo.cable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * 其他阈值
 *
 * @author Bobi_huo
 * @date 2020-09-16 10:32
 */
@ApiModel(value = "BusiOtherThresholdVo", description = "其他阈值 Vo")
@Data
@EqualsAndHashCode(callSuper = false)
public class BusiOtherThresholdVo implements Serializable {

    private static final long serialVersionUID = -4747819772015386513L;

    /**
     * 主键ID
     */
    @ApiModelProperty(name = "id", value = "主键ID")
    private String id;

    /**
     * 站点ID
     */
    @ApiModelProperty(name = "siteId", value = "站点ID")
    private String siteId;

    /**
     * 站点设备树ID
     */
    @ApiModelProperty(name = "mainTreeId", value = "站点设备树ID")
    private String mainTreeId;

    /**
     * 传感器编码
     */
    @ApiModelProperty(name = "sensorCode", value = "传感器编码")
    private String sensorCode;

    /**
     * 设备运行状态：0-无  1-发电  2-抽水  3-空闲
     */
    @ApiModelProperty(name = "runState", value = "设备运行状态")
    private String runState;

    /**
     * 电流（A）告警值
     */
    @ApiModelProperty(name = "electThresholdVal", value = "电流（A）告警值")
    private String electThresholdVal;

    /**
     * 电流（A）预警值
     */
    @ApiModelProperty(name = "electPrewarningVal", value = "电流（A）预警值")
    private String electPrewarningVal;

    /**
     * 相对增长率（%）告警值（日）
     */
    @ApiModelProperty(name = "relativeGrowthDayVal", value = "相对增长率（%）告警值（日）")
    private String relativeGrowthDayVal;

    /**
     * 相对增长率（%）告警值（月）
     */
    @ApiModelProperty(name = "relativeGrowthMonthVal", value = "相对增长率（%）告警值（月）")
    private String relativeGrowthMonthVal;

    /**
     * 相对增长率（%）预警值（日）
     */
    @ApiModelProperty(name = "relativeGrowthPrewarningDayVal", value = "相对增长率（%）预警值（日）")
    private String relativeGrowthPrewarningDayVal;

    /**
     * 相对增长率（%）预警值（月）
     */
    @ApiModelProperty(name = "relativeGrowthPrewarningMonthVal", value = "相对增长率（%）预警值（月）")
    private String relativeGrowthPrewarningMonthVal;

    /**
     * 创建时间
     */
    @ApiModelProperty(name = "createdTime", value = "创建时间")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createdTime;

    /**
     * 创建人ID
     */
    @ApiModelProperty(name = "creator", value = "创建人ID")
    private String creator;

    /**
     * 修改时间
     */
    @ApiModelProperty(name = "modifiedTime", value = "修改时间")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    private LocalDateTime modifiedTime;

    /**
     * 修改人ID
     */
    @ApiModelProperty(name = "modifier", value = "修改人ID")
    private String modifier;
}
