package com.huatek.busi.vo.cable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDate;
import java.time.LocalDateTime;

/**
 * 电缆环流的详情数据Vo
 *
 * @author Bobi_huo
 * @date 2020-11-27 11:16
 */
@ApiModel(value = "CableCirculationDataVo", description = "电缆环流的详情数据Vo")
@Data
@EqualsAndHashCode(callSuper = false)
public class CableCirculationDataVo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @ApiModelProperty(name = "id", value = "")
    private String id;

    /**
     * 站点Id
     */
    @ApiModelProperty(name = "siteId", value = "站点Id")
    private String siteId;

    /**
     * sersorid
     */
    @ApiModelProperty(name = "sensorCode", value = "sersorid")
    private String sensorCode;

    /**
     * 安装位置 0：全相  1:A相  2:B相  3:C相
     */
    @ApiModelProperty(name = "position", value = "安装位置 0：全相  1:A相  2:B相  3:C相")
    private String position;

    /**
     * 电流值
     */
    @ApiModelProperty(name = "totalCoreCurrent", value = "电流值")
    private String totalCoreCurrent;

    /**
     * 创建时间
     */
    @ApiModelProperty(name = "createTime", value = "创建时间")
    private LocalDateTime createTime;

    /**
     * 站点设备树ID
     */
    @ApiModelProperty(name = "mainTreeId", value = "站点设备树ID")
    private String mainTreeId;

    /**
     * 外挂设备树ID
     */
    @ApiModelProperty(name = "subTreeId", value = "外挂设备树ID")
    private String subTreeId;

    /**
     * 修改时间
     */
    @ApiModelProperty(name = "modifiedTime", value = "修改时间")
    private LocalDateTime modifiedTime;

    /**
     * 设备名称
     */
    @ApiModelProperty(name = "equipmentName", value = "设备名称")
    private String equipmentName;

    /**
     * 设备标牌
     */
    @ApiModelProperty(name = "equipmentBrand", value = "设备标牌")
    private String equipmentBrand;

    /**
     * 设备运行状态：0-无  1-发电  2-抽水  3-空闲
     */
    @ApiModelProperty(name = "runState", value = "设备运行状态")
    private String runState;

    /**
     * 设备生产厂家
     */
    @ApiModelProperty(name = "manufactor", value = "设备生产厂家")
    private String manufactor;

    /**
     * 设备投运日期
     */
    @ApiModelProperty(name = "useDate", value = "设备投运日期")
    private LocalDate useDate;

    /**
     * 设备安装位置
     */
    @ApiModelProperty(name = "installLocation", value = "设备安装位置")
    private String installLocation;

    /**
     * 电流（A）告警值
     */
    @ApiModelProperty(name = "electThresholdVal", value = "电流（A）告警值")
    private String electThresholdVal;

    /**
     * 电流（A）预警值
     */
    @ApiModelProperty(name = "electPrewarningVal", value = "电流（A）预警值")
    private String electPrewarningVal;

    /**
     * 相对增长率（%）告警值（日）
     */
    @ApiModelProperty(name = "relativeGrowthDayVal", value = "相对增长率（%）告警值（日）")
    private String relativeGrowthDayVal;

    /**
     * 相对增长率（%）告警值（月）
     */
    @ApiModelProperty(name = "relativeGrowthMonthVal", value = "相对增长率（%）告警值（月）")
    private String relativeGrowthMonthVal;

    /**
     * 相对增长率（%）预警值（日）
     */
    @ApiModelProperty(name = "relativeGrowthPrewarningDayVal", value = "相对增长率（%）预警值（日）")
    private String relativeGrowthPrewarningDayVal;

    /**
     * 相对增长率（%）预警值（月）
     */
    @ApiModelProperty(name = "relativeGrowthPrewarningMonthVal", value = "相对增长率（%）预警值（月）")
    private String relativeGrowthPrewarningMonthVal;

    /**
     * 误报率
     */
    @ApiModelProperty(name = "alarmRate", value = "误报率")
    private BigDecimal alarmRate;

    /**
     * 维修次数
     */
    @ApiModelProperty(name = "maintenanceCount", value = "维修次数")
    private Integer maintenanceCount;

}
