package com.huatek.busi.vo.cablecurrent;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.huatek.torch.sql.annotation.FieldName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import javax.xml.bind.annotation.XmlRootElement;
import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.util.Date;

@ApiModel(value = "CableCurrentResultVO", description = "电缆载流管理 Vo")
@Data
@EqualsAndHashCode(callSuper = false)
public class CableCurrentPageVo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @ApiModelProperty(name = "id", value = "主键ID")
    private String id;


    /**
     * 发电/抽水 0--发电  1--抽水
     */
    @ApiModelProperty(value = "发电/抽水 0--发电  1--抽水",  name="flag")
    private String flag;

    /**
     * 抽水电流
     */
    @ApiModelProperty(value = "抽水电流",  name="pumpingCurrent")
    private BigDecimal pumpingCurrent;

    /**
     * 发电电流
     */
    @ApiModelProperty(value = "发电电流",  name="electricPowerCurrent")
    private BigDecimal electricPowerCurrent;


    /**
     * 抽水时长
     */
    @ApiModelProperty(value = "抽水时长",  name="pumpingDuration")
    private BigDecimal pumpingDuration;

    /**
     * 发电时长
     */
    @ApiModelProperty(value = "发电时长",  name="electricPowerDuration")
    private BigDecimal electricPowerDuration;

    @ApiModelProperty(name = "type", value = "1.手动 2.自动")
    private String type;

    @ApiModelProperty(name = "name", value = "name")
    private String name;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间",  name="createTime")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private LocalDateTime createTime;
}
