package com.huatek.busi.vo.datainput;

import java.io.Serializable;
import java.time.LocalDateTime;

import org.springframework.format.annotation.DateTimeFormat;

import com.huatek.busi.common.annotation.ExcelAnnotation;

import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * GIS-断路器监测数据VO
 * @author edward
 * @date 2019-11-20
 *
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class GisBreakerMonitorVo implements Serializable{

	private static final long serialVersionUID = 1L;

	/**
     * 
     */
    private String id;

    /**
     * 站点ID
     */
    private String siteId;
    
    /**
     * 站点名称
     */
    private String siteName;

    /**
     * 站点设备树ID（主设备ID）
     */
    private String mainTreeId;
    
    /**
     * 站点设备树名称（主设备ID）
     */
    private String mainTreeName;
    
    /**
     * 系统设备编码
     */
    @ExcelAnnotation(exportName = "变电设备编号")
    private String systemCode;
    
    /**
     * 变电设备
     */
    @ExcelAnnotation(exportName = "变电设备")
    private String equipmentName;

    
    /**
     * 监测时间
     */
    @ExcelAnnotation(exportName = "监测时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime jcTime;
    

    /**
     * 工作状态（1：发电、2：抽水、3：空闲）
     */
    @ExcelAnnotation(exportName = "工作状态")
    private String workState;
    
    
    /**
     * 断开电流(A)
     */
    @ExcelAnnotation(exportName = "断开电流(A)")
    private String abortCurrent;
    
    /**
     * 断开电压（V）
     */
    @ExcelAnnotation(exportName = "断开电压(V)")
    private String abortVoltage;
    
    /**
     * 电流故障百分比(%)
     */
    @ExcelAnnotation(exportName = "电流故障百分比(%)")
    private String faildRate;
    
    
    /**
     * 是否故障
     */
    @ExcelAnnotation(exportName = "是否故障")
    private String isFault;
    
    
    /**
     * 电流故障百分比(%)
     */
    @ExcelAnnotation(exportName = "状态")
    private String isBreak;
       
}
