package com.huatek.busi.vo.datainput;

import java.io.Serializable;
import java.time.LocalDate;
import java.time.LocalDateTime;

import org.springframework.format.annotation.DateTimeFormat;

import com.huatek.busi.common.annotation.ExcelAnnotation;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 在线监测数据-局放导出VO
 * @author Administrator
 *
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class TransformerInputPdVo implements Serializable {
	private static final long serialVersionUID = 1L;
	
	
	    @ApiModelProperty(name = "systemCode", value = "变电设备编号")
	    @ExcelAnnotation(exportName="变电设备编号")
	    private String systemCode;
	    
	    @ApiModelProperty(name = "equipmentName", value = "变电设备")
	    @ExcelAnnotation(exportName="变电设备")
	    private String equipmentName;
	    
	    
		@ApiModelProperty(name = "sensorId", value = "传感器编号")
		 @ExcelAnnotation(exportName="传感器编号")
		private String sensorId;
		
		
	    @ApiModelProperty(name = "sensorName", value = "传感器名称")
	    @ExcelAnnotation(exportName="传感器名称")
	    private String  sensorName;
	    
	    @ApiModelProperty(name = "timeStamp", value = "监测时间")
	    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	    @ExcelAnnotation(exportName="监测时间")
	    private LocalDateTime timeStamp;
	    
	    @ApiModelProperty(name = "PHASE", value = "安装相位")
	    @ExcelAnnotation(exportName="安装相位")
	    private String  PHASE;
	    
	    
	    @ApiModelProperty(name = "dischargeCapacity", value = "放电量(pC/dB)")
	    @ExcelAnnotation(exportName="放电量(pC/dB)")
		private String dischargeCapacity;
	    
	    
	    @ApiModelProperty(name = "dischargePosition", value = "放电位置")
	    @ExcelAnnotation(exportName="放电位置")
	    private String dischargePosition;
	    
	    
	    /**
	     * 放电类型
	     */
	    @ApiModelProperty(name = "dischargeType", value = "放电类型")
	    @ExcelAnnotation(exportName="放电类型")
	    private String dischargeType;
	    
	    
	    /**
	     * 放电次数
	     */
	    @ApiModelProperty(name = "pulseCount", value = "放电次数")
	    @ExcelAnnotation(exportName="放电次数")
	    private String pulseCount;
	    
	    
	    /**
	     * 放电波形
	     */
	    @ApiModelProperty(name = "pulseWaveform", value = "放电波形")
	    @ExcelAnnotation(exportName="放电波形")
	    private String pulseWaveform;
}
