package com.huatek.busi.vo.index;

import java.time.LocalDate;

import org.springframework.format.annotation.DateTimeFormat;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 设备标识信息，站点、设备ID、编码等
 * 
 * @author anker_cheng
 * @date 2019/07/10
 */
@ApiModel(value = "IndexEquipCodeVo", description = "设备标识信息，站点、设备ID、编码等")
@Data
public class IndexEquipCodeVo {

    @ApiModelProperty(name = "siteId", value = "站点ID")
    private String siteId;

    @ApiModelProperty(name = "siteName", value = "站点名称")
    private String siteName;

    @ApiModelProperty(name = "mainEquipmentId", value = "主设备ID")
    private String mainEquipmentId;
    @ApiModelProperty(name = "mainEquipmentName", value = "主设备名称")
    private String mainEquipmentName;

    @ApiModelProperty(name = "subEquipmentId", value = "外挂设备ID")
    private String subEquipmentId;

    @ApiModelProperty(name = "subEquipmentName", value = "外挂设备名称")
    private String subEquipmentName;

    @ApiModelProperty(name = "manufactor", value = "生产厂家")
    private String manufactor;

    @ApiModelProperty(name = "useDate", value = "投运时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private LocalDate useDate;
}
