package com.huatek.busi.vo.monitor;

import java.io.Serializable;
import java.time.LocalDate;
import org.springframework.format.annotation.DateTimeFormat;
import com.huatek.busi.common.annotation.ExcelAnnotation;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 监测管理-图片数据导出
 *
 * @author Administrator
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class BusiMonitorCableDataVo implements Serializable {

    private static final long serialVersionUID = 1L;

    public String index;

    @ApiModelProperty(name = "equipmentType", value = "变电设备类型")
    @ExcelAnnotation(exportName = "变电设备类型")
    private String equipmentType;


    @ApiModelProperty(name = "siteTreename", value = "变电设备")
    @ExcelAnnotation(exportName = "变电设备")
    private String siteTreename;


    @ApiModelProperty(name = "subEquipmentType", value = "监测装置类型")
    @ExcelAnnotation(exportName = "监测装置类型")
    private String subEquipmentType;


    @ApiModelProperty(name = "subTreeName", value = "监测装置")
    @ExcelAnnotation(exportName = "监测装置")
    private String subTreeName;

    @ApiModelProperty(name = "sensorInstallLocation", value = "安装位置")
    @ExcelAnnotation(exportName = "安装位置")
    private String sensorInstallLocation;

    @ApiModelProperty(name = "sensorposition", value = "相位")
    @ExcelAnnotation(exportName = "相位")
    private String sensorposition;

    @ApiModelProperty(name = "sensorBrand", value = "标牌")
    @ExcelAnnotation(exportName = "标牌")
    private String sensorBrand;

    @ApiModelProperty(name = "day", value = "日期")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @ExcelAnnotation(exportName = "采集日期")
    private LocalDate day;

    @ApiModelProperty(name = "sensorManufactor", value = "生产厂家")
    @ExcelAnnotation(exportName = "生产厂家")
    private String sensorManufactor;


    @ApiModelProperty(name = "sensorUseDate", value = "投运时间")
    @ExcelAnnotation(exportName = "投运时间")
    private String sensorUseDate;

    @ApiModelProperty(name = "totalCoreCurrent", value = "采样数据（A）")
    @ExcelAnnotation(exportName = "采样数据（A）")
    private String totalCoreCurrent;

    @ApiModelProperty(name = "monthlyGrowthRate", value = "月增长率（%）")
    @ExcelAnnotation(exportName = "月增长率（%）")
    private String monthlyAbsolutelyGrowthRate;

    @ApiModelProperty(name = "lossRate", value = "数据缺失率（%）")
    @ExcelAnnotation(exportName = "数据缺失率（%）")
    private String lossRate;

    @ApiModelProperty(name = "falseAlarmRate", value = "误报率（%/月）")
    @ExcelAnnotation(exportName = "误报率（%）")
    private String falseAlarmRate;

    @ApiModelProperty(name = "repairCount", value = "维修次数")
    @ExcelAnnotation(exportName = "维修次数")
    private String repairCount;

    public String current;

    public String runState;

    public String time;
}
