package com.huatek.busi.vo.monitor;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

import com.huatek.busi.vo.BusiSubInfoVo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

/**
 * 避雷器实时数据二级页面数据 Vo
 * 
 * @author edward
 * @date 2019/10/28
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = false)
@ApiModel(value = "BusiRptArresterMonitorVo", description = "避雷器实时数据二级页面数据 Vo")
public class BusiRptArresterMonitorVo extends BusiSubInfoVo implements Serializable {
	private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "fullAlc", value = "全电流数据")
    private String fullAlc;

    @Builder.Default
    @ApiModelProperty(name = "fullAlarmValue", value = "全电流报警值")
    private String fullAlarmValue = "-";

    @ApiModelProperty(name = "fullThresholdValue", value = "全电流阈值")
    private String fullThresholdValue;

    @ApiModelProperty(name = "fullWarningValue", value = "全电流预警值")
    private String fullWarningValue;
    
    @ApiModelProperty(name = "hindranceAlc", value = "阻性电流数据")
    private String hindranceAlc;

    @Builder.Default
    @ApiModelProperty(name = "hindranceAlarmValue", value = "阻性电流报警值")
    private String hindranceAlarmValue = "-";

    @ApiModelProperty(name = "hindranceThresholdValue", value = "阻性电流阈值")
    private String hindranceThresholdValue;

    @ApiModelProperty(name = "hindranceWarningValue", value = "阻性电流预警值")
    private String hindranceWarningValue;

    @ApiModelProperty(name = "equipmentStatus", value = "设备状态")
    private String equipmentStatus;

    @Builder.Default
    @ApiModelProperty(name = "stabilityIndex", value = "稳定性指标")
    private String stabilityIndex = "-";
    
    @Builder.Default
    @ApiModelProperty(name = "totalActionCount", value = "累计雷击次数")
    private String totalActionCount = "-";
    
	@ApiModelProperty(name = "mainEquipmentName", value = "主设备名称")
    private String mainEquipmentName;
	
	private List<BusiRptArresterMonitorDeailsVo> list = new ArrayList<>();
}
