/**
 * 
 */
package com.huatek.busi.vo.routinetest;

import java.io.Serializable;

import com.huatek.busi.vo.routinetest.transformer.BushLossTangent;
import com.huatek.busi.vo.routinetest.transformer.BushingCapacitanceMediumLoss;
import com.huatek.busi.vo.routinetest.transformer.CardboardTest;
import com.huatek.busi.vo.routinetest.transformer.ExcitationCharacteristict;
import com.huatek.busi.vo.routinetest.transformer.FurfuralTest;
import com.huatek.busi.vo.routinetest.transformer.InsulationOilTest;
import com.huatek.busi.vo.routinetest.transformer.LowVoltageNoLoad;
import com.huatek.busi.vo.routinetest.transformer.NoloadCurrentAndNoloadLoss;
import com.huatek.busi.vo.routinetest.transformer.SealingTest;
import com.huatek.busi.vo.routinetest.transformer.ShortCircuitImpedanceLoadLoss;
import com.huatek.busi.vo.routinetest.transformer.SoundLevelMeasurement;
import com.huatek.busi.vo.routinetest.transformer.TemperatureRiseTest;
import com.huatek.busi.vo.routinetest.transformer.WindingBushLossTangent;
import com.huatek.busi.vo.routinetest.transformer.WindingBushingDCLeakageCurrent;
import com.huatek.busi.vo.routinetest.transformer.WindingBushingDCResistance;
import com.huatek.busi.vo.routinetest.transformer.WindingInsulationResistanceAndCapacitanceDielectricLoss;
import com.huatek.busi.vo.routinetest.transformer.WindingIronCoreIsulationResistance;
import com.huatek.busi.vo.routinetest.transformer.WindingResistance;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
  * @ClassName: TransformerTest
  * @FullClassPath: com.huatek.busi.vo.routinetest.TransformerTest
  * @Description: 变压器例行实现
  * @author: Arno
  * @date: Aug 27, 2019 3:37:26 PM
  * @version: 1.0
  */

@Data
@EqualsAndHashCode(callSuper = false)
public class TransformerTestVo implements Serializable {
	
	/** @Fields serialVersionUID : */ 
	private static final long serialVersionUID = -9215438474792479765L;
	
	/** @Fields id : 主键*/ 
	public String id ;
	
	/** @Fields TransformerId : 变压器ID*/ 
	public String transformerId ;
	
	/** @Fields mainTreeId : 站点树id*/ 
	private String mainTreeId;
	

	/** @Fields windingBushingDCResistance : 测量绕组连同套管的直流电阻*/ 
	public WindingBushingDCResistance  windingBushingDCResistance;
	
	/** @Fields windingIronCoreIsulationResistance :测量绕组及铁芯的绝缘电阻 */ 
	public WindingIronCoreIsulationResistance  windingIronCoreIsulationResistance;
	
	/** @Fields windingBushLossTangent : 测量绕组连同套管的介质损耗角正切值*/ 
	public WindingBushLossTangent  windingBushLossTangent;
	
	/** @Fields bushLossTangent : 测量套管的介质损耗角正切值*/ 
	public BushLossTangent  bushLossTangent;
	
	/** @Fields windingBushingDCLeakageCurrent :测量绕组连同套管的直流泄露电流 */ 
	public WindingBushingDCLeakageCurrent  windingBushingDCLeakageCurrent;
	
	/** @Fields windingResistance : 绕组电阻测量*/ 
	public WindingResistance  windingResistance;
	
	/** @Fields windingInsulationResistanceAndCapacitanceDielectricLoss : 绕组对地绝缘电阻和绝缘系统电容和介质损耗测量*/ 
	public WindingInsulationResistanceAndCapacitanceDielectricLoss  windingInsulationResistanceAndCapacitanceDielectricLoss;
	
	/** @Fields bushingCapacitanceMediumLoss : 套管电容和介质损耗测量*/ 
	public BushingCapacitanceMediumLoss  bushingCapacitanceMediumLoss;
	
	/** @Fields noloadCurrentAndNoloadLoss : 空载电流和空载损耗测量*/ 
	public NoloadCurrentAndNoloadLoss  noloadCurrentAndNoloadLoss;
	
	/** @Fields lowVoltageNoLoad : 低电压下空载测量*/ 
	public LowVoltageNoLoad  lowVoltageNoLoad;
	
	/** @Fields excitationCharacteristict : 励磁特性测量*/ 
	public ExcitationCharacteristict  excitationCharacteristict;
	
	/** @Fields shortCircuitImpedanceLoadLoss : 短路阻抗和负载损耗量（t=75℃）例行*/ 
	public ShortCircuitImpedanceLoadLoss  shortCircuitImpedanceLoadLoss;
	
	/** @Fields sealingTest :密封试验 */ 
	public SealingTest  sealingTest;
	
	/** @Fields soundLevelMeasurement : 声级测定*/ 
	public SoundLevelMeasurement  soundLevelMeasurement;
	
	/** @Fields temperatureRiseTest : 温升试验（型式）*/ 
	public TemperatureRiseTest  temperatureRiseTest;
	
	/** @Fields insulationOilTest : 绝缘油试验*/ 
	public InsulationOilTest  insulationOilTest;
	
	/** @Fields cardboardTest : 纸板聚合度*/ 
	public CardboardTest  cardboardTest;
	
	/** @Fields furfuralTest :糠醛试验 */ 
	public FurfuralTest furfuralTest;
	
}
