package com.huatek.busi.vo.warning;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 容性设备告警详情二级页面数据Vo
 * 
 * @author anker_cheng
 * @date 2019/08/09
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "BusiCapaItemVo", description = "容性设备告警详情二级页面数据Vo")
public class BusiCapaItemVo implements Serializable {
    private static final long serialVersionUID = -495279882747671704L;

    @ApiModelProperty(name = "phase", value = "相位")
    private String phase;

    @ApiModelProperty(name = "name", value = "电容（pF）; 泄露电流（mA）; 介损（tgθ）")
    private String name;

    @ApiModelProperty(name = "collectValue", value = "泄露电流采集数据")
    private String collectValue;

    @Builder.Default
    @ApiModelProperty(name = "alarmValue", value = "报警值")
    private String alarmValue = "-";

    @Builder.Default
    @ApiModelProperty(name = "stabilityIndex", value = "稳定性指标")
    private String stabilityIndex = "-";

    @ApiModelProperty(name = "thresholdValue", value = "阈值")
    private String thresholdValue;

    @ApiModelProperty(name = "warningValue", value = "预警值")
    private String warningValue;

    @ApiModelProperty(name = "equipmentStatus", value = "设备状态")
    private String equipmentStatus;
}
