package com.huatek.busi.vo.warning;

import java.io.Serializable;
import java.time.LocalDateTime;

import org.springframework.format.annotation.DateTimeFormat;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
  * @ClassName: BusiHomePageWarningVo
  * @FullClassPath: com.huatek.busi.vo.warning.BusiHomePageWarningVo
  * @Description: 告警提示Vo
  * @author: Arno
  * @date: Aug 12, 2019 5:15:20 PM
  * @version: 1.0
  */

@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value = "BusiHomePageWarningVo", description = "告警提示Vo")
public class BusiHomePageWarningVo implements Serializable {

    /** @Fields serialVersionUID : */
	private static final long serialVersionUID = -2384821329864836310L;

	@ApiModelProperty(name = "warningId", value = "告警ID")
    private String warningId;

    @ApiModelProperty(name = "sensorCode", value = "传感器编码")
    private String sensorCode;

    /** @Fields eqType : 故障大类1：变压器，2：gis，3：避雷器，4：测温柜 */
    @ApiModelProperty(name = "eqType", value = "故障大类 1：变压器，2：gis，3：避雷器，4：测温柜")
    private String eqType ;

    /** @Fields gzType : 故障小类
			1—油色谱
			2—局放
			3—铁芯接地
			4-红外测温
			5-SF6告警
			6-避雷器告警
			7-测温柜测温告警
			8-铁芯夹件告警
			9-运行工况告警
			10-测温点增长率
			11-读表数据告警
			12-容性告警
			13-套管告警 */
    @ApiModelProperty(name = "gzType", value = "故障小类故障小类 \r\n" +
        "            1—油色谱  \r\n" +
        "            2—局放 \r\n" +
        "            3—铁芯接地\r\n" +
        "            4-红外测温\r\n" +
        "            5-SF6告警\r\n" +
        "            6-避雷器告警\r\n" +
        "            7-测温柜测温告警\r\n" +
        "            8-铁芯夹件告警 \r\n" +
        "            9-运行工况告警\r\n" +
        "            10-测温点增长率\r\n" +
        "            11-读表数据告警 \r\n" +
        "            12-容性告警\r\n" +
        "            13-套管告警\r\n"+
        "            16-电缆局放告警\r\n" +
        "            17-电缆环流阈值告警\r\n" +
        "            18-电缆环流增长率告警\r\n" +
        "            19-电缆沟告警\r\n")
    private String gzType;

    @ApiModelProperty(name = "warningMsg", value = "预警信息")
    private String warningMsg;

    @ApiModelProperty(name = "warningFlag", value = "告警标识")
    private String warningFlag;

    @ApiModelProperty(name = "warningCount", value = "告警次数")
    private Integer warningCount;

    @ApiModelProperty(name = "warningTime", value = "预警时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime warningTime;

    /** @Fields mainTreeId : 站点树ID*/
    @ApiModelProperty(name = "mainTreeId", value = "站点树ID")
    private String mainTreeId ;

    @ApiModelProperty(name = "siteId", value = "站点ID")
    private String siteId;

    @ApiModelProperty(name = "sensorInstallLocation", value = "安装位置")
    private String sensorInstallLocation;

    /**
     * 设备状态
     */
    @ApiModelProperty(name = "runState", value = "设备状态")
    private String runState;


    @ApiModelProperty(name = "sensorName", value = "传感器名称")
    private String sensorName;


    @ApiModelProperty(name = "position", value = "相位")
    private String position;


    @ApiModelProperty(name = "warning_info", value = "告警详情")
    private String warningInfo;

}
