package com.huatek.busi.service;

import com.github.pagehelper.PageInfo;
import com.huatek.busi.entity.AppendixAssessmentResult;
import com.huatek.busi.entity.ArresterAssessmentResult;
import com.huatek.busi.entity.TransformerLoadRate;
import com.huatek.busi.vo.AppendixAssessmentResultVo;
import com.huatek.busi.vo.ArresterAssessmentResultVo;

import java.time.LocalDate;
import java.util.List;
import java.util.Map;

/**
 * 附件评估
 *
 * @author vent
 * @date 2023/03/31
 */
public interface AppendixAssessmentResultService {

    /**
     * 保存数据
     * @param appendixAssessmentResult
     * @return
     */
    int saveAppendixAssessmentResult(AppendixAssessmentResult appendixAssessmentResult );

    /**
     * 根据主设备Id获取最新记录
     * @param mainTreeId
     * @return
     */
    PageInfo<AppendixAssessmentResultVo> findAppendixAssessmentByMainTreeId(String siteId, String mainTreeId, Integer page, Integer limit, LocalDate startTime, LocalDate endTime, String type);

    Map<String, Object> findCalculateStep(String pid);

}
