package com.huatek.busi.service;

import com.github.pagehelper.PageInfo;
import com.huatek.busi.entity.ArresterAssessmentResult;
import com.huatek.busi.entity.GisAssessmentResult;
import com.huatek.busi.entity.TransformerLoadRate;
import com.huatek.busi.vo.ArresterAssessmentResultVo;
import com.huatek.busi.vo.GisAssessmentResultVo;

import java.time.LocalDate;
import java.util.List;
import java.util.Map;

/**
 * 避雷器评估
 *
 * @author vent
 * @date 2023/03/31
 */
public interface ArresterAssessmentResultService {

    /**
     * 保存数据
     * @param arresterAssessmentResult
     * @return
     */
    int saveArresterAssessmentResult(ArresterAssessmentResult arresterAssessmentResult);

    /**
     * 根据主设备Id获取最新记录
     * @param mainTreeId
     * @return
     */
    PageInfo<ArresterAssessmentResultVo> findArresterAssessmentByMainTreeId(String siteId, String mainTreeId, Integer page, Integer limit, LocalDate startTime, LocalDate endTime, String type);

    Map<String, Object> findCalculateStep(String pid);

    Map<String, Object> syncParams(String token, String siteId, String mainTreeId, String number);

    List<TransformerLoadRate> findArresterLoadRate();
}
