/**
 * 
 */
package com.huatek.busi.service;

import java.util.List;

import com.huatek.busi.entity.BusiEquipmentRelationship;
import com.huatek.busi.vo.TransformerTmpVo;

/**
  * @ClassName: BusiEquipmentRelationshipdService
  * @Description: 主设备关系服务.
  * @author: Arno
  * @date: Aug 21, 2019 2:05:35 PM
  * @version: 1.0
  */

public interface BusiEquipmentRelationshipService {

	
	/** 
	* @Title: findByEquipmentId 
	* @Description: 根据站点树ID获取 
	* @createDate: Aug 21, 2019 3:12:49 PM
	* @param    equipmentId  ---> GIS/ 测温柜 /避雷器 站点树ID
	* @return   BusiEquipmentRelationship    
	*/ 
	public BusiEquipmentRelationship findByEquipmentId(String equipmentId);
	
	
	
	/** 
	* @Title: insertBusiEquipmentRelationship 
	* @Description: 保存关系 
	* @createDate: Aug 21, 2019 3:27:51 PM
	* @param    entity
	* @return   Boolean    
	*/ 
	public Boolean insertBusiEquipmentRelationship(BusiEquipmentRelationship entity); 
	
	
	
	/**
	 * 取消绑定关系
	 */
	public Boolean cancelBusiEquipmentRelationship(BusiEquipmentRelationship entity); 
	
	/** 
	* @Title: getCurrentTransformerInfo 
	* @Description: 获取当前所属变压器信息 
	* @createDate: Aug 21, 2019 4:42:10 PM
	* @param    equipmentId
	* @return   TransformerTmpVo   
	*/ 
	public List<TransformerTmpVo> getCurrentTransformerInfo(String equipmentId);

	public List<TransformerTmpVo> getCurrentTransformerInfo2(String equipmentId);

	
}
