/**
 * 
 */
package com.huatek.busi.service;

import com.huatek.busi.dto.EquipmentInfoDto;
import com.huatek.busi.entity.BusiSiteTree;
import com.huatek.busi.vo.BusiTreeNodeVo;

import java.util.List;

/**
  * @ClassName: BusiSubTreeService
  * @FullClassPath: com.huatek.busi.service.BusiSubTreeService
  * @Description: 外挂设备树服务
  * @author: Arno
  * @date: Jun 27, 2019 6:35:07 PM
  * @version: 1.0
  */

public interface BusiSubTreeService {

	/** 
	* @Title: InsertSubTree 
	* @Description: 插入外挂设备树 
	* @createDate: Jun 27, 2019 6:36:48 PM
	* @param    busiSiteTree  站点树
	* @return   Boolean    
	*/ 
	public Boolean insertSubTree(BusiSiteTree busiSiteTree);
	
	
	/** 
	* @Title: findEquipmentInfo 
	* @Description: 获取设备信息 
	* @createDate: Jun 27, 2019 7:06:39 PM
	* @param   sensorCode     传感器系统编码
	* @param   equipmentType  设备类型
	* @return   Object   
	*/ 
	public  EquipmentInfoDto findEquipmentInfo(String sensorCode, String equipmentType);
	
	
	/** 
	* @Title: tree 
	* @Description: 外挂设备树 
	* @createDate: Jul 16, 2019 4:35:19 PM
	* @param    nodeId     节点ID
	* @param    nodeType   类型
	* @return   List<BusiTreeNodeVo>    
	*/ 
	public 	List<BusiTreeNodeVo> tree (String nodeId, String nodeType);


	/** 
	* @Title: updateNode 
	* @Description: 修改节点名称 
	* @createDate: Jul 16, 2019 4:33:32 PM
	* @param    nodeId     节点ID
	* @param    nodeType   类型
	* @param    newName    新名称
	* @return   void    
	*/ 
	public void updateNode(String nodeId, String nodeType, String newName);
	
	
	/** 
	* @Title: updateNodeBySiteTree 
	* @Description: 修改节点名称 
	* @createDate: Jul 16, 2019 4:33:32 PM
	* @param    nodeId     节点ID
	* @param    nodeType   类型
	* @param    newName    新名称
	* @return   void    
	*/ 
	public void updateNodeBySiteTree(BusiSiteTree busiSiteTree);


	/** 
	* @Title: deleteNode 
	* @Description: 删除节点 
	* @createDate: Jul 16, 2019 4:33:35 PM
	* @param    nodeId     节点ID
	* @param    nodeType   类型
	* @return   void    
	*/ 
	public void deleteNode(String nodeId, String nodeType);

	/** 
	* @Title: updateNode 
	* @Description: 修改节点名称 
	* @createDate: Jul 16, 2019 4:33:32 PM
	* @param    nodeId     节点ID
	* @param    nodeType   类型
	* @param    count      子节点数量
	* @return   void    
	*/ 
	public void insertNode(String nodeId, String nodeType, String count);
}