package com.huatek.busi.service;

import com.github.pagehelper.PageInfo;
import com.huatek.busi.dto.IecBaseConfDto;
import com.huatek.busi.entity.IecBaseConf;
import com.huatek.busi.vo.IecBaseConfVo;

/**
 * IEC104-基础地址配置表 Service
 *
 * @author anker_cheng
 * @date 2019-8-1 9:41:04
 */
public interface IecBaseConfService {

    /**
     * 分页查找查找 IEC104-基础地址配置表
     *
     * @param iecBaseConfDto IEC104-基础地址配置表Dto
     * @return Page<IecBaseConfVo> IEC104-基础地址配置表List
     */
	PageInfo<IecBaseConfVo> findIecBaseConfPage(IecBaseConfDto iecBaseConfDto);


    /**
     * 添加 IEC104-基础地址配置表
     * @param iecBaseConfDto IEC104-基础地址配置表Dto
     * @return int 影响的行数
     */
    int addIecBaseConf(IecBaseConfDto iecBaseConfDto);

    /**
     *  通过id查找 IEC104-基础地址配置表
     *
     * @param id 主键
     * @return IecBaseConf IEC104-基础地址配置表
     */
    IecBaseConf findIecBaseConf(String id);

    /**
     * 修改 IEC104-基础地址配置表
     * @param iecBaseConfDto IEC104-基础地址配置表Dto
     * @return int 影响的行数
     */
    int updateIecBaseConf(IecBaseConfDto iecBaseConfDto);

    /**
     * 删除 IEC104-基础地址配置表
     *
     * @param token token
     * @param ids 删除104配置数据ID
     * @return int 影响的行数
    */
    int deleteIecBaseConf(String[] ids);
}
