package com.huatek.busi.service.arrester;

import com.github.pagehelper.Page;
import com.huatek.busi.dto.ArresterMeteorologicalCacheDto;
import com.huatek.busi.entity.TransformerMeteorological;
import com.huatek.busi.vo.ArresterMeteorologicalCacheVo;
import com.huatek.busi.vo.MeteorologicalVo;

/**
 * 避雷器气象实时数据表 Service
 *
 * @author anker_cheng
 * @date Jun 28, 2019 4:19:37 PM
 */
public interface ArresterMeteorologicalCacheService {

    /**
     * 分页查找查找 避雷器气象实时数据表
     *
     * @param arresterMeteorologicalCacheDto 避雷器气象实时数据表Dto
     * @return Page<ArresterMeteorologicalCacheVo> 避雷器气象实时数据表List
     */
    Page<ArresterMeteorologicalCacheVo> findArresterMeteorologicalCachePage(
            ArresterMeteorologicalCacheDto arresterMeteorologicalCacheDto);

    /**
     * 保存避雷器气象实时数据
     * 
     * @param cacEntity
     * @return
     */
    int saveArresterMeteorologicalCache(TransformerMeteorological cacEntity);
    
    MeteorologicalVo queryMeteorologicalInfo(String sensorCode);
    
    MeteorologicalVo defaultMeteorologicalInfo();
}
