package com.huatek.busi.service.arrester;

import java.time.LocalDate;
import java.time.LocalDateTime;
import java.util.List;

import com.huatek.busi.dto.HomeSearchDto;
import com.huatek.busi.vo.HomeActualVo;
import com.huatek.busi.vo.LightningrodImStatisticsVo;
import com.huatek.busi.vo.stability.LightningrodImStabilityVo;

/**
 * 金属氧化物避雷器——绝缘监测：023001 Service
 *
 * @author anker_cheng
 * @date Jun 26, 2019 1:11:47 PM
 */
public interface LightningrodImService {

	List<LightningrodImStabilityVo> getByStatus(String sensorCode, String status, LocalDateTime begin, LocalDateTime end);

	LightningrodImStatisticsVo getListEquInfo(String cacMonitorTypeCode, LocalDate day, String sensorCode);
	
	/**
	 * 统计落雷监测次数
	 */
	String getSensorActionCount(String sensorCode, LocalDateTime startTime, LocalDateTime endTime);

	HomeActualVo queryActual(HomeSearchDto param);

}
