package com.huatek.busi.service.cac;

import java.util.Map;

/**
 * 此接口暴露给CAC WebService接口，负责将解析过的数据分发到对应的业务Service方法中进行处理
 *
 * @author anker cheng
 *
 * @Date 2019年6月26日
 */
public interface CacEtlFactoryService<T> {

    /**
     * 分发方法
     * 
     * @param cacEntity
     *            cacEntity解析后的数据Bean
     */
    void doDispatch(T cacEntity);

    /**
     * CAC历史数据分页查询
     * 
     * @param params
     *            参数
     * @return
     */
    Map<String, Object> findCACPageData(Map<String, Object> params);

    /**
     * CAC监测数据导出
     * 
     * @param params
     *            参数
     * @return
     */
    Map<String, Object> exportCacMonitorData(Map<String, Object> params);
}
