package com.huatek.busi.service.gis;

import java.time.LocalDateTime;
import java.util.List;
import java.util.Map;

import com.huatek.busi.vo.ReadTableCountVo;

/**
 * GIS读表、拍照数据 Service
 *
 * @author anker_cheng
 * @date 2019-8-22 16:34:58
 */
public interface GisReadTableService {
    Map<String, Object> exportPointTableData(Map<String, Object> map);

    /**
     * 获取传感器时间段统计信息
     * 
     * @param siteId
     *            站点ID
     * @param sensorCode
     *            传感器
     * @param startTime
     *            开始时间
     * @param endTime
     *            结束时间
     * @return
     */
    ReadTableCountVo getListEquInfo(String siteId, String sensorCode, LocalDateTime startTime, LocalDateTime endTime);
    List<Map<String,Object>> queryHistory(String sensorCode,LocalDateTime startTime,LocalDateTime endTime);
}
