package com.huatek.busi.service.gis;

import java.time.LocalDate;
import java.util.Map;

import com.github.pagehelper.PageInfo;
import com.huatek.busi.dto.RptGisMonitorSf6Dto;
import com.huatek.busi.entity.GisSf6Pressure;
import com.huatek.busi.vo.RptGisMonitorSf6Vo;

/**
 * GIS开关-SF6压力微水温度--实时界面数据 Service
 *
 * @author anker_cheng
 * @date Jul 1, 2019 3:06:44 PM
 */
public interface RptGisMonitorSf6Service {

    /**
     * 分页查找查找 GIS开关-SF6压力微水温度--实时界面数据
     *
     * @param rptGisMonitorSf6Dto GIS开关-SF6压力微水温度--实时界面数据Dto
     * @return Page<RptGisMonitorSf6Vo> GIS开关-SF6压力微水温度--实时界面数据List
     */
    PageInfo<RptGisMonitorSf6Vo> findRptGisMonitorSf6Page(RptGisMonitorSf6Dto rptGisMonitorSf6Dto);

    /**
     * 保存实时数据
     * 
     * @param cacEntity 数据实体
     * @return
     */
    int saveRptGisMonitorSf6(GisSf6Pressure cacEntity);
    
    
    /**
     * 获取GIS-断路器监测数据
     */
    Map<String, Object> findGisBreakerPage(Map<String, Object> params);
    
    /**
     * GIS-断路器监测数据导出
     * 
     * @param <VO>
     * @param params 参数
     * @return
     */
    Map<String, Object> exportBreakerMonitorList(String mainTreeId,String timeStamp,String timeStampEnd);
}
