package com.huatek.busi.service.param;

import com.huatek.busi.entity.BusiParamAppendix;
import com.huatek.busi.entity.BusiParamArrester;
import com.huatek.busi.vo.BusiParamAppendixVo;
import com.huatek.busi.vo.BusiParamArresterVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 附件的权重系数维护表 Service
 *
 * @author vent
 * @date 3 31, 2023 2:57:26 PM
 */
public interface BusiParamAppendixService {

    /**
     * 初始化设备分析参数
     *
     * @param token
     *            token
     * @param siteId
     *            站点ID
     * @param mainEquipmentId
     *            主设备编码
     */
    void initBusiParams(String token, String siteId, String mainEquipmentId);

    /**
     * 获取设备的分析参数列表
     *
     * @param siteId
     *            站点ID
     * @param mainEquipmentId
     *            主设备ID
     * @return 分析参数列表
     */
    List<BusiParamAppendixVo> findBusiParamAppendix(String siteId, String mainEquipmentId);

    List<BusiParamAppendixVo> findParams( String siteId, String mainEquipmentId);

    /**
     * 获取设备的分析参数列表(无具体值)
     *
     * @param siteId
     *            站点ID
     * @param mainEquipmentId
     *            主设备ID
     * @return 分析参数列表
     */
    List<BusiParamAppendixVo> findNotValueBusiParamAppendix(String siteId, String mainEquipmentId);


    /**
     * 保存分析参数列表
     *
     * @param token
     * @param busiParamAppendix
     * @return
     */
    int updateBusiParamAppendix(String token, List<BusiParamAppendix> busiParamAppendix);

    /**
     * 获取分析参数权重值
     *
     * @param siteId
     *            站点ID
     * @param mainEquipmentId
     *            主设备ID
     * @return 分析参数列表
     */
    List<BusiParamAppendixVo> findBusiParamAppendixWeights(String siteId, String mainEquipmentId,Integer number,String pname);



    int updateCalculateBusiParam(String token, List<BusiParamAppendix> busiParamAppendix);
}
