package com.huatek.busi.service.param;

import java.util.List;

import com.huatek.busi.entity.BusiParamTransformer;
import com.huatek.busi.entity.BusiParamTransformerCalculate;
import com.huatek.busi.entity.BusiParamTransformerVoluntarily;
import com.huatek.busi.vo.BusiParamTransformerVo;
import com.huatek.busi.vo.BusiParamTransformerVoluntarilyVo;

/**
 * 变压器的权重系数维护表 Service
 *
 * @author anker_cheng
 * @date Jul 12, 2019 2:57:26 PM
 */
public interface BusiParamTransformerService {

    /**
     * 初始化设备分析参数
     *
     * @param token
     *            token
     * @param siteId
     *            站点ID
     * @param mainEquipmentId
     *            主设备编码
     */
    void initBusiParams(String token, String siteId, String mainEquipmentId);

    /**
     * 获取设备的分析参数列表
     *
     * @param siteId
     *            站点ID
     * @param mainEquipmentId
     *            主设备ID
     * @return 分析参数列表
     */
    List<BusiParamTransformerVo> findBusiParamTransformer(String siteId, String mainEquipmentId);

    /**
     * 获取设备的分析参数列表(无具体值)
     *
     * @param siteId
     *            站点ID
     * @param mainEquipmentId
     *            主设备ID
     * @return 分析参数列表
     */
    List<BusiParamTransformerVo> findNotValueBusiParamTransformer(String siteId, String mainEquipmentId);

    /**
     * 保存分析参数列表
     *
     * @param token
     * @param busiParams
     * @return
     */
    int updateBusiParamGis(String token, List<BusiParamTransformer> busiParams);


    List<BusiParamTransformerVo> findParams(String siteId,
            String mainEquipmentId);

    /**
     * 保存分析参数列表到自动表
     *
     * @param token
     * @param busiParams
     * @return
     */
    int saveOrUpdateBusiParamTransformer(String token, List<BusiParamTransformerVoluntarilyVo> busiParams);

    List<BusiParamTransformerVoluntarily> findVoluntarilyParam(String siteId, String mainEquipmentId);

    List<BusiParamTransformerVo> findParamsManual(String siteId, String mainTreeId);

    /**
     * 保存分析参数计算权重列表
     *
     * @param token
     * @param busiParams
     * @return
     */
    int updateCalculateBusiParam(String token, List<BusiParamTransformer> busiParams);
}
