package com.huatek.busi.service.substation;

import com.github.pagehelper.Page;
import com.huatek.busi.dto.SubstationMicStatisticsDto;
import com.huatek.busi.entity.SubstationMicStatistics;
import com.huatek.busi.vo.SubstationMicStatisticsVo;

/**
 * 变电站微气象日统计 Service
 *
 * @author anker_cheng
 * @date Jul 17, 2019 10:21:40 AM
 */
public interface SubstationMicStatisticsService {

    /**
     * 分页查找查找 变电站微气象日统计
     *
     * @param substationMicStatisticsDto 变电站微气象日统计Dto
     * @return Page<SubstationMicStatisticsVo> 变电站微气象日统计List
     */
    Page<SubstationMicStatisticsVo> findSubstationMicStatisticsPage(SubstationMicStatisticsDto substationMicStatisticsDto);


    /**
     * 添加 变电站微气象日统计
     *
     * @param token token
     * @param substationMicStatisticsDto 变电站微气象日统计Dto
     * @return int 影响的行数
     */
    int addSubstationMicStatistics(String token,SubstationMicStatisticsDto substationMicStatisticsDto);

    /**
     *  通过id查找 变电站微气象日统计
     *
     * @param id 主键
     * @return SubstationMicStatistics 变电站微气象日统计
     */
    SubstationMicStatistics findSubstationMicStatistics(String id);

    /**
     * 修改 变电站微气象日统计
     *
     * @param token token
     * @param substationMicStatisticsDto 变电站微气象日统计Dto
     * @return int 影响的行数
     */
    int updateSubstationMicStatistics(String token, SubstationMicStatisticsDto substationMicStatisticsDto);

    /**
     * 删除 变电站微气象日统计
     *
     * @param token token
     * @param substationMicStatisticsDto 变电站微气象日统计Dto
     * @return int 影响的行数
    */
    int deleteSubstationMicStatistics(String token, SubstationMicStatisticsDto substationMicStatisticsDto);
}
