package com.huatek.busi.service.threshold;

import java.util.List;

import com.huatek.busi.dto.TransformerIcgeThresholdDto;
import com.huatek.busi.entity.TransformerIcgeThreshold;
import com.huatek.busi.vo.TransformerIcgeThresholdVo;

/**
 * 变压器铁芯、夹件阈值表 Service
 *
 * @author anker_cheng
 * @date Aug 2, 2019 1:56:14 PM
 */
public interface TransformerIcgeThresholdService {

    /**
     * 根据站点设备树ID获取变压器铁芯、夹件阈值
     * 
     * @param mainTreeId
     *            站点设备树ID
     * @param runState
     *            设备状态
     * @param sensorCode
     *            传感器编码
     * @return
     */
    TransformerIcgeThreshold getTransformerIcgeThreshold(String mainTreeId, String runState, String sensorCode);

    TransformerIcgeThresholdVo getTransformerIcgeThresholdVo(TransformerIcgeThresholdDto transformerIcgeThresholdDto);

    
    List<TransformerIcgeThresholdVo> getTransformerIcgeThresholdVoList(TransformerIcgeThresholdDto transformerIcgeThresholdDto);
    /**
     * 添加、编辑 变压器铁芯、夹件阈值表
     *
     * @param token token
     * @param transformerIcgeThresholdDto 变压器铁芯、夹件阈值表Dto
     * @return int 影响的行数
     */
    int saveTransformerIcgeThreshold(String token,TransformerIcgeThresholdDto transformerIcgeThresholdDto);
    
    /**
     * 根据sensor编码更新变压器铁芯、夹件阈值
     */
    int  updateTransformerIcgeThresholdBySensorCode(String oldSensorCode,String newSensorCode);
    
    /**
     * 根据sensor编码删除变压器铁芯、夹件阈值
     */
    int deleteTransformerTgThresholdBySensorCode(String sensorCode);
}
