package com.huatek.busi.service.transformer;

import com.github.pagehelper.PageInfo;
import com.huatek.busi.dto.BusiOfflineTransformerCheckDto;
import com.huatek.busi.vo.BusiOfflineTransformerCheckVo;

/**
 * 变压器投运验收结论 Service
 *
 * @author anker_cheng
 * @date Jul 4, 2019 2:15:37 PM
 */
public interface BusiOfflineTransformerCheckService {

    /**
     * 分页查找查找 变压器投运验收结论
     *
     * @param busiOfflineTransformerCheckDto 变压器投运验收结论Dto
     * @return PageInfo<BusiOfflineTransformerCheckVo> 变压器投运验收结论List
     */
    PageInfo<BusiOfflineTransformerCheckVo> findBusiOfflineTransformerCheckPage(BusiOfflineTransformerCheckDto busiOfflineTransformerCheckDto);

    /**
     *  通过id查找 变压器投运验收结论
     *
     * @param id 主键
     * @return BusiOfflineTransformerCheck 变压器投运验收结论
     */
    BusiOfflineTransformerCheckVo findBusiOfflineTransformerCheckVo(String id);

    /**
     * 删除 变压器投运验收结论
     *
     * @param token token
     * @param id 变压器投运验收结论id
     * @return int 影响的行数
    */
    void deleteBusiOfflineTransformerCheck(String[] ids);

    /**
     * 保存或者更新
     * 
     * @param token
     * @param busiOfflineTransformerCheckDto
     * @return
     */
    int saveOrUpdate(String token, BusiOfflineTransformerCheckDto busiOfflineTransformerCheckDto);
}
