package com.huatek.busi.service.transformer;

import com.github.pagehelper.Page;
import com.huatek.busi.dto.BusiOutlineTransformerExperimentDataDto;
import com.huatek.busi.entity.BusiOutlineTransformerExperimentData;
import com.huatek.busi.vo.BusiOutlineTransformerExperimentDataVo;

/**
 * 离线数据--变压器试验数据 Service
 *
 * @author walker_wang
 * @date Jul 4, 2019 4:54:06 PM
 */
public interface BusiOutlineTransformerExperimentDataService {

    /**
     * 分页查找查找 离线数据--变压器试验数据
     *
     * @param busiOutlineTransformerExperimentDataDto 离线数据--变压器试验数据Dto
     * @return Page<BusiOutlineTransformerExperimentDataVo> 离线数据--变压器试验数据List
     */
    Page<BusiOutlineTransformerExperimentDataVo> findBusiOutlineTransformerExperimentDataPage(BusiOutlineTransformerExperimentDataDto busiOutlineTransformerExperimentDataDto);


    /**
     * 添加 离线数据--变压器试验数据
     *
     * @param token token
     * @param busiOutlineTransformerExperimentDataDto 离线数据--变压器试验数据Dto
     * @return int 影响的行数
     */
    void addBusiOutlineTransformerExperimentData(String token,BusiOutlineTransformerExperimentDataDto busiOutlineTransformerExperimentDataDto);

    /**
     *  通过id查找 离线数据--变压器试验数据
     *
     * @param id 主键
     * @return BusiOutlineTransformerExperimentData 离线数据--变压器试验数据
     */
    BusiOutlineTransformerExperimentData findBusiOutlineTransformerExperimentData(String id);

    /**
     * 修改 离线数据--变压器试验数据
     *
     * @param token token
     * @param busiOutlineTransformerExperimentDataDto 离线数据--变压器试验数据Dto
     * @return int 影响的行数
     */
    int updateBusiOutlineTransformerExperimentData(String token, BusiOutlineTransformerExperimentDataDto busiOutlineTransformerExperimentDataDto);

    /**
     * 删除 离线数据--变压器试验数据
     *
     * @param token token
     * @param busiOutlineTransformerExperimentDataDto 离线数据--变压器试验数据Dto
     * @return int 影响的行数
    */
    void deleteBusiOutlineTransformerExperimentData(String [] ids);
}
