package com.huatek.busi.service.transformer;

import java.time.LocalDateTime;
import java.util.List;

import com.huatek.busi.entity.TransformerEpaAbsIncreaseCache;
import com.huatek.busi.entity.TransformerEpaData;
import com.huatek.busi.entity.TransformerEpaIncreaseCache;
import com.huatek.busi.vo.epa.EpaOneDataVo;
import com.huatek.busi.vo.stability.OilStabilityVo;

/**
 * 变压器油色谱原始数据(未根据偏差率修改的数据) Service
 *
 * @author anker_cheng
 * @date Jul 15, 2019 11:13:54 AM
 */
public interface TransformerEpaDataOriginService {
	
	/** 
	* @Title: saveTransformerEpaDataOrigin 
	* @Description: 保存原始数据 
	* @createDate: Jul 15, 2019 2:56:53 PM
	* @param   
	* @return   void    
	* @throws 
	*/ 
	void saveTransformerEpaDataOrigin(TransformerEpaData cacEntity);

	EpaOneDataVo getOneData(LocalDateTime startTime, LocalDateTime endTime, String sensorCode);
	
	/**
	 * 获取油色谱绝对增长率
	 */
	TransformerEpaAbsIncreaseCache getEpaAbsIncreaseCacheInfo(String sensorCode);
	
	/**
	 * 获取油色谱相对增长率
	 */
	TransformerEpaIncreaseCache getEpaRelativeIncreaseCacheInfo(String sensorCode);
	
	/** 
	* @Title: getByStatus 
	* @Description: TODO 
	* @createDate: Dec 10, 2019 10:17:01 AM
	* @param   
	* @return   List<OilStabilityVo>    
	* @throws 
	*/ 
	List<OilStabilityVo> getByStatus(String sensorCode, LocalDateTime begin, LocalDateTime end);
}
