package com.huatek.busi.service.transformer;

import com.github.pagehelper.Page;
import com.huatek.busi.dto.TransformerIcgeCacheDto;
import com.huatek.busi.entity.TransformerIcge;
import com.huatek.busi.entity.TransformerIcgeCache;
import com.huatek.busi.vo.TransformerIcgeCacheVo;
import com.huatek.busi.vo.warning.BusiIcgeVo;

/**
 * 变压器铁芯接地电流暂存数据(类型编码 ：021004) Service
 *
 * @author anker_cheng
 * @date Jun 27, 2019 6:53:47 PM
 */
public interface TransformerIcgeCacheService {

    /**
     * 分页查找查找 变压器铁芯接地电流暂存数据(类型编码 ：021004)
     *
     * @param transformerIcgeCacheDto 变压器铁芯接地电流暂存数据(类型编码 ：021004)Dto
     * @return Page<TransformerIcgeCacheVo> 变压器铁芯接地电流暂存数据(类型编码 ：021004)List
     */
    Page<TransformerIcgeCacheVo> findTransformerIcgeCachePage(TransformerIcgeCacheDto transformerIcgeCacheDto);

    /**
     * 保存或更新实时数据
     * 
     * @param cacEntity
     * @return
     */
    int saveTransformerIcgeCache(TransformerIcge cacEntity);
    
    
	/** 
	* @Title: findByTreeId 
	* @Description: 根据树ID获取 
	* @createDate: Aug 2, 2019 4:39:15 PM
	* @param    mainTreeId  站点树ID
	* @param    subTreeId   外挂设备树ID
	* @param    type 		类别: 1铁芯；2夹件
	* @return   TransformerIcgeCache    
	*/ 
	TransformerIcgeCache findByTreeId(String mainTreeId, String subTreeId, String type);
	
	/** 
	* @Title: findByTreeId 
	* @Description: 获取铁芯、夹件实时数据
	* @createDate: Oct 28, 2019 10:25:15 AM
	* @param    mainTreeId  站点树ID
	* @param    subTreeId   外挂设备树ID
	* @param    sensorId    传感器ID
	* @param    type 		 类别: 1铁芯；2夹件
	* @return   TransformerIcgeCache    
	*/ 
	BusiIcgeVo getFirstTransformerIcgeCacheInfo(TransformerIcgeCacheDto transformerIcgeCacheDto);
}
