package com.huatek.busi.service.transformer;

import java.time.LocalDateTime;
import java.util.List;
import java.util.Map;

import com.huatek.busi.vo.ReadTableCountVo;

/**
 * 变压器运读表数据图片信息
 * 
 * @author buck_guo
 * @date 2019/08/22
 */
public interface TransformerReadTableService {

    /**
     * 获取传感器时间段统计信息
     * 
     * @param siteId
     *            站点ID
     * @param sensorCode
     *            传感器
     * @param startTime
     *            开始时间
     * @param endTime
     *            结束时间
     * @return
     */
    ReadTableCountVo getListEquInfo(String siteId, String sensorCode, LocalDateTime startTime, LocalDateTime endTime);
    List<Map<String,Object>> queryHistory(String sensorCode,LocalDateTime startTime,LocalDateTime endTime);
}
