package com.huatek.busi.mapper;

import java.util.List;

import com.huatek.busi.vo.InfraredThresholdVo;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import com.huatek.busi.entity.ArresterInsulationMonitorThreshold;
import com.huatek.busi.vo.ArresterInsulationMonitorThresholdVo;

/**
 * 避雷器-绝缘监测-阈值表：023001 Mapper
 *
 * @author anker_cheng
 * @date Aug 5, 2019 5:29:19 PM
 */
@Repository
public interface ArresterInsulationMonitorThresholdMapper {

    /**
     * 获取阈值
     * 
     * @param mainTreeId
     *            站点设备树ID
     * @param state
     *            设备状态
     * @param sensorCode
     *            传感器编码
     * @return
     */
    ArresterInsulationMonitorThreshold getArresterInsulationMonitorThreshold(@Param("mainTreeId") String mainTreeId,
        @Param("state") String state, @Param("sensorCode") String sensorCode);
    
    List<ArresterInsulationMonitorThresholdVo> getThresholdVoBysensorCode(@Param("sensorCode") String sensorCode);

    ArresterInsulationMonitorThresholdVo getThresholdVo(@Param("state") String state,
        @Param("sensorCode") String sensorCode);

    public List<ArresterInsulationMonitorThresholdVo> queryInsulationThresholdBySensorCode(@Param("sensorCode") String sensorCode);

}
