package com.huatek.busi.mapper;

import com.github.pagehelper.Page;
import com.huatek.busi.dto.BusiGeneratorPdCountDto;
import com.huatek.busi.dto.BusiGeneratorPdDto;
import com.huatek.busi.dto.TransformerPdDto;
import com.huatek.busi.mapper.monitor.BaseMonitorDataMapper;
import com.huatek.busi.vo.BusiGeneratorPdVo;
import com.huatek.busi.vo.GeneratorPdCountVo;
import com.huatek.busi.vo.TransformerPdCountVo;
import com.huatek.busi.vo.datainput.TransformerInputPdVo;
import com.huatek.busi.vo.monitor.GeneratorPdVo;
import com.huatek.busi.vo.monitor.TransformerPdVo;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.time.LocalDateTime;
import java.util.List;
import java.util.Map;

/**
 * 发电机局放
 */
@Repository
public interface BusiGeneratorPdMapper extends BaseMonitorDataMapper{

	Page<Map<String, Object>> findCACPageData(Map<String, Object> params);
	
	/**
	 * 导出局放历史数据
	 */
	List<BusiGeneratorPdVo> exportCacMonitorData(Map<String, Object> params);

    List<BusiGeneratorPdVo> findReportDataList(@Param("sensorCode") String sensorCode,
        @Param("startTime") LocalDateTime startTime,
        @Param("endTime") LocalDateTime endTime);
    
    Page<Map<String, Object>> findReportDataListByFirstData(@Param("sensorCode") String sensorCode);

    List<GeneratorPdCountVo> getListEquInfo(BusiGeneratorPdCountDto param);
    
    Page<Map<String, Object>> findPdPage(TransformerPdDto dto);
    
    List<GeneratorPdVo> exportGeneratorPdPage(TransformerPdDto transformerPdDto);
}
