package com.huatek.busi.mapper;

import com.github.pagehelper.Page;
import com.huatek.busi.dto.BusiOfflineGeneratorRepairDto;
import com.huatek.busi.dto.BusiOfflineTransformerRepairDto;
import com.huatek.busi.vo.BusiOfflineArresterRepairVo;
import com.huatek.busi.vo.BusiOfflineGeneratorRepairVo;
import com.huatek.busi.vo.BusiOfflineTransformerRepairVo;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
 * 发电机检修记录 Mapper
 *
 * @author anker_cheng
 * @date Jul 4, 2019 2:00:06 PM
 */
@Repository
public interface BusiOfflineGeneratorRepairMapper {
    /**
     * 分页查询 变压器检修记录
     *
     * @param busiOfflineGeneratorRepairDto 变压器检修记录Dto
     * @return Page 变压器检修记录List
     */
    Page<BusiOfflineGeneratorRepairVo> selectBusiOfflineGeneratorRepairPage(BusiOfflineGeneratorRepairDto busiOfflineGeneratorRepairDto);

    int deleteBusiOfflineGeneratorRepair(@Param("idList")List<String> idList);

    BusiOfflineGeneratorRepairVo getBusiOfflineGeneratorRepairVo(String id);

    BusiOfflineGeneratorRepairVo isFinishedOverhaul(@Param("malfunctionId") String malfunctionId);

    Integer getRepairCount(Map<String, Object> params);
}
