package com.huatek.busi.mapper;

import com.huatek.busi.entity.BusiOfflineGisBrand;
import com.huatek.busi.vo.BusiOfflineGisBrandVo;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * GIS标牌信息表 Mapper
 *
 * @author walker_wang
 * @date Jul 4, 2019 1:50:11 PM
 */
@Repository
public interface BusiOfflineGisBrandMapper {

    /**
     * 获取GIS标牌信息VO
     * 
     * @param siteId
     *            站点ID
     * @param mainTreeId
     *            主设备ID
     * @return BusiOffllineGisBrandVo
     */
    BusiOfflineGisBrandVo findBusiOfflineGISBrandVo(@Param("siteId") String siteId, @Param("mainTreeId") String mainTreeId);

    BusiOfflineGisBrandVo findBusiOfflineGISBrandVo1(@Param("siteId") String siteId,
                                                     @Param("mainEquipmentId") String mainEquipmentId,
                                                     @Param("equTypeId") String equTypeId);

    /**
     * 获取GIS标牌信息
     * 
     * @param siteId
     *            站点ID
     * @param mainEquipmentId
     *            主设备ID
     * @return BusiOfflineGisBrand
     */
    BusiOfflineGisBrand findBusiOfflineGISBrand(@Param("siteId") String siteId,
        @Param("mainEquipmentId") String mainEquipmentId);

    List<BusiOfflineGisBrand> findAll();
}
