package com.huatek.busi.mapper;

import com.huatek.busi.entity.BusiOfflineSwitchgearBrand;
import com.huatek.busi.vo.BusiOfflineSwitchgearBrandVo;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * GIS标牌信息表 Mapper
 *
 * @author walker_wang
 * @date Jul 4, 2019 1:50:11 PM
 */
@Repository
public interface BusiOfflineSwitchgearBrandMapper {

    /**
     * 获取GIS标牌信息VO
     *
     * @param siteId
     *            站点ID
     * @param mainEquipmentId
     *            主设备ID
     * @return BusiOffllineGisBrandVo
     */
    BusiOfflineSwitchgearBrandVo findBusiOfflineSwitchgearBrandVo(@Param("siteId") String siteId,
                                                                  @Param("mainEquipmentId") String mainEquipmentId);

    BusiOfflineSwitchgearBrandVo findBusiOfflineSwitchgearBrandVo1(@Param("siteId") String siteId,
                                                     @Param("mainEquipmentId") String mainEquipmentId,
                                                     @Param("equTypeId") String equTypeId);

    /**
     * 获取GIS标牌信息
     *
     * @param siteId
     *            站点ID
     * @param mainEquipmentId
     *            主设备ID
     * @return BusiOfflineGisBrand
     */
    BusiOfflineSwitchgearBrand findBusiOfflineSwitchgearBrand(@Param("siteId") String siteId,
                                                       @Param("mainEquipmentId") String mainEquipmentId);

    List<BusiOfflineSwitchgearBrand> findAll();
}
