package com.huatek.busi.mapper;

import com.huatek.busi.entity.BusiOfflineTransformerBrand;
import com.huatek.busi.vo.BusiOfflineTransformerBrandVo;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.Date;
import java.util.List;

/**
 * 变压器标牌信息 Mapper
 *
 * @author walker_wang
 *
 */
@Repository
public interface BusiOfflineTransformerBrandMapper {

    /**
     * 获取变压器标牌信息VO
     *
     * @param siteId
     *            站点ID
     * @param mainEquipmentId
     *            主设备ID
     * @return BusiOfflineTransformerBrandVo
     */
    BusiOfflineTransformerBrandVo getBusiOfflineTransformerBrandVo(@Param("siteId") String siteId,
        @Param("mainEquipmentId") String mainEquipmentId);

    /**
     * 获取变压器标牌信息
     *
     * @param siteId
     *            站点ID
     * @param mainEquipmentId
     *            主设备ID
     * @return BusiOfflineTransformerBrand
     */
    BusiOfflineTransformerBrand getBusiOfflineTransformerBrand(@Param("siteId") String siteId,
        @Param("mainEquipmentId") String mainEquipmentId);

    List<BusiOfflineTransformerBrand> findAll();

	void updateStatusByMainEquipmentId(@Param("mainEquipmentId")String mainEquipmentId);

    Date getStartTime(@Param("mainTreeId") String mainTreeId);

//    int updateSort(@Param("id")String id,@Param("siteId")String siteId );
}
