package com.huatek.busi.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import com.huatek.busi.entity.BusiOtherSubTree;
import com.huatek.busi.vo.BusiHomePageVo;

@Repository
public interface BusiOtherSubTreeMapper {
    /**
     * @param
     * @return BusiTransfromerSubTree
     * @throws
     * @Title: findByEquipmentIdAndType
     * @Description: TODO
     * @createDate: Jul 17, 2019 7:11:37 PM
     */
    BusiOtherSubTree findByEquipmentIdAndType(@Param("equipmentId") String equipmentId, @Param("equipmentType") String equipmentType);

    /**
     * 获取其他外挂设备列表
     *
     * @param equipmentType 设备类型
     * @return
     */
    List<BusiHomePageVo> findOtherlist(@Param("equipmentType") String equipmentType);

    /**
     * 根据主设备ID获取外挂设备列表
     *
     * @param equipmentId
     * @return
     */
    List<BusiOtherSubTree> findByEquipmentId(@Param("equipmentId") String equipmentId);

    /**
     *  根据设备树id获取subTree
     *
     * @param equipmentType
     */
    List<BusiOtherSubTree> getOtherSubTreeByType(@Param("equipmentType") String equipmentType);
}
