package com.huatek.busi.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import com.huatek.busi.entity.BusiTransfromerSubTree;
import com.huatek.busi.vo.BusiHomePageVo;

/**
 * @ClassName: BusiTransfromerSubTreeMapper
 * @FullClassPath: com.huatek.busi.mapper.BusiTransfromerSubTreeMapper
 * @Description: 变压器外挂设备节点树Mapper
 * @author: Arno
 * @date: Jun 26, 2019 3:12:02 PM
 * @version: 1.0
 */
@Repository
public interface BusiTransfromerSubTreeMapper {
    /** 
    * @Title: findByEquipmentIdAndType 
    * @Description: TODO 
    * @createDate: Jul 17, 2019 7:11:37 PM
    * @param   
    * @return   BusiTransfromerSubTree    
    */ 
    BusiTransfromerSubTree findByEquipmentIdAndType(@Param("equipmentId") String equipmentId, @Param("equipmentType") String equipmentType);

	List<BusiTransfromerSubTree> findListByEquipmentIdAndType(@Param("equipmentId") String equipmentId, @Param("equipmentType") String equipmentType);

	/**
	* @Title: findByEquipmentType 
	* @Description: 根据类型获取 
	* @createDate: Jul 25, 2019 3:01:12 PM
	* @param    equipmentType  设备类型
	* @return   List<BusiHomePageVo>    
	*/ 
	public List<BusiHomePageVo> findByEquipmentType(@Param("equipmentType")String equipmentType);

	BusiHomePageVo  findBySensorId(@Param("sensorId")String sensorId);
	/**
	 * 根据主设备ID获取外挂设备列表
	 * @param equipmentId
	 * @return
	 */
    List<BusiTransfromerSubTree> findByEquipmentId(@Param("equipmentId") String equipmentId);
   
    /**
	 * 获取主变信息
	 * @param equipmentId
	 * @return
	 */
    List<BusiTransfromerSubTree> findTransformerSubTree();
    
    
}
