package com.huatek.busi.mapper;

import java.time.LocalDate;
import java.util.List;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import com.huatek.busi.dto.curve.BaseCurveQueryDto;
import com.huatek.busi.dto.curve.CurveSensorRequestDto;
import com.huatek.busi.vo.curve.CurveSensorEntityVo;
import com.huatek.busi.vo.curve.PointItemVo;

/**
 * sensor曲线图，一天一个点 Mapper
 *
 * @author anker_cheng
 * @date Aug 30, 2019 1:43:20 PM
 */
@Repository
public interface CurveSensorEntityMapper {

    /**
     * 删除{sensorCode}对应的{day}之间的曲线数据{subType}
     * 
     * @param baseCurve
     * @param day
     *            日期
     * @param subType
     *            曲线类型
     * @return
     */
    int deleteCurveSensorEntityList(@Param("dto") BaseCurveQueryDto baseCurve, @Param("day") LocalDate day,
        @Param("subType") String subType);

    /**
     * 获取历史数据曲线数据
     * 
     * @param param
     *            参数
     * @param subType
     *            曲线
     * @return
     */
    List<PointItemVo> getHistoryPointList(@Param("dto") CurveSensorRequestDto param, @Param("subType") String subType);

    /**
     * 获取趋势图数据
     * 
     * @param param
     *            参数
     * @param subType
     *            曲线
     * @return
     */
    List<CurveSensorEntityVo> getTrendPointList(@Param("dto") CurveSensorRequestDto param,
        @Param("subType") String subType);
}
