package com.huatek.busi.mapper;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import com.huatek.busi.vo.GisSf6ThresholdVo;

/**
 * GIS SF6阈值
 * 
 * @author buck_guo
 * @date 2019/08/08
 */
@Repository
public interface GisSF6ThresholdMapper {

    /**
     * 根据传感器编码获取阈值
     * 
     * @param sensorCode
     * @return
     */
    GisSf6ThresholdVo queryGisSF6Threshold(@Param("sensorCode") String sensorCode);

    /**
     * 根据GIS sensor编码修改阈值
     * 
     * @param oldSensorCode
     * @param newSensorCode
     * @return
     */
    int updateGisSensorThresholdBySensorCode(@Param("oldSensorCode") String oldSensorCode,
        @Param("newSensorCode") String newSensorCode);

    /**
     * 根据GIS sensor编码删除阈值信息
     */
    int deleteGisSensorThresholdBySensorCode(@Param("sensorCode") String sensorCode);
}
