package com.huatek.busi.mapper;

import org.springframework.stereotype.Repository;

import com.github.pagehelper.Page;
import com.huatek.busi.dto.ReadTableCurrentDto;
import com.huatek.busi.dto.ReadTableVisualization;
import com.huatek.busi.vo.ReadTableCurrentVo;
import com.huatek.busi.vo.ReadTableVisualizationVo;

/**
 * 读表、拍照数据
 * 
 * @author buck_guo
 * @date 2019/09/10
 */
@Repository
public interface ReadTableVisualizationMapper {
    Page<ReadTableVisualizationVo> findReadTableVisualizationPageData(ReadTableVisualization readTableVisualizatio);

    /**
     * 变压器读表实时数据查询
     * 
     * @param readTableCurrentDto
     * @return
     */
    Page<ReadTableCurrentVo> findTransformerReadTableCurrentPageData(ReadTableCurrentDto readTableCurrentDto);

    /**
     * GIS读表实时数据查询
     * 
     * @param readTableCurrentDto
     * @return
     */
    Page<ReadTableCurrentVo> findGisReadTableCurrentPageData(ReadTableCurrentDto readTableCurrentDto);

    /**
     * 避雷器读表实时数据查询
     * 
     * @param readTableCurrentDto
     * @return
     */
    Page<ReadTableCurrentVo> findArresterReadTableCurrentPageData(ReadTableCurrentDto readTableCurrentDto);
}
