package com.huatek.busi.mapper;

import java.time.LocalDate;
import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import com.github.pagehelper.Page;
import com.huatek.busi.dto.RptGisMonitorSf6Dto;
import com.huatek.busi.entity.RptGisMonitorSf6;
import com.huatek.busi.vo.RptGisMonitorSf6Vo;
import com.huatek.busi.vo.datainput.GisBreakerMonitorVo;

/**
 * GIS开关-SF6压力微水温度--实时界面数据 Mapper
 *
 * @author anker_cheng
 * @date Jul 1, 2019 3:06:41 PM
 */
@Repository
public interface RptGisMonitorSf6Mapper {

    /**
     * 分页查询 GIS开关-SF6压力微水温度--实时界面数据
     *
     * @param rptGisMonitorSf6Dto
     *            GIS开关-SF6压力微水温度--实时界面数据Dto
     * @return Page GIS开关-SF6压力微水温度--实时界面数据List
     */
    Page<RptGisMonitorSf6Vo> selectRptGisMonitorSf6Page(RptGisMonitorSf6Dto rptGisMonitorSf6Dto);

    /**
     * 获取实时数据
     * 
     * @param siteId
     *            站点ID
     * @param sensorId
     *            sensorId
     * @return
     */
    RptGisMonitorSf6 getRptGisMonitorSf6(@Param("siteId") String siteId, @Param("sensorId") String sensorId);
    
    
    /**
     * GIS-断路器监测数据
     * @param params
     * @return
     */
    Page<Map<String, Object>> findGisBreakerPage(Map<String, Object> params);
    
    /**
     * GIS-断路器监测数据导出
     * @param params
     * @return
     */
    List<GisBreakerMonitorVo> exportBreakerMonitorList(@Param("mainTreeId")String mainTreeId,@Param("timeStamp")String timeStamp,@Param("timeStampEnd")String timeStampEnd);
}
