package com.huatek.busi.mapper;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import com.github.pagehelper.Page;
import com.huatek.busi.dto.RptTemperDto;
import com.huatek.busi.entity.RptTemper;
import com.huatek.busi.vo.RptTemperVo;

/**
 * 测温柜-实时监测数据 Mapper
 *
 * @author anker_cheng
 * @date Jul 1, 2019 4:56:46 PM
 */
@Repository
public interface RptTemperMapper {

    /**
     * 分页查询 测温柜-实时监测数据
     *
     * @param rptTemperDto 测温柜-实时监测数据Dto
     * @return Page 测温柜-实时监测数据List
     */
    Page<RptTemperVo> selectRptTemperPage(RptTemperDto rptTemperDto);

    /**
     * 获取实时数据
     * 
     * @param siteId      站点ID
     * @param siteEqmCode 设备编码
     * @param sensorId    sensorId
     * @return
     */
    RptTemper getRptTemper(@Param("siteId") String siteId, @Param("siteEqmCode") String siteEqmCode);
}
