package com.huatek.busi.mapper;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import com.huatek.busi.vo.SiteUploadCycleVo;

/**
 ** 监测装置上传数据时间设置 Mapper
 *
 * @author edward_luo
 * @date Jun 01, 2019 14:12:01 PM
 */
@Repository
public interface SiteUploadCycleMapper {

    int deleteByPrimaryKey(Long id);

    /**
     ** 根据站点查询监测装置上传数据时间设置信息
     * 
     * @param siteId
     * @return
     */
    SiteUploadCycleVo selectSiteUploadCycleInfo(String siteId);

    /**
     * 获取上传周期
     * 
     * @param siteId
     *            站点ID
     * @param fieldName
     *            字段名
     * @return 上传周期配置
     */
    String getCycle(@Param("siteId") String siteId, @Param("fieldName") String fieldName);
}