package com.huatek.busi.mapper;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import com.github.pagehelper.Page;
import com.huatek.busi.dto.SubstationMicCacheDto;
import com.huatek.busi.entity.SubstationMicCache;
import com.huatek.busi.vo.MeteorologicalVo;
import com.huatek.busi.vo.SubstationMicCacheVo;

/**
 * 变电站微气象暂存数据 Mapper
 *
 * @author anker_cheng
 * @date Jun 28, 2019 4:19:34 PM
 */
@Repository
public interface SubstationMicCacheMapper {

    /**
     * 分页查询 变电站微气象暂存数据
     *
     * @param substationMicCacheDto 变电站微气象暂存数据Dto
     * @return Page 变电站微气象暂存数据List
     */
    Page<SubstationMicCacheVo> selectSubstationMicCachePage(SubstationMicCacheDto substationMicCacheDto);

    /**
     * 获取变电站微气象暂存数据
     * 
     * @param siteId
     * @param siteEqmCode
     * @return
     */
    SubstationMicCache getSubstationMicCache(@Param("siteId") String siteId, @Param("siteEqmCode") String siteEqmCode);

    MeteorologicalVo queryMeteorologicalInfo();
}
