package com.huatek.busi.mapper;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import com.github.pagehelper.Page;
import com.huatek.busi.dto.SubstationMicGisNowDto;
import com.huatek.busi.entity.SubstationMicGisNow;
import com.huatek.busi.vo.MeteorologicalVo;
import com.huatek.busi.vo.SubstationMicGisNowVo;

/**
 * GIS气象实时数据展示 Mapper
 *
 * @author anker_cheng
 * @date Jun 28, 2019 4:19:34 PM
 */
@Repository
public interface SubstationMicGisNowMapper {

    /**
     * 分页查询 GIS气象实时数据展示
     *
     * @param substationMicGisNowDto GIS气象实时数据展示Dto
     * @return Page GIS气象实时数据展示List
     */
    Page<SubstationMicGisNowVo> selectSubstationMicGisNowPage(SubstationMicGisNowDto substationMicGisNowDto);

    /**
     * 获取GIS气象实时数据
     * 
     * @param siteId
     * @param siteEqmCode
     * @return
     */
    SubstationMicGisNow getSubstationMicGisNow(@Param("siteId") String siteId,
            @Param("siteEqmCode") String siteEqmCode);
    
    MeteorologicalVo queryMeteorologicalInfo(@Param("sensorCode") String sensorCode); 
}
