package com.huatek.busi.mapper;

import java.time.LocalDateTime;
import java.util.List;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import com.huatek.busi.entity.TransformerEpaDeviation;
import com.huatek.busi.vo.epa.EpaDeviationOneDataVo;

/**
 * 变压器油色谱数据偏差率（实时数据） Mapper
 *
 * @author anker_cheng
 * @date Jul 15, 2019 11:49:00 AM
 */
@Repository
public interface TransformerEpaDeviationMapper {

    /**
     * 
     * @param startDate
     * @param endDate
     * @return
     */
    List<EpaDeviationOneDataVo> getOneData(@Param("startTime") LocalDateTime startTime,
        @Param("endTime") LocalDateTime endTime);
    
    
    
    /**
     * 获取油色谱偏差率
     */
    TransformerEpaDeviation getEpaDeviationInfo(@Param("sensorCode")String sensorCode);
}
