package com.huatek.busi.mapper;

import java.time.LocalDateTime;
import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import com.github.pagehelper.Page;
import com.huatek.busi.dto.TransformerIcgeCountDto;
import com.huatek.busi.mapper.curve.BaseCurveSensorMapper;
import com.huatek.busi.mapper.monitor.BaseMonitorDataMapper;
import com.huatek.busi.vo.TransformerIcgeCountVo;
import com.huatek.busi.vo.TransformerIcgeVo;
import com.huatek.busi.vo.stability.IcgeStabilityVo;

/**
 * 变压器/电抗器——铁芯接地电流：021004 Mapper
 *
 * @author anker_cheng
 * @date Jun 25, 2019 5:35:32 PM
 */
@Repository
public interface TransformerIcgeMapper extends BaseCurveSensorMapper, BaseMonitorDataMapper {
    /**
     * 铁芯夹件数据统计
     * 
     * @param param
     * @return
     */
    List<TransformerIcgeCountVo> getListEquInfo(TransformerIcgeCountDto param);

    Page<Map<String, Object>> findCACPageData(Map<String, Object> params);

    List<IcgeStabilityVo> selectByStatus(@Param("sensorCode") String sensorCode, @Param("status") String status,
        @Param("type") String type, @Param("beginTime") LocalDateTime beginTime,
        @Param("endTime") LocalDateTime endTime);

    List<TransformerIcgeVo> exportCacMonitorData(Map<String, Object> params);
    
    List<Map<String,Object>> queryHistory(@Param("sensorCode") String sensorCode, @Param("beginTime") LocalDateTime beginTime,@Param("endTime") LocalDateTime endTime);
}