package com.huatek.busi.mapper;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import com.github.pagehelper.Page;
import com.huatek.busi.dto.TransformerMeteorologicalCacheDto;
import com.huatek.busi.entity.TransformerMeteorologicalCache;
import com.huatek.busi.vo.MeteorologicalVo;
import com.huatek.busi.vo.TransformerMeteorologicalCacheVo;

/**
 * 变压器气象实时数据 Mapper
 *
 * @author anker_cheng
 * @date Jun 28, 2019 4:19:34 PM
 */
@Repository
public interface TransformerMeteorologicalCacheMapper {

    /**
     * 分页查询 变压器气象实时数据
     *
     * @param transformerMeteorologicalCacheDto 变压器气象实时数据Dto
     * @return Page 变压器气象实时数据List
     */
    Page<TransformerMeteorologicalCacheVo> selectTransformerMeteorologicalCachePage(
            TransformerMeteorologicalCacheDto transformerMeteorologicalCacheDto);

    /**
     * 获取变压器气象实时数据
     * 
     * @param siteId
     * @param siteEqmCode
     * @return
     */
    TransformerMeteorologicalCache getTransformerMeteorologicalCache(@Param("siteId") String siteId,
            @Param("siteEqmCode") String siteEqmCode);
    
    MeteorologicalVo queryMeteorologicalInfo(@Param("sensorCode") String sensorCode);
}
