package com.huatek.busi.mapper;

import java.util.Date;
import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import com.github.pagehelper.Page;
import com.huatek.busi.dto.MeteorologicalStatisticsDto;
import com.huatek.busi.entity.TransformerMeteorological;
import com.huatek.busi.mapper.curve.BaseCurveSensorMapper;
import com.huatek.busi.mapper.monitor.BaseMonitorDataMapper;
import com.huatek.busi.vo.MeteorologicalStatisticsVo;
import com.huatek.busi.vo.TransformerMeteorologicalVo;

/**
 * 变压器/电抗器——气象：021011、023003、024008、025001 Mapper
 *
 * @author anker_cheng
 * @date Jun 25, 2019 5:35:32 PM
 */
@Repository
public interface TransformerMeteorologicalMapper extends BaseMonitorDataMapper, BaseCurveSensorMapper{

    /**
     * 变电站微气象
     * 
     * @param startDate
     * @param endDate
     * @return
     */
    List<TransformerMeteorological> getSubstationOneData(@Param("startDate") Date startDate,
        @Param("endDate") Date endDate);
    
    Page<Map<String, Object>> findCACPageData(Map<String, Object> params);
    
	/**
	 * 导出CAC变压器气象原始数据
	 */
	List<TransformerMeteorologicalVo> exportCacMonitorData(Map<String, Object> params);

    List<MeteorologicalStatisticsVo> getListEquInfo(MeteorologicalStatisticsDto param);
}