package com.huatek.busi.mapper;

import java.time.LocalDate;
import java.time.LocalDateTime;
import java.util.List;
import java.util.Map;

import com.huatek.busi.entity.TransformerRunStatus;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import com.github.pagehelper.Page;
import com.huatek.busi.dto.TransformerRunStatusDto;
import com.huatek.busi.mapper.curve.BaseCurveSensorMapper;
import com.huatek.busi.vo.TransformerRunStatusCountVo;
import com.huatek.busi.vo.TransformerRunStatusVo;
/**
 * 变压器运行工况历史数据查询
 * @author buck_guo
 * @date 2019/08/22
 */
@Repository
public interface TransformerRunStatusMapper extends BaseCurveSensorMapper{
 
    Page<Map<String, Object>> findTransformerRunStatusPage(Map<String, Object> params);
    
    List<TransformerRunStatusVo> exportPointTableData(@Param("mainTreeId")String mainTreeId,@Param("timeStamp")LocalDate timeStamp,@Param("timeStampEnd")LocalDate timeStampEnd);

    Page<TransformerRunStatusVo> transformerRunStatusCurrent(TransformerRunStatusDto params);

    List<TransformerRunStatusCountVo> getListEquInfo(@Param("startTime")LocalDateTime startTime,
        @Param("endTime")LocalDateTime endTime);

    List<TransformerRunStatus> getList(@Param("day")String day,@Param("mainTreeId") String mainTreeId);
}