package com.huatek.busi.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import com.github.pagehelper.Page;
import com.huatek.busi.dto.TransformerTgThresholdDto;
import com.huatek.busi.entity.TransformerTgThreshold;
import com.huatek.busi.vo.TransformerTgThresholdVo;

/**
 * 变压器套管阈值 Mapper
 *
 * @author anker_cheng
 * @date 2019-8-8 19:26:20
 */
@Repository
public interface  TransformerTgThresholdMapper {

	/**
	 * 分页查询 变压器套管阈值
     *
	 * @param transformerTgThresholdDto 变压器套管阈值Dto
	 * @return Page 变压器套管阈值List
	 */
	Page<TransformerTgThresholdVo> selectTransformerTgThresholdPage(TransformerTgThresholdDto transformerTgThresholdDto);
	
	TransformerTgThreshold selectTransformerTgThreshold(TransformerTgThresholdDto transformerTgThresholdDto);
	
	List<TransformerTgThresholdVo> findTransformerTgThresholdList (TransformerTgThresholdDto transformerTgThresholdDto);
    
	/**
     * 根据套管 sensor编码更新阈值
     * 
     * @param oldSensorCode
     * @param newSensorCode
     * @return
     */
    public int updateTransformerTgThresholdBySensorCode(@Param("oldSensorCode") String oldSensorCode,@Param("newSensorCode") String newSensorCode);
    
    /**
     * 根据套管 sensor编码删除阈值
     * 
     * @param sensorCode
     * @return
     */
    public int delTransformerTgThresholdBySensorCode(@Param("sensorCode") String sensorCode);
}

