package com.huatek.busi.mapper;

import com.github.pagehelper.Page;
import com.huatek.busi.dto.TransformerInfraredMonitoringCacheDto;
import com.huatek.busi.dto.TransformerWindingTemperatureCacheDto;
import com.huatek.busi.entity.TransformerInfraredMonitoringCache;
import com.huatek.busi.entity.TransformerInfraredTemperature;
import com.huatek.busi.entity.TransformerWindingTemperature;
import com.huatek.busi.entity.TransformerWindingTemperatureCache;
import com.huatek.busi.vo.TransformerInfraredMonitoringCacheVo;
import com.huatek.busi.vo.TransformerWindingTemperatureCacheVo;
import org.springframework.stereotype.Repository;

/**
 * 变压器绕组监测暂存数据 Mapper
 *
 * @author anker_cheng
 * @date Jun 28, 2019 1:21:00 PM
 */
@Repository
public interface TransformerWindingTemperatureCacheMapper {

    /**
     * 分页查询 变压器绕组监测暂存数据
     *
     * @param param
     *            变压器绕组监测暂存数据Dto
     * @return Page 变压器绕组监测暂存数据List
     */
    Page<TransformerWindingTemperatureCacheVo>
        selectTransformerWindingTemperatureCachePage(TransformerWindingTemperatureCacheDto param);

    /**
     * 获取变压器绕组检测实时数据
     *
     * @param cacEntity
     * @return
     */
    TransformerWindingTemperatureCache getTransformerWindingTemperatureCache(TransformerWindingTemperature cacEntity);
}
