package com.huatek.busi.mapper;

import com.github.pagehelper.Page;
import com.huatek.busi.dto.InfraredTemperatureStatisticsDto;
import com.huatek.busi.dto.TransformerInfraredTemperatureDto;
import com.huatek.busi.dto.TransformerWindingTemperatureDto;
import com.huatek.busi.dto.WindingTemperatureStatisticsDto;
import com.huatek.busi.mapper.curve.BaseCurveSensorMapper;
import com.huatek.busi.mapper.monitor.BaseMonitorDataMapper;
import com.huatek.busi.vo.InfraredTemperatureStatisticsVo;
import com.huatek.busi.vo.TransformerInfraredTemperatureVo;
import com.huatek.busi.vo.TransformerWindingTemperatureVo;
import com.huatek.busi.vo.WindingTemperatureStatisticsVo;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.time.LocalDateTime;
import java.util.List;
import java.util.Map;

/**
 * 变压器绕组测温：021010、022002、023002、024007 Mapper
 *
 * @author anker_cheng
 * @date Jun 25, 2019 5:35:32 PM
 */
@Repository
public interface TransformerWindingTemperatureMapper extends BaseCurveSensorMapper, BaseMonitorDataMapper{

	/**
	 * 分页查询 变压器/电抗器——绕组测温：021010、022002、023002、024007
     *
	 * @param transformerWindingTemperatureDto 变压器绕组测温：021010、022002、023002、024007Dto
	 * @return Page 变压器/电抗器——绕组测温：021010、022002、023002、024007List
	 */
	Page<TransformerWindingTemperatureVo> selectTransformerWindingTemperaturePage(TransformerWindingTemperatureDto transformerWindingTemperatureDto);

	/**
	 * 查询CAC绕组原始数据
	 * @param params
	 * @return
	 */
	Page<Map<String, Object>> findCACPageData(Map<String, Object> params);

	/**
	 * 导出CAC绕组原始数据
	 */
	List<TransformerWindingTemperatureVo> exportCacMonitorData(Map<String, Object> params);

	List<WindingTemperatureStatisticsVo> getListEquInfo(WindingTemperatureStatisticsDto param);

	List<Map<String, Object>> queryHistory(@Param("sensorCode") String sensorCode, @Param("startTime") LocalDateTime startTime,@Param("endTime")  LocalDateTime endTime);
}
