package com.huatek.busi.mapper.report;

import java.util.Date;
import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import com.huatek.busi.vo.report.BusiYspMonitorDataVo;

/**
  * @ClassName: BusiYspReportMapper
  * @FullClassPath: com.huatek.busi.mapper.report.BusiYspReportMapper
  * @Description: TODO
  * @author: Arno
  * @date: Sep 24, 2019 6:26:24 PM
  * @version: 1.0
  */

@Repository
public interface BusiYspReportMapper {
	
	
	 /** 
	* @Title: getDaliyReportData 
	* @Description: 获取油色谱日报告数据 
	* @createDate: Sep 24, 2019 6:29:16 PM
	* @param   
	* @return   List<BusiYspMonitorDataVo>    
	*/ 
	List<BusiYspMonitorDataVo> getDaliyReportData(@Param("sensorId") String sensorId , @Param("startDate") Date startDate, @Param("endDate") Date endDate);
	
	
	Map<String, Object> getSensorInfo(@Param("sensorId") String sensorId);


	List<Map<String, Object>> getOutlineData(@Param("mainTreeId")String mainTreeId);
	
	String getYspUploadCycle(@Param("siteId")String siteId);


	/** 
	* @Title: getWarningData 
	* @Description: 获取告警数据 
	* @createDate: Sep 25, 2019 5:28:34 PM
	* @param   
	* @return   List<Map<String,String>>    
	*/ 
	List<Map<String, Object>> getWarningData(@Param("sensorId") String sensorId , @Param("startDate") Date startDate, @Param("endDate") Date endDate);
	
	/** 
	* @Title: getDefectRate 
	* @Description: 获取缺失率 
	* @createDate: Sep 25, 2019 5:41:30 PM
	* @param   
	* @return   String    
	*/ 
	String getDefectRate (@Param("sensorId") String sensorId , @Param("dtime") Date dtime);


	/** 
	* @Title: getAbsoluteGasProductionRate 
	* @Description: 获取绝对产气速率 
	* @createDate: Sep 26, 2019 3:37:18 PM
	* @param   
	* @return   Map<String,Object>    
	*/ 
	Map<String, Object> getAbsoluteGasProductionRate(@Param("sensorId")String sensorId, @Param("dtime")Date dtime);


	/** 
	* @Title: getFaultData 
	* @Description: 获取故障 
	* @createDate: Sep 26, 2019 5:39:28 PM
	* @param   
	* @return   Map<String,String>    
	*/ 
	Map<String, String> getFaultData(@Param("sensorId") String sensorId , @Param("startDate") Date startDate, @Param("endDate") Date endDate);


	/** 
	* @Title: getDefectRates 
	* @Description: 获取缺失率 (月)
	* @createDate: Sep 26, 2019 6:34:27 PM
	* @param   
	* @return   String    
	*/ 
	String getDefectRates(@Param("sensorId") String sensorId , @Param("startDate") Date startDate, @Param("endDate") Date endDate);


	/** 
	* @Title: getRelativeGasProductionRate 
	* @Description: 相对产气速率 
	* @createDate: Sep 26, 2019 6:59:52 PM
	* @param   
	* @return   Map<String,Object>    
	*/ 
	Map<String, Object> getRelativeGasProductionRate(@Param("sensorId") String sensorId , @Param("startDate") Date startDate, @Param("endDate") Date endDate);


	
	 
}
