package com.huatek.frame.base.dto;

import com.huatek.frame.base.vo.ComponentDataVO;
import com.huatek.torch.sql.beans.PageBean;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.List;

/**
 * 装置详细信息 Vo
 *
 * @date 2023-2-7 17:03:45
 */
@Setter
@Getter
public class ComponentItemDataDTO extends PageBean implements Serializable {
	private static final long serialVersionUID = 1L;
	/**
	 * 模型ID
	 */
	@ApiModelProperty(value="模型ID",name="modelId",required=true)
	private String modelId;
	/**
	 * 装置ID
	 */
	@ApiModelProperty(value="装置ID",name="componentId",required=true)
	private String componentId;
	/**
	 * 启用状态
	 */
	@ApiModelProperty(value="启用状态",name="status",required=true)
	private String status;
	/**
	 * 站点
	 */
	@ApiModelProperty(value="站点",name="station",required=true)
	private String station;
	/**
	 * 装置类型
	 */
	@ApiModelProperty(value="装置类型",name="abbreviation",required=true)
	private String abbreviation;
	/**
	 * 安装位置
	 */
	@ApiModelProperty(value="安装位置",name="installationSite",required=true)
	private String installationSite;
	/**
	 * 数据项列表
	 */
	@ApiModelProperty(value="数据项列表",name="dataItems",required=true)
	private List<ComponentDataVO> dataItems;
	/**
	 * 创建日期
	 */
	@ApiModelProperty(value="创建日期",name="createDate",required=true)
	private LocalDateTime createDate;
	/**
	 * 备注
	 */
	@ApiModelProperty(value="备注",name="remark",required=true)
	private String remark;
}