package com.huatek.frame.base.dto;

import com.huatek.frame.base.entity.DataItem;
import com.huatek.frame.base.entity.SysDeviceDataItem;
import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.beans.PageBean;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * <p>
 *      模型装置信息表
 *  </p>
 *
 * @author Leo
 * @since 2023-03-03
 */
@Data
public class ModelComponentDataDTO extends PageBean implements Serializable {

    private static final long serialVersionUID = 1L;
    /**
     * 主键
     */
    @ApiModelProperty(value = "主键",  name="id")
    private String id;

    @ApiModelProperty(value = "模型id", name = "modelId")
    private String modelId;

    @ApiModelProperty(value = "部件标识", name = "componentId")
    private String componentId;

    /**
     * 外挂主设备id
     */
    @ApiModelProperty(value = "外挂主设备id",  name="mainTreeId")
    private String mainTreeId;

    /**
     * 装置类型编码
     */
    @ApiModelProperty(value = "装置类型编码",  name="deviceCode")
    private String deviceCode;

    /**
     * 传感器id
     */
    @ApiModelProperty(value = "传感器id",  name="sensorId")
    private String sensorId;

    @ApiModelProperty(value = "传感器名称描述", name = "sensorNameDetail")
    private String sensorNameDetail;

    /**
     * 安装位置
     */
    @ApiModelProperty(value = "安装位置",  name="installPosition")
    private String installPosition;

    /**
     * 数据项
     */
    @ApiModelProperty(value = "数据项列表",  name="dataItems")
    private List<DataItem> dataItems;

    @ApiModelProperty(value = "x轴坐标", name = "positionX")
    private String positionX;

    @ApiModelProperty(value = "y轴坐标", name = "positionY")
    private String positionY;

    @ApiModelProperty(value = "z轴坐标", name = "positionZ")
    private String positionZ;

    /**
     * 启用状态（0未启用， 1启用）
     */
    @ApiModelProperty(value = "启用状态（0未启用， 1启用）",  name="status")
    private String status;

    /**
     * 备注
     */
    @ApiModelProperty(value = "备注",  name="remark")
    private String remark;
}
