package com.huatek.frame.base.entity;

import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.annotation.Id;
import com.huatek.torch.sql.annotation.TableName;
import com.huatek.torch.sql.beans.Pojo;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * 区域 entity
 *
 * @author key_dong
 * @date 2018-7-11 12:37:46
 */
@Setter
@Getter
@TableName("model_component_data")
public class ComponentItem extends Pojo implements Serializable  {
	

    /**
	 * 
	 */
	private static final long serialVersionUID = -1241332791109197242L;
    
    /**
     * 模型ID
     */
	@ApiModelProperty(value="模型ID",name="modelId",required=true)
    @FieldName("mode_id")
    private String modelId;
    
    /**
     * 装置ID
     */
	@ApiModelProperty(value="装置ID",name="componentId",required=true)
    @FieldName("component_id")
    private String componentId;
    
    /**
     * 启用状态
     */
	@ApiModelProperty(value="启用状态",name="status",required=true)
    @FieldName("status")
    private String status;
    
    /**
     * 站点
     */
	@ApiModelProperty(value="站点",name="station",required=true)
    @FieldName("station")
    private String station;
    
    /**
     * 装置类型
     */
	@ApiModelProperty(value="装置类型",name="abbreviation",required=true)
	@Id("abbreviation")
    private String abbreviation;

    /**
     * 安装位置
     */
    @ApiModelProperty(value="安装位置",name="installationSite",required=true)
    @Id("installation_site")
    private String installationSite;

    /**
     * 数据项信息
     */
    @ApiModelProperty(value="数据项信息",name="itemData",required=true)
    @Id("data_item")
    private String itemData;


    /**
     * 备注
     */
    @ApiModelProperty(value="备注",name="remark",required=true)
    @Id("remark")
    private String remark;

    /**
     * id
     */
    @ApiModelProperty(value="id",name="id",required=true)
    @Id("id")
    private String id;
}