package com.huatek.frame.base.entity;

import java.io.Serializable;

import com.huatek.torch.frame.validate.KerCheck;
import com.huatek.torch.frame.validate.KerMode;
import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.annotation.Id;
import com.huatek.torch.sql.annotation.TableName;
import com.huatek.torch.sql.beans.Pojo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
/**
 * 系统_字典明细 entity
 *
 * @author key_dong
 * @date 2018-7-11 12:37:46
 */
@Setter
@Getter
@TableName("sys_dictionnaire_detail")
public class DictionnaireDetail extends Pojo implements Serializable  { 

    /**
	 * 
	 */
	private static final long serialVersionUID = 8561162774858491846L;
	
	/**
     * 字典id
     */
	@ApiModelProperty(value="字典id",name="pid",required=true)
    @FieldName("pid")
    private String pid;
    
    /**
     * 是否删除0否 1是
     */
	@ApiModelProperty(value="是否删除0否 1是",name="deleted",required=true)
    @FieldName("deleted")
    private String deleted;
    
    /**
     * 
     */
	@ApiModelProperty(value="id",name="id",required=true)
	@Id("id")
    private String id;
    
    /**
     * 字典明细code
     */
	@ApiModelProperty(value="字典明细编码",name="code",required=true)
    @KerCheck(rule = KerMode.NOT_BLANK, ruleMessage = "DICTIONNAIREDETAIL.DCODE.NOTBLANK", max = 64, maxMessage = "DICTIONNAIREDETAIL.DCODE.LENGTH")
    @FieldName("dcode")
    private String dcode;
    
    /**
     * 字典明细名称
     */
	@ApiModelProperty(value="字典明细名称",name="code",required=true)
    @KerCheck(rule = KerMode.NOT_BLANK, ruleMessage = "DICTIONNAIREDETAIL.DNAME.NOTBLANK", max = 64, maxMessage = "DICTIONNAIREDETAIL.DNAME.LENGTH")
    @FieldName("dname")
    private String dname;
}