package com.huatek.frame.base.entity;

import java.io.Serializable;
import java.time.LocalDateTime;

import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.annotation.Id;
import com.huatek.torch.sql.annotation.TableName;
import com.huatek.torch.sql.annotation.TempField;
import com.huatek.torch.sql.beans.Pojo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

@Setter
@Getter
@TableName("sys_err_log")
public class ErrLogWithBLOBs extends Pojo implements Serializable {
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;


	@ApiModelProperty(value="参数",name="param",required=true)
	private String param;


	@ApiModelProperty(value="错误信息",name="text",required=true)
	private String text;


	@ApiModelProperty(value="id",name="id",required=true)
	@Id("id")
	private String id;


	@ApiModelProperty(value="操作时间",name="createDate",required=true)
	@FieldName("create_date")
	private LocalDateTime createDate;


	@ApiModelProperty(value="ip",name="ipAddress",required=true)
	@FieldName("ip_address")
	private String ipAddress;


	@ApiModelProperty(value="url",name="requestUrl",required=true)
	@FieldName("request_url")
	private String requestUrl;


	@ApiModelProperty(value="请求方式",name="requestMethod",required=true)
	@FieldName("request_method")
	private String requestMethod;
	
	/**
	 * 页码
	 */
	@TempField
	private Integer page;
	/**
	 * 每页显示数量
	 */
	@TempField
	private Integer limit;
}