package com.huatek.frame.base.vo;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.List;

import com.huatek.frame.base.entity.Group;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * 系统_用户 Vo
 *
 * @author key_dong
 * @date 2018-7-11 14:03:47
 */
@Setter
@Getter
public class UserVO implements Serializable {
	private static final long serialVersionUID = 1L;
	/**
	 * 是否领导(0 否 1是)
	 */
	@ApiModelProperty(value="父是否领导(0 否 1是)",name="leader",required=true)
	private String leader="0";
	/**
	 * 邮箱
	 */
	@ApiModelProperty(value="邮箱",name="userEmail",required=true)
	private String userEmail="";
	/**
	 * 创建时间
	 */
	@ApiModelProperty(value="创建时间",name="createTime",required=true)
	private LocalDateTime createTime;
	/**
	 * 用户名
	 */
	@ApiModelProperty(value="用户名",name="userName",required=true)
	private String userName=""; 
	/**
	 * 语言类型
	 */
	@ApiModelProperty(value="语言类型",name="languageType",required=true)
	private String languageType="";
	/**
	 * 密码盐
	 */
	private String passwordSalt;
	/**
	 * 密码
	 */
	private String password;
	/**
	 * 修改时间
	 */
	@ApiModelProperty(value="修改时间",name="updateTime",required=true)
	private LocalDateTime updateTime;
	/**
	 * 是否删除(0 否 1是)
	 */
	@ApiModelProperty(value="是否删除(0 否 1是)",name="deleted",required=true)
	private String deleted;
	/**
	 * 用户编码
	 */
	@ApiModelProperty(value="用户编码",name="userCode",required=true)
	private String userCode="";
	/**
	 * 移动电话
	 */
	@ApiModelProperty(value="移动电话",name="userMobile",required=true)
	private String userMobile="";
	/**
	 * 所属组织
	 */
	@ApiModelProperty(value="所属组织",name="groupId",required=true)
	private String groupId="";
	/**
	 * 电话
	 */
	@ApiModelProperty(value=" 电话",name="userPhone",required=true)
	private String userPhone="";
	/**
	 * 备注
	 */
	@ApiModelProperty(value="备注",name="comment",required=true)
	private String comment="";
	/**
	 * 
	 */
	@ApiModelProperty(value="id",name="id",required=true)
	private String id;
	
	/**
	 * 所有组织集合
	 */
	@ApiModelProperty(value="组织集合",name="datas",required=true)
	private List<Group> datas; 
	
	/**
	 * 用户角色集合
	 */
	private String roles;
	
	/**
     * 用户所属组
     */
    private String groupName;
}